<%@ page language="java" session="true" contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/multiorg.js"></script>
<script language="JavaScript" src="common/scripts/i18n.js"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/users.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px;"><tr><td colspan="1">
 <tiles:insert page="/admin/multiOrgDefinitionMenu.jsp"/>
 </td></tr></table>

<P>
<BR>
<%-- Error handling code --%>
<c:url var="reloadURL" value="/a_multiorg.sj?method=listNodes&treeSelectedNode=${multiorgNode.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="multi org" />
</tiles:insert>
<br>

<form name="multiorgForm" id="multiorgForm" action="<c:url value='/a_multiorgDefinition.sj'/>" method="post">

<input type="hidden" name="method" value="saveNode">
<input type="hidden" name="id" value="${multiorgNode.id}">
<input type="hidden" name="version" value="${multiorgNode.version}">
<input type="hidden" name="name" value="${multiorgNode.name}">
<input type="hidden" name="key" value="${multiorgNode.key}">
<input type="hidden" name="parentId" value="${multiorgNode.parentId}">
<input type="hidden" name="tranUseInd" value="${multiorgNode.tranUseInd}">

<div align="center">

<div style="display:block;font-size:10;margin:10 10 10 10;">
      <img src="admin/images/caution.gif"/>&nbsp;<fmt:message key="fcm.multiorg.saveNode.caution.fmt.txt" />
  </div>
<br>

<TABLE name="tableView" class="configurationTable minWidthConfigTable" style="width:600px; border:2px solid #F1EACB;margin-left:10px margin-right:10px"
   border="0" cellspacing="0" cellpadding="0">
   <tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.multiorg.definition.txt" /></b></div>
    </tr>
    <tr align="left" valign="top" >
      <td colspan="3" class="configurationTableSection" style="padding:5px;"><fmt:message key="fcm.details.generalProperties.txt" /></td>
    </tr>
   <tr class="configurationTableDataRow" ><td colspan="3">&nbsp;</td</tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap width="10%" valign="middle" ><fmt:message key="fcm.multiorg.id.txt" />:</td>
      <td  valign="middle"  colspan="2">${multiorgNode.id}</td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.name.txt" />:</td>
      <td valign="middle"  colspan="2">${fn:trim(fn:escapeXml(multiorgNode.name))}</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.key.txt" />:</td>
      <td valign="middle"  colspan="2">${fn:trim(fn:escapeXml(multiorgNode.key))}</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.label.txt" />:</td>
      <td valign="middle"  colspan="2">
      	<input name="label" class="famTextEntry" type="text" value="${multiorgNode.label}" size="30" maxlength="25"/>
 	  </td>
   </tr>

   <c:set var="selected" value="" />
   <c:forEach var="node" items="${multiorgNodes}" varStatus="status">
      <c:if test="${multiorgNode.parentId == node.id}">
         <c:set var="selected" value="${fn:escapeXml(node.name)}"/>
      </c:if>
    </c:forEach>
    <tr class="configurationTableDataRow" valign="top">
       <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.parent.txt" />:</td>
       <td valign="middle"  colspan="2">${selected}</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.championModel.txt" />:</td>
      <td colspan="2" valign="middle" >
         <select id="championModelId" name="championModelId" class="famSelect" onChange="setChallengerModelPercent();">
            <c:set var="championModelExists" value="" />
            <c:forEach var="model" items="${models}" varStatus="status">
               <c:choose>
                  <c:when test="${multiorgNode.championModelId == model.id}">
                     <c:set var="selected" value="selected" />
                     <c:set var="championModelExists" value="true" />
                  </c:when>
                  <c:otherwise>
                     <c:set var="selected" value="" />
                  </c:otherwise>
               </c:choose>
               <option ${selected} value="${model.id}">${fn:escapeXml(model.name)}</option>
            </c:forEach>
            <c:choose>
            <c:when test="${empty championModelExists }" >
               <option selected value="-1"><fmt:message key="fcm.multiorg.selectModel.txt" /></option>
            </c:when>
            <c:otherwise>
            <option value="-1"><fmt:message key="fcm.multiorg.selectModel.txt" /></option>
            </c:otherwise>
            </c:choose>
         </select>
         <!-- <br>&nbsp; -->
      </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.challengerModel.txt" />:</td>
      <td colspan="2" valign="middle" >
         <select id="challengerModelId" name="challengerModelId" class="famSelect" onChange="setChallengerModelPercent();">
            <c:set var="challengerModelExists" value="" />
            <c:forEach var="model" items="${models}" varStatus="status">
               <c:choose>
                  <c:when test="${multiorgNode.challengerModelId == model.id}">
                     <c:set var="selected" value="selected" />
                     <c:set var="challengerModelExists" value="true" />
                  </c:when>
                  <c:otherwise>
                     <c:set var="selected" value="" />
                  </c:otherwise>
               </c:choose>
               <option ${selected} value="${model.id}">${fn:escapeXml(model.name)}</option>
            </c:forEach>
            <c:choose>
		<c:when test="${empty challengerModelExists }" >
		   <option selected value="-1"><fmt:message key="fcm.multiorg.selectModel.txt" /></option>
		</c:when>
		<c:otherwise>
		<option value="-1"><fmt:message key="fcm.multiorg.selectModel.txt" /></option>
		</c:otherwise>
            </c:choose>
         </select>
         <!-- <br>&nbsp; -->
      </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.populationSplitBy.txt" />:</td>
      <td colspan="2" valign="middle" >
         <select id="challengerSplitFieldId" name="challengerSplitFieldId" class="famSelect" onChange="setChallengerModelPercent();">
         	<c:set var="splitFieldExists" value="" />
            <c:forEach var="challengerSplitField" items="${challengerSplitFields}" varStatus="status">
               <c:choose>
                  <c:when test="${multiorgNode.challengerSplitFieldId==challengerSplitField.id}">
                     <c:set var="selected" value="selected" />
                     <c:set var="splitFieldExists" value="true" />
                  </c:when>
                  <c:otherwise>
                     <c:set var="selected" value="" />
                  </c:otherwise>
               </c:choose>
           	   <c:choose>
               		<c:when test="${challengerSplitField.name == 'Customer'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.customer.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Account'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.account.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Card'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.card.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'On Line Banking Users'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.onlineBanking.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 1'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom1.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 2'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom2.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 3'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom3.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 4'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom4.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 5'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom5.txt"/></option>
               		</c:when>
               		<c:when test="${challengerSplitField.name == 'Custom 6'}">
                  		<option ${selected} value="${challengerSplitField.id}"><fmt:message key="fcm.multiorg.splitValue.custom6.txt"/></option>
               		</c:when>
                	<c:otherwise>
                		<option ${selected} value="${challengerSplitField.id}">${fn:escapeXml(challengerSplitField.name)}</option>
                	</c:otherwise>
            	</c:choose>
            </c:forEach>

            <c:choose>
				<c:when test="${empty splitFieldExists}" >
		   			<option selected value="-1"><fmt:message key="fcm.multiorg.selectSplitValue.txt" /></option>
				</c:when>
				<c:otherwise>
					<option value="-1"><fmt:message key="fcm.multiorg.selectSplitValue.txt" /></option>
				</c:otherwise>
            </c:choose>
         </select>
         <!-- <br>&nbsp; -->
      </td>
   </tr>


   <tr class="configurationTableDataRow" valign="top">
      <td valign="middle" colspan="3" nowrap >
      <input name="challengerPercentage" class="famTextEntry" type="text" value="${multiorgNode.challengerPercentage}" size="5" maxlength="3" onKeyUp="setChallengerModelPercent0();"/>
      &nbsp;&nbsp;%&nbsp;&nbsp;<fmt:message key="fcm.multiorg.challengerModelPercent.txt" /></td>
   </tr>

<%-- <c:set var="tranUse" value="No" />

   <c:if test="${multiorgNode.tranUseInd} == 'true'}">
      <c:set var="tranUse" value="Yes" />
   </c:if>

   <tr class="configurationTableDataRow" valign="middle">
      <td nowrap valign="middle" ><fmt:message key="fcm.multiorg.transactionProcessing.txt" />:</td>
      <td valign="bottom"   colspan="2">${tranUse}</td>
   </tr> --%>

   <tr class="configurationTableDataRow" ><td colspan="3">&nbsp;</td</tr>

</TABLE>
</div>
<br>
<%-- <div id="multiorgNodeSaveButtonsGrid" style="display:block" align="center">
     <INPUT id="saveButton" class="button" name="button" type="button" style="margin-left:10px;" onClick="submitMultiOrgForm();" value="<fmt:message key="fcm.application.save.txt" />">
</div> --%>

</form>

<c:if test="${not empty updateSystemProps && !updateSystemProps}">
  <script language="JavaScript">
  //<!--
    setFormsReadOnly();
  //-->
  </script>
</c:if>

<c:if test="${multiorgNode.aboveTenantMOLevel}">
  <script language="JavaScript">
  //<!--
    document.getElementById("championModelId").disabled=true;
    document.getElementById("challengerModelId").disabled=true;
    document.getElementById("challengerSplitFieldId").disabled=true;
    document.getElementById("challengerPercentage").disabled=true;
  //-->
  </script>
</c:if>
