<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<style type="text/css">
@import "admin/styles/preference.css";
</style>

<script language="JavaScript" src="admin/scripts/dynamicRows.js" type="text/javascript"></script>
<script language="JavaScript" src="admin/scripts/preference.js" type="text/javascript"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px; z-index:2;"><tr><td colspan="1">
 <tiles:insert page="/admin/preferenceGridDefinitionMenu.jsp"/>
 </td></tr></table>

<br>
<%-- TODO: Error handling code --%>
<c:url var="reloadURL" value="/preference.sj?method=viewPreferencesTree&treeSelectedItemId=${esapi:encodeForURL(transDataMaskingNodeId)}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
   <tiles:put name="reloadURL" value="${reloadURL}" />
   <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
   <tiles:put name="objectTypeName" value="display transaction data masking" />
</tiles:insert>

<br>
<form id="transactionDataMaskForm" name="transactionDataMaskForm" action="<c:url value='/transactionDataMasking.sj'/>" method="post">

<input type="hidden" name="method" value="saveTransactionDataMaskTypes">
<input type="hidden" name="transDataMaskingNodeId" value="M1">

<br/>

<div id="transactionDataMaskingContentDiv">

<!-- main content header -->
<table class="mainTable minWidthTable"  cellpadding="0" cellspacing="0" border="0" style="margin: 20px" >
	<tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b><fmt:message key="fcm.preferences.dataMasking.transactionData.txt" /></b></div>
    </tr>

	<tr>
		<td style="padding: 0px;" >
			<div id="transactionDataMaskingDiv" class="preferencesGrid">

			<!-- main content header -->
			<table id="transactionDataMaskingTable"  cellspacing="0"  cellpadding="0"  class="mainTable"  style="border: none; border-collapse: separate;" >
				<thead>
					<tr class="tableColumnHeaderRow">
						<th nowrap width="5%" class="centeredTableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.content.count.header.title" /> </th>
						<th nowrap width="15%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.dataMasking.transaction.fieldName.title" /> &nbsp;</th>
						<th nowrap width="20%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.dataMasking.transaction.fieldBusinessName.title" /> &nbsp;</th>
						<th nowrap width="40%" class="tableHeader" style="border-top: none;"><fmt:message key="fcm.preferences.dataMasking.transaction.fieldDesc.title" /> &nbsp;</th>
						<th nowrap width="15%" class="tableHeader" style="border-top: none; border-right: none"><fmt:message key="fcm.preferences.dataMasking.type.header.title" /> &nbsp;</th>
					</tr>
				</thead>

				<tbody id="transactionDataMaskingTableBody">

				<c:forEach var="transDataMaskType" items="${transDataMaskTypes}" varStatus="loop">

					<tr id='${loop.count}' class="dataRow${(loop.count-1)%2+1}_tableRow">
						<td class="imageTableCell"> ${loop.count} </td>
						<td class="textTableCell">${esapi:encodeForHTML(transDataMaskType.name)} </td>
						<td class="textTableCell">${esapi:encodeForHTML(transDataMaskType.label)} </td>
						<td class="textTableCell">${esapi:encodeForHTML(transDataMaskType.desc)} </td>

                        <td class="textTableCell lastCol">
                        	<select id="maskingType" name="maskingTypes"  style="width:17em; height:8; margin:4px;" class="famSelect">
                        		<option value="NA" ${(esapi:encodeForHTML(transDataMaskType.maskingType) eq 'NA') ? 'selected="selected"' : ''} > <fmt:message key="fcm.preferences.dataMasking.selectMaskingType.txt" /> </option>
                        		<c:forEach var="dataMaskingObj" items="${dataMaskingObjs}" varStatus="tloop">
                        			<option value="${esapi:encodeForHTML(dataMaskingObj.maskingType)}" ${(esapi:encodeForHTML(transDataMaskType.maskingType) eq esapi:encodeForHTML(dataMaskingObj.maskingType)) ? 'selected="selected"' : ''} > ${esapi:encodeForHTML(dataMaskingObj.maskingName)} </option>
                        		</c:forEach>
                        	</select>
                        	<input type='hidden' name='names' value='${esapi:encodeForHTMLAttribute(transDataMaskType.name)}'>
                        	<input type='hidden' name='versions' value='${esapi:encodeForHTMLAttribute(transDataMaskType.version)}'>
                        </td>
					</tr>

				</c:forEach>

				</tbody>
			</table>
			<%-- end main content --%>

			</div>

			<%-- end main content -- up/down and content --%>

		</td>
	</tr>
</table>
<!-- end main content header -->
<%--
<div id="transDataMaskSaveButton" style="display: block; padding: 10px" align="center">
	<input id="saveButton" class="button" name="button" type="submit" style="margin-left: 10px;" value='<fmt:message key="fcm.application.save.txt" />'>
</div> --%>

</div>

</form>

<c:if test="${not empty updateAdmins && !updateAdmins}">
	<script language="JavaScript" type="text/javascript">
    	setFormsReadOnly();
  	</script>
</c:if>
