<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%-- use leading tabs only, no spaces please --%>
<%@ page contentType="text/html; charset=UTF-8" errorPage="/common/errorMessage.jsp"%>
<%@ include file="/common/taglibs.jsp" %>

<fmt:setBundle var="alertTypeLabelResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeLabelResourceBundle" />
<fmt:setBundle var="alertTypeImageResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeImageResourceBundle" />


<c:set var="contactDetails" value="${displayEntity.contactDetails.detailMap}" scope="request"/>
<fmt:setBundle var="entityDetailsResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.EntityDetailsResourceBundle" />

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>
<c:choose>
	<c:when test="${empty productName}">
		<fmt:message key="creditfraud.application.title.txt" />
	</c:when>
	<c:otherwise>
		${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")}
	</c:otherwise>
</c:choose>
- <fmt:message key="fcm.alert.entity.txt" /></title>

<link rel="stylesheet" href="common/styles/calendar.css" type="text/css"/>
<%--<link rel="stylesheet" href="common/styles/sasStyles.css" type="text/css"/>
<link rel="stylesheet" href="common/styles/cf.css" type="text/css"/>
<link rel="stylesheet" href="analyst/styles/analystPrint.css" type="text/css" media="print"/>--%>
<link rel='stylesheet' href='analyst/styles/entity.css' type='text/css'/>
<style>
div#banner td#bantitle {
	color:#ffcc33;
	font-family:Verdana,Arial,helvetica,sans-serif;
	font-size:x-small;
	font-weight:bold;
	font-variant:small-caps;
	vertical-align:absmiddle;
	padding-left:2px;
	padding-top:0px;
	padding-bottom:0px;
}
</style>
<%-- Portfolio retired for V31M1
<c:if test="${displayEntityHelper.card}">
	<tiles:insert page="entity/card/cardHeader.jsp" flush="true" />
</c:if>
 --%>
<script src="common/scripts/jquery.js" type="text/javascript"></script>
<script src="common/scripts/sasSolutions.js" type="text/javascript"></script>
<script src="common/scripts/i18n.js" type="text/javascript"></script>
<script src="common/scripts/cf.js" type="text/javascript"></script>
<script src="common/scripts/dateUtil.js" type="text/javascript"></script>
<script src="common/scripts/calendar.js" type="text/javascript"></script>
<script src="common/scripts/calendarTime.js" type="text/javascript"></script>
<script src="common/scripts/jquery.fcm.dynaform.js" type="text/javascript"></script>
<script src="analyst/scripts/analyst.js" type="text/javascript"></script>
<script src="analyst/scripts/entity.js" type="text/javascript"></script>
<script src="analyst/scripts/dataPop.js" type="text/javascript"></script>
<script src="analyst/scripts/transactionFraudFlags.js" type="text/javascript"></script>
<script src="analyst/scripts/md5.js" type="text/javascript"></script>
<script src="analyst/scripts/jquery.fcm.scrollbars.js" type="text/javascript"></script>
<script src="common/scripts/session.js" type="text/javascript"></script>
<script type="text/javascript">

	DateUtil.setDefaultDateTimeFormat('${esapi:encodeForJavaScript(dateTimeFormat)}');
	DateUtil.setDefaultDateFormat('${esapi:encodeForJavaScript(dateFormat)}');
	DateUtil.setDefaultTimeFormat('${esapi:encodeForJavaScript(timeFormat)}');

	CalendarTime.setDateFormat('${esapi:encodeForJavaScript(dateTimeFormat)}');
	CalendarTime.setMonthNames('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarMonthNames))}');
	CalendarTime.setDayNames('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarDayNames))}');
	CalendarTime.setShowMonthAfterYear(${esapi:encodeForJavaScript(calendarShowMonthAfterYear)});
	CalendarTime.setWeekStartDay(${esapi:encodeForJavaScript(calendarFirstDayOfWeek)});
	<%-- Time-related labels --%>
	CalendarTime.setButtonLabel('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarButtonLabel))}');
	CalendarTime.setTimeLabel('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarTimeLabel))}');
	CalendarTime.setHoursLabel('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarHoursLabel))}');
	CalendarTime.setMinutesLabel('${esapi:encodeForJavaScript(esapi:encodeForHTML(calendarMinutesLabel))}');

	CalendarTime.addValidator(
		(function(date)
			{
				var now = new Date();
				if(date.getTime() < now.getTime()){
					now.setSeconds(0);
					now.setMilliseconds(0);
					alert("<fmt:message key='fcm.alert.pickADateOnOrAfter.txt'/> '"+DateUtil.formatDateTime(now)+"'");
					return false;
				}
				return true;
			}
		)
	);
	$(document).ready(function(){
		removeBusy('mainDiv');
<%-- Use the Analyst Session Timeout if it is positive and less than the session timeout --%>
<c:set var="sessionTimeout" value="${pageContext.session.maxInactiveInterval}"/>
<c:if test="${analystSessionTimeout > 0 and analystSessionTimeout < sessionTimeout}">
	<c:set var="sessionTimeout" value="${analystSessionTimeout}"/>
</c:if>
		$.SM.init({
			timeout: ${sessionTimeout}
		});
	});
  $(document).ready(onLoadHandler);
</script>
</head>

<body>
<span id="dataPopErrorLabel" style="display:none"><fmt:message key="fcm.datapop.default.error.label.txt"/></span>
<span id="dataPopErrorMessage" style="display:none"><fmt:message key="fcm.datapop.default.error.message.txt"/></span>
<!-- begin banner -->
<div id="banner" background="common/images/BannerBackground.gif" style='background: #039 url("common/images/BannerBackground.gif")'>
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td style="white-space: nowrap" id="bantitle">
				<c:choose>
					<c:when test="${empty productName}">
						<img src="common/images/sasFraudMgmtForCards.gif" width="243" height="20" alt="<fmt:message key='creditfraud.application.title.txt' />"/>
					</c:when>
					<c:otherwise>
						<span id="productName" style="padding-left:3px;padding-right:3px;vertical-align:25%;font-size:small;">${productName}</span>
					</c:otherwise>
				</c:choose>
				<c:if test="${not empty productType}">
					<span style="font-family: verdana; font-size: x-small; font-variant: small-caps; color: #FFF; vertical-align: 25%"><span style="color: #FD9">&middot;</span> &nbsp; ${esapi:encodeForHTML(productType)}</span>
				</c:if>
			</td>
			<td id="banbullet">&nbsp;</td>
			<td style="white-space: nowrap" id="bantitle2">&nbsp;</td>
			<td align="right" id="banlogo" width="100%" valign="middle" style="white-space: nowrap">
				<span style="color: #FFFFFF; font-weight: bold">
<c:if test="${displayType != 'viewEntity' && displayType != 'viewAlert'}">

	<tiles:insert page="callScriptVariables.jsp" flush="true" />


	<a href="JavaScript:viewCallScript('alert.sj?method=viewCallScripts&alert=${displayEntity.currentAlert.id}')" class="utilmenu"><fmt:message key="fcm.alert.callScript.txt"/></a> |
	<a href="JavaScript:pauseStats('${displayEntity.currentAlert.id}')" class="utilmenu"><fmt:message key="fcm.alert.pauseStats.txt"/></a> |
</c:if>
					<a href="JavaScript:openMapWin()" class="utilmenu"><fmt:message key="fcm.alert.timeZoneMaps.txt"/></a> |
					<a id="Help" target="_top" href="JavaScript:openHelp({topic:'fraudacctpage', locale:'${esapi:encodeForJavaScript(onlineHelpLocale)}'})" onmouseover="window.status='Help';return true" class="utilmenu">
						<fmt:message key="creditfraud.banner.help.txt" /></a>

					<c:if test="${empty alertAdminRequest}">
						<script type="text/javascript">
							if (window.name.match('FCMPopupWin.*') || window.name==='FCMPopoutWin') document.write(" | <a href='JavaScript:goToMain()' class='utilmenu'><fmt:message key='fcm.alert.summary.txt' /></a>");
						</script>
					</c:if>
				</span>
				<img src="common/images/saslogo.gif" alt="<fmt:message key='fcm.alert.sasLogo.txt'/>" title="<fmt:message key='fcm.alert.sasLogo.txt'/>" class="icon" width="70" height="32"/>
			</td>
		</tr>
	</table>
</div>
<!-- end banner -->

<%@ include file="/common/busyMsgDiv.jsp" %>

<%-- ----------------------- Begin mainDiv ----------------------- --%>
<div id="mainDiv" style="display:none">

	<!-- Poll for new notifications, load this iframe after the account page is displayed -->
	<div align="left">
		<iframe name="pollNotificationsIframe" id="pollNotificationsIframe" src="blank.html"
			width="100%" height="0" frameborder="0" marginheight="0" marginwidth="0">
		</iframe>
	</div>
	<!-- Begin outer container div -->
	<div style="margin-left: 12px; margin-top: 12px; text-align: left;">

	<!-- ********************************** Confirmation Message *********************************** -->
	<c:if test="${not empty confirmationMessage and empty errorMessage}">
		<div style="display: block; margin: 10px 12px 10px 0px;" align="left">
			<tiles:insert definition="fcmSystemMessages" flush="true" >
				<tiles:put name="messageSuccessImage" value="common/images/MessageInform_24.gif"/>
			</tiles:insert>
		</div>
	</c:if>
	<c:if test="${not empty confirmationMessage and not empty errorMessage}">
		<div style="display: block; margin: 10px 12px 10px 0px;" align="left">
			<tiles:insert definition="fcmSystemMessages" flush="true"/>
		</div>
	</c:if>
	<c:if test="${not empty displayEntity.currentAlert and not empty displayEntity.currentAlert.warningMessage}">
		<div style="display: block; margin: 10px 12px 10px 0px;" align="left">
			<tiles:insert definition="fcmSystemMessages" flush="true" >
				<tiles:put name="warningMessage" value="${displayEntity.currentAlert.warningMessage}"/>
			</tiles:insert>
		</div>
	</c:if>

	<c:if test="${param.keepSearchResults == 'true'}">
		<div style="display: block; font-size: 12; margin: 10px 12px;" align="right">
		<a href="javascript:goToMain()"><img src="analyst/images/PointerLeft.gif" style="border:none" /> <fmt:message key="fcm.alert.backToSearchResults.txt"/></a>
		</div>
	</c:if>

	<c:set var="refreshRelatedToEntity" value="{}"/>
	<c:choose>
		<c:when test="${not empty relatedToAlertID}">
			<c:set var="relatedToEntity" value="{}" scope="request" />
			<c:set var="relatedToAlert" value="${relatedToAlertID}" scope="request" />
		</c:when>
		<c:when test="${not empty relatedEntityObj}">
			<c:set var="relatedToEntity" scope="request" ><sfmfmt:entityToJSON entity="${relatedEntityObj}" relatedOut="true"/></c:set>
			<c:set var="refreshRelatedToEntity" value="${relatedToEntity}"/>
			<c:set var="relatedToAlert" value="" scope="request" />
		</c:when>
		<c:otherwise>
			<c:choose>
				<c:when test="${displayType == 'viewEntity'}">
					<c:set var="relatedToEntity" scope="request" ><sfmfmt:entityToJSON entity="${displayEntity}" relatedOut="true"/></c:set>
					<c:set var="relatedToAlert" value="" scope="request" />
				</c:when>
				<c:otherwise>
					<c:set var="relatedToEntity" value="{}" scope="request" />
					<c:set var="relatedToAlert" value="${displayEntity.currentAlert.id}" scope="request" />
				</c:otherwise>
			</c:choose>
		</c:otherwise>
	</c:choose>

	<script type="text/javascript">
		$(document).ready(function(){
			updateViewState({
				keepSearchResults: '${esapi:encodeForJavaScript(param.keepSearchResults)}',
				relatedToAlert: '${relatedToAlert}',
				relatedToEntityObj: ${relatedToEntity}
			});
		});
	</script>

	<c:if test="${empty alertAdminRequest}">
		<script type="text/javascript">
			if (window.name=='FCMAlertDetailView') document.write('<div style="display:none">');
		</script>

		<c:choose>
			<c:when test="${not empty relatedToAlertID}">
				<div style="display: block; font-size: 12; margin: 10px 12px;" align="right">
				<a href="JavaScript:viewAlert('${esapi:encodeForJavaScript(relatedToAlertID)}')"><img src="analyst/images/PointerLeft.gif" style="border:none" /> <fmt:message key="fcm.alert.backToOriginalAlert.txt"/></a>
				</div>
			</c:when>
			<c:when test="${not empty relatedEntityObj}">
				<div style="display: block; font-size: 12; margin: 10px 12px;" align="right">
				<a href="#" onclick="viewEntity(<sfmfmt:entityToJSON entity="${relatedEntityObj}"/>)"><img src="analyst/images/PointerLeft.gif" style="border:none" /> <fmt:message key="fcm.alert.backToOriginalEntity.txt"/></a>
				</div>
			</c:when>
			<c:otherwise>
				<c:if test="${inbound && updateAlerts && displayType == 'viewAlert' && not empty checkoutAvailable && checkoutAvailable!='false'}">
					<c:choose>
						<c:when test="${fn:trim(displayEntity.currentAlert.alertStatus) == 'ACTIVE' and empty displayEntity.currentAlert.suspendUser}">
							<div style="margin-bottom:6px">
								<a href="#" onclick="checkout('${displayEntity.currentAlert.id}','${displayEntity.currentAlert.version}');">
									<img src="analyst/images/CheckOut.gif" style="vertical-align:middle;border:none" /> <fmt:message key="fcm.alert.checkOutThisAlert.txt"/>
								</a>
							</div>
						</c:when>
						<c:when test="${fn:trim(displayEntity.currentAlert.alertStatus) == 'CLOSED'}">
							<tiles:insert page="manualAlerts.jsp" flush="true"/>
						</c:when>
						<c:when test="${username==fn:trim(displayEntity.currentAlert.checkoutUser)}">
							<div style="margin-bottom:6px">
								<a href="#" onclick="modifyAlert('${displayEntity.currentAlert.id}','${displayEntity.currentAlert.version}');">
									<img src="analyst/images/go.gif" style="vertical-align:middle;border:none" /> <fmt:message key="fcm.alert.returnToWorkThisAlert.fmt.txt" />
								</a>
							</div>
						</c:when>
						<c:when test="${not empty displayEntity.currentAlert.checkoutUser}">
							<div style="margin-bottom:6px">
								<c:if test="${displayEntity.currentAlert.suspendUserCheckouts <= 1 && displayEntity.currentAlert.queue.disableForceCheckout==false}">
								<a href="#" onclick="forceCheckout('${displayEntity.currentAlert.id}','${displayEntity.currentAlert.version}')">
									<img src="analyst/images/ForceCheckOut.gif" style="vertical-align:middle;border:none" /> <fmt:message key="fcm.alert.forceCheckoutThisAlert.txt"/>
								</a>
								</c:if>
							</div>
						</c:when>
					</c:choose>
				</c:if>
				<c:if test="${manualAlerts && updateAlerts && displayType == 'viewEntity'}">
					<tiles:insert page="manualAlerts.jsp" flush="true"/>
				</c:if>
			</c:otherwise>
		</c:choose>
		<%-- Begin Work List Section --%>
		<c:choose>
			<c:when test="${displayType == 'viewAlert'}">
					<c:if test="${username!=fn:trim(displayEntity.currentAlert.checkoutUser)}">
						<div style="margin-bottom:6px;">
							<a href="#" onclick="WorkList('ADD',<sfmfmt:entityToJSON entity="${displayEntity}"/>,'${esapi:encodeForJavaScript(contactDetails.fullName)}','${esapi:encodeForJavaScript(contactDetails.phone1)}','${esapi:encodeForJavaScript(contactDetails.addressLine1)}','${esapi:encodeForJavaScript(contactDetails.city)}','${esapi:encodeForJavaScript(contactDetails.stateProvinceName)}','${esapi:encodeForJavaScript(contactDetails.postalCode)}','${esapi:encodeForJavaScript(contactDetails.country)}','${displayEntity.currentAlert.id}','${displayEntity.currentAlert.alertStatus}','${esapi:encodeForJavaScript(displayEntity.currentAlert.checkoutUser)}','${esapi:encodeForJavaScript(displayEntity.currentAlert.suspendUser)}','${displayEntity.currentAlert.version}','${displayEntity.currentAlert.lastCallResultId}','${esapi:encodeForJavaScript(displayEntity.currentAlert.strategyDescription)}','${esapi:encodeForJavaScript(displayEntity.currentAlert.queue.name)}');">
								<img src="common/images/PlusGreen.gif" style="vertical-align:middle;border:none" width="16" height="16"/> <fmt:message key="fcm.alert.addThisAlertToWorkList.txt"/>
							</a>
						</div>
					</c:if>
			</c:when>
			<c:when test="${displayType == 'viewEntity'}">
					<div style="margin-bottom:6px;">
						<a href="#" onclick="WorkList('ADD',<sfmfmt:entityToJSON entity="${displayEntity}"/>,'${esapi:encodeForJavaScript(contactDetails.fullName)}','${esapi:encodeForJavaScript(contactDetails.phone1)}','${esapi:encodeForJavaScript(contactDetails.addressLine1)}','${esapi:encodeForJavaScript(contactDetails.city)}','${esapi:encodeForJavaScript(contactDetails.stateProvinceName)}','${esapi:encodeForJavaScript(contactDetails.postalCode)}','${esapi:encodeForJavaScript(contactDetails.country)}');">
							 <img src="common/images/PlusGreen.gif" style="vertical-align:middle;border:none" width="16" height="16"/> <fmt:message key="fcm.alert.addThisEntityToWorkList.txt"/>
						</a>
					</div>
			</c:when>
			<c:otherwise>
			</c:otherwise>
		</c:choose>
		<!-- End Work List Section -->

		<script type="text/javascript">
			if (window.name=='FCMAlertDetailView') document.write('</div>');
		</script>
	</c:if>

	<%-- Begin Reveal Sensitive Data Section --%>
   <tiles:insert page="../common/displayRevealLink.jsp" flush="true">
   	<tiles:put name="revealFunction" value="refreshURL('false')"/>
   </tiles:insert>
	<%-- End Reveal Sensitive Data Section --%>

	<!-- ********************************** Begin Alert Info *********************************** -->
	<c:if test="${not empty displayEntity.systemBlock1.label && displayEntity.systemBlock1.label != ' '}">
		<c:set var="primaryBlockClassStr" value="class='primaryBlock'" />
	</c:if>
	<c:if test="${not empty displayEntity.systemBlock2.label && displayEntity.systemBlock2.label != ' '}">
		<c:set var="secondaryBlockClassStr" value="class='secondaryBlock'" />
	</c:if>
	<c:if test="${not empty displayEntity.transactionBlock.label && displayEntity.transactionBlock.label != ''}">
		<c:set var="transactionBlockClassStr" value="class='transactionBlock'" />
	</c:if>

	<table class="mainTable minWidthTable" border="0" cellspacing="0" cellpadding="2">
		<tbody>
		<%-- do not display alert information for entity view --%>
		<c:choose>
			<c:when test="${displayType == 'viewEntity'}">
				<tr class="dataRow2_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.transactionBlock.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${transactionBlockClassStr}>${esapi:encodeForHTML(displayEntity.transactionBlock.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.transactionBlock.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}"/></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell lastCol"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.transactionBlock.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
				</tr>
				<tr class="dataRow1_tableRow">
					<td><fmt:message key="fcm.alert.systemBlock1.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${primaryBlockClassStr}>${esapi:encodeForHTML(displayEntity.systemBlock1.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock1.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell lastCol"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock1.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
				</tr>
				<tr class="dataRow2_tableRow">
					<td style="white-space: nowrap" ><fmt:message key="fcm.alert.systemBlock2.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${secondaryBlockClassStr}>${esapi:encodeForHTML(displayEntity.systemBlock2.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock2.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell lastCol"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock2.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
				</tr>
				<tr class="dataRow1_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.blockGroupAssigner.txt"/>:</td>
					<td style="padding: 0px" ><span >${esapi:encodeForHTML(displayEntity.blockGroupCode)}</span></td>
					<td class="textTableCell">&nbsp;</td>
					<td style="white-space: nowrap" ><fmt:message key="fcm.alert.multiOrg.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell lastCol">
					<c:choose>
						<c:when test="${(callCenterType eq 'P') or (displayEntity.tenantType eq 'P') or (displayEntity.tenantOrgNodeId eq displayEntity.orgNodeId)}">${esapi:encodeForHTML(displayEntity.orgNodeLabel)}</c:when>
						<c:otherwise>${esapi:encodeForHTML(displayEntity.tenantOrgNodeLabel)} : ${esapi:encodeForHTML(displayEntity.orgNodeLabel )}</c:otherwise>
					</c:choose>
					</td>
				</tr>
			</c:when>
			<c:otherwise>
				<tr class="dataRow2_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.transactionBlock.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${transactionBlockClassStr}>${esapi:encodeForHTML(displayEntity.transactionBlock.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.transactionBlock.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.transactionBlock.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<c:choose>
						<c:when test="${changedStrategy=='true'}">
							<td style="white-space: nowrap" style="color:#E00"><fmt:message key="fcm.alert.strategy.txt"/>***: (<fmt:message key="fcm.alert.changed.txt"/>)</td>
							<td class="textTableCell lastCol" color="red">${esapi:encodeForHTML(displayEntity.currentAlert.strategyDescription)}</td>
						</c:when>
						<c:otherwise>
							<td style="white-space: nowrap"><fmt:message key="fcm.alert.strategy.txt"/>:</td>
							<td class="textTableCell lastCol">${esapi:encodeForHTML(displayEntity.currentAlert.strategyDescription)}</td>
						</c:otherwise>
					</c:choose>
				</tr>
				<tr class="dataRow1_tableRow">
					<td><fmt:message key="fcm.alert.systemBlock1.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${primaryBlockClassStr}>${esapi:encodeForHTML(displayEntity.systemBlock1.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock1.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock1.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.queue.txt"/></td>
					<td class="textTableCell lastCol">${esapi:encodeForHTML(displayEntity.currentAlert.queue.name)}</td>
				</tr>
				<tr class="dataRow2_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.systemBlock2.txt"/>:</td>
					<td style="white-space: nowrap" style="padding:0px"><span ${secondaryBlockClassStr}>${esapi:encodeForHTML(displayEntity.systemBlock2.label)}</span></td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock2.creationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.expiration.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.systemBlock2.expirationDateTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.alertId.txt"/>:</td>
					<td class="textTableCell lastCol">${displayEntity.currentAlert.id}</td>
				</tr>
				<tr class="dataRow1_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.blockGroupAssigner.txt"/>:</td>
					<td style="padding: 0px" >${esapi:encodeForHTML(displayEntity.blockGroupCode)}</td>
					<td class="textTableCell">&nbsp;</td>
					<td style="white-space: nowrap" ><fmt:message key="fcm.alert.multiOrg.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell">
					<c:choose>
						<c:when test="${(callCenterType eq 'P') or (displayEntity.currentAlert.tenantType eq 'P') or (displayEntity.currentAlert.tenantOrgNodeId eq displayEntity.currentAlert.orgNodeId)}">${esapi:encodeForHTML(displayEntity.currentAlert.orgNodeLabel)}</c:when>
						<c:otherwise>${esapi:encodeForHTML(displayEntity.currentAlert.tenantOrgNodeLabel)} : ${esapi:encodeForHTML(displayEntity.currentAlert.orgNodeLabel )}</c:otherwise>
					</c:choose>
					</td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.alertReason.txt"/>:</td>
					<td class="textTableCell lastCol">${esapi:encodeForHTML(displayEntity.currentAlert.alertReason)}</td>
				</tr>
				<tr class="dataRow2_tableRow">
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.lastAction.txt"/>:</td>
					<td><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.currentAlert.lastService}" pattern="${dateFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap" class="textTableCell">&nbsp;</td>
					<%--
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.highestScore.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell">${displayEntity.currentAlert.hwmFraudScore}</td>
					--%>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.alertCreation.txt"/>:</td>
					<td style="white-space: nowrap" class="textTableCell"><esapi:encodeForHTML><fmt:formatDate value="${displayEntity.currentAlert.creationTime}" pattern="${dateTimeFormat}" timeZone="${userTimeZone}" /></esapi:encodeForHTML></td>
					<td style="white-space: nowrap"><fmt:message key="fcm.alert.alertStatus.txt"/>:</td>
					<td class="textTableCell lastCol"><sfmfmt:formatAlertStatus value="${displayEntity.currentAlert}"/></td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>

	<%-- ********************************** End Alert Info *********************************** --%>
<c:set var="refreshURL" value="refreshURL(true)" scope="request"/>
<script type="text/javascript">
function refreshURL(mask)
{
<c:choose>
	<c:when test="${displayType == 'viewAlert'}">
		viewAlert('${displayEntity.currentAlert.id}',mask);
	</c:when>
	<c:when test="${displayType == 'viewEntity'}">
		viewEntity(<sfmfmt:entityToJSON entity="${displayEntity}"/>,mask);
	</c:when>
	<c:otherwise>
		reloadEntity('${displayEntity.currentAlert.id}','${displayEntity.currentAlert.version}',mask);
	</c:otherwise>
</c:choose>
}
</script>
	<%-- ********************************** BEGIN FIRST TAB GROUP *********************************** --%>
<form>
	<table class="minWidthTable" border="0" cellspacing="0" cellpadding="0" style="margin-top: 6px;">
		<thead>
			<tr>
				<td><div id="entityTabs" class="tabs" >
						<ul class="tabList">
							<li id="entityTab" class="tabItem"><a href="javascript:;" class="tabItemLink tabCurrentItemLink" onmousedown="swapGridContents('entity',1);"><span class="tabItemLinkContent tabCurrentItemLinkContent">
							<img style="margin-top:-1px" src="<esapi:encodeForHTMLAttribute><fmt:message key="${displayEntity.entityType.type}" bundle="${alertTypeImageResourceBundle}"/></esapi:encodeForHTMLAttribute>" alt="<esapi:encodeForHTMLAttribute><fmt:message key="${displayEntity.entityType.type}" bundle="${alertTypeLabelResourceBundle}"/></esapi:encodeForHTMLAttribute>" class="icon" width="16" height="16"/> <fmt:message key="${displayEntity.entityType.type}" bundle="${alertTypeLabelResourceBundle}"/>
							</span></a></li>
						<c:if test="${not empty displayEntity.verifications}">
							<li id="verificationTab" class="tabItem"><a href="javascript:;" class="tabItemLink" onmousedown="swapGridContents('verification',1);"><span class="tabItemLinkContent"><fmt:message key="fcm.alert.verification.txt"/></span></a></li>
						</c:if>

						<c:if test="${displayEntity.externalMemos}">
							<li style="float:right;padding-left:2px;"><span><img src="analyst/images/externalMemos.gif" class="icon" border="0" width="16" height="16" title="<fmt:message key="fcm.alert.externalMemosExist.txt"/>"/></span></li>
						</c:if>

						<c:if test="${displayEntity.realTime}">
							<c:if test="${showWarning}">
								<li style="float:right;padding-top:2px;"><span class='highRiskWarning' style="padding-left: 12px; width: 100%;text-align: right;">${esapi:encodeForHTML(displayEntity.currentAlert.queue.warningMsg)}</span></li>
							</c:if>
						</c:if>

						<c:if test="${!displayEntity.realTime and realTimeDemographicsEnabled}">
							<li style="float:right;padding-top:2px;"><span style="padding-left: 12px; width: 100%; color: #E00; text-align: right;"><fmt:message key="fcm.alert.unableToRetrieve.txt"/></span></li>
						</c:if>
						</ul>
					</div></td>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<tiles:insert page="demographics.jsp" flush="true" />
				<c:if test="${not empty displayEntity.verifications}">
					<tiles:insert page="verification.jsp" flush="true" />
				</c:if>
				</td>
			</tr>
		</tbody>
	</table>
	<tiles:insert page="contactData.jsp" flush="true"/>
</form>
	<script type="text/javascript">
		//$(document).ready(function(){
		$(window).load(function(){
			// Set the same width for demographics, verification, and contactData
			var $custTable = $('#contactInfo');
			var $entityTable = $('#entityGrid');
			var maxWidth = Math.max(881,$custTable.outerWidth(),$entityTable.outerWidth());
			$custTable.data('originalWidth',$custTable.outerWidth());
			$custTable.width(maxWidth);
			$entityTable.width(maxWidth);
		});
	</script>


	<%-- *********************************** END FIRST TAB GROUP ************************************ --%>
	<%-- ********************************** BEGIN SECOND TAB GROUP ********************************** --%>
	<html:form action="/alert.sj" method="post"><%-- TODO: margin:0px --%>

		<div id="linkedEntityTransactionFilter" style="overflow:auto;height:12.1em;white-space: nowrap;padding:2px;position:absolute; z-index:50; border:1px solid #7F9DB9; background-color:white; display:none; margin-top:1.8em;">
			<ul style="list-style:none; margin:0;background-color:#fff;">
				<li class="selectedTxnFilter" onclick="viewEntityTransactions(this,<sfmfmt:entityToJSON entity="${displayEntity}"/>,${displayEntity.gridTemplateId},'${displayType}');">
				<img src="<esapi:encodeForHTMLAttribute><fmt:message key="${displayEntity.entityType}" bundle="${alertTypeImageResourceBundle}"/></esapi:encodeForHTMLAttribute>" alt="<esapi:encodeForHTMLAttribute><fmt:message key="${displayEntity.entityType}" bundle="${alertTypeLabelResourceBundle}"/></esapi:encodeForHTMLAttribute>" class="icon" width="16" height="16"/>
					<a href="#" onclick="return false;"><fmt:message key="fcm.alert.transactions.current.txt"/></a>
				</li>
			<c:forEach var="entity" items="${displayEntity.linkedEntities}">
				<li onclick="viewEntityTransactions(this,<sfmfmt:entityToJSON entity="${entity}"/>,${displayEntity.gridTemplateId},'${displayType}');">
				<img src="<esapi:encodeForHTMLAttribute><fmt:message key="${entity.entityType}" bundle="${alertTypeImageResourceBundle}"/></esapi:encodeForHTMLAttribute>" alt="<esapi:encodeForHTMLAttribute><fmt:message key="${entity.entityType}" bundle="${alertTypeLabelResourceBundle}"/></esapi:encodeForHTMLAttribute>" class="icon" width="16" height="16"/>
					<a href="#" onclick="return false;"> <sfmmsk:maskData value="${entity.entityID}" maskType="ID" /> </a>
				</li>
			</c:forEach>
			</ul>
		</div>

		<div id="entityTransactionsContainer">
			<c:set var="entityTransactions" value="${displayEntity.transactions}" scope="request"/>
			<tiles:insert page="trans.jsp" flush="true"/>
		</div>

		<div id="entityTransactionsRequestIcon" style="display:none;position:absolute;">
			<img src="common/images/spinner16.gif" border="0" height="16" width="16" class="icon" />
			<fmt:message key="fcm.entity.loading.transactions.txt"/>
		</div>

		<div id="rulesFired" style="position:absolute;z-index: 20;background-color:white; border: 1px solid #039; top: 0px; display: none">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr><td id="rulesFiredTitle" style="font-weight: bold; background-color: #039; color: white; padding: 4px;"><fmt:message key="fcm.alert.rulesFiredTitle.txt"/></td>
				<td style="background-color: #039;padding: 4px;" align="right"><img src="common/images/closeX.gif" onmousedown="closeDataForTxn('rulesFired'); return false" style="cursor:pointer" alt="" width="16" height="16"/></td></tr>
						<tr><td colspan="2" style="padding:4px">
						<div class="scrollableGrid" >
							<table id="rulesFiredTable" cellpadding="2" cellspacing="0" border="0">
								<thead>
									<tr class="lockHeader">
										<%--<th style="background-color: #fff">&nbsp;</th> --%>
										<th style="background-color: #fff"><fmt:message key="fcm.alert.rulesFiredName.txt"/></th>
										<th style="background-color: #fff"><fmt:message key="fcm.alert.rulesFiredReason.txt"/></th>
									</tr>
								</thead>
								<tbody id="rulesFiredTableBody">
								</tbody>
							</table>
						</div>
						</td></tr>
			</table>
		</div>

		<div id="txnFraudAlerts" style="position:absolute;z-index: 20;background-color:white; border: 1px solid #039; top: 0px; display: none">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr><td id="txnFraudAlertsTitle" style="font-weight: bold; background-color: #039; color: white; padding: 4px;"><fmt:message key="fcm.alert.txnFraudAlertsTitle.txt"/></td>
				<td style="background-color: #039;padding: 4px;" align="right"><img src="common/images/closeX.gif" onmousedown="closeDataForTxn('txnFraudAlerts'); return false" style="cursor:pointer" alt="" width="16" height="16"/></td></tr>
						<tr><td colspan="2" style="padding:4px">
						<div class="scrollableGrid" >
							<table id="txnFraudAlertsTable" cellpadding="2" cellspacing="0" border="0">
								<thead>
									<tr class="lockHeader">
										<th style="background-color: #fff"></th><%-- holds the Add to Worklist image --%>
										<th style="background-color: #fff"><fmt:message key="fcm.alert.txnFraudAlertsValue.txt"/></th>
									</tr>
								</thead>
								<tbody id="txnFraudAlertsTableBody">
								</tbody>
							</table>
						</div>
						</td></tr>
			</table>
		</div>

	<%-- *********************************** END SECOND TAB GROUP *********************************** --%>
	<%-- ********************************** BEGIN THIRD TAB GROUP *********************************** --%>
	<div style="text-align: left; margin: 0;">

	<c:choose>
		<c:when test="${displayType == 'viewEntity'}">
			<c:if test="${not empty displayEntity.relatedContacts}">
				<table class="minWidthTable" border="0" cellspacing="0" cellpadding="0" style="margin-top: 6px">
					<thead>
						<tr>
							<th colspan="10" style="margin: 0px; padding: 0px; border: 0px" style="white-space: nowrap">
								<div id="wrapUpTabs" class="tabs">
									<ul class="tabList">
										<li id="relatedTab" class="tabItem"><a href="javascript:;" class="tabItemLink tabCurrentItemLink"><span class="tabItemLinkContent tabCurrentItemLinkContent"><fmt:message key="fcm.alert.relatedContacts.txt"/></span></a></li>
									</ul>
								</div>
							</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								<%-- ------------ Begin Related Contacts Grid  ----------------------- --%>
								<tiles:insert page="relatedContacts.jsp" flush="true"/>
								<%-- ------------ End Related Contacts Grid  ----------------------- --%>
							</td>
						</tr>
					</tbody>
				</table>
					<script type="text/javascript">
						$(document).ready(function(){
							swapGridContents('related',2);
						});
					</script>
			</c:if>
		</c:when>
		<c:otherwise>
			<tiles:insert page="alert.jsp" flush="true"/>
		</c:otherwise>
	</c:choose>
	</div>
	<%-- *********************************** END THIRD TAB GROUP ************************************ --%>

	</div>
	<!-- End outer container div -->
	<table width="100%" cellpadding="0" cellspacing="0" style="margin-top: 12px;">
		<tr id="logon_footer" class="logon_footer">
			<td colspan="2"><img src="common/images/spacer.gif" height="18" width="1" alt=""/></td>
		</tr>
	</table>
</html:form>

<%-- ----------------------- End mainDiv ----------------------- --%>

<script type="text/javascript">
<%-- Load the notifications polling iframe --%>
	frames[ "pollNotificationsIframe" ].location.href = '<c:url value="/a_notifications.sj?method=pollNotifications"/>';
</script>

</body>
</html>