<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<fmt:setBundle var="alertTypeLabelResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeLabelResourceBundle" />
<fmt:setBundle var="alertTypeImageResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeImageResourceBundle" />

<c:forEach var="alert" items="${alerts}">
	<tr style="background-color:white">
		<td><a href="javascript:;" onclick="WorkList('ADD',<sfmfmt:entityToJSON entity="${alert}"/>,'${esapi:encodeForJavaScript(alert.fullName)}','${esapi:encodeForJavaScript(alert.phone1)}','${esapi:encodeForJavaScript(alert.addressLine1)}','${esapi:encodeForJavaScript(alert.city)}','${esapi:encodeForJavaScript(alert.stateProvinceName)}','${esapi:encodeForJavaScript(alert.postalCode)}','${esapi:encodeForJavaScript(alert.country)}','${esapi:encodeForJavaScript(alert.alertId)}','${esapi:encodeForJavaScript(alert.alertStatus)}','${esapi:encodeForJavaScript(alert.checkoutUser)}','${esapi:encodeForJavaScript(alert.suspendUser)}','${esapi:encodeForJavaScript(alert.alertVersion)}','${esapi:encodeForJavaScript(alert.lastCallResultId)}','${esapi:encodeForJavaScript(alert.alertStrategy)}','${esapi:encodeForJavaScript(alert.alertQueue)}');"><img src="common/images/PlusGreen.gif" border="0" class="icon" alt="" width="16" height="16"/></a></td>
		<td><img src="<esapi:encodeForHTMLAttribute><fmt:message key="${alert.entityType}" bundle="${alertTypeImageResourceBundle}"/></esapi:encodeForHTMLAttribute>" alt="<esapi:encodeForHTMLAttribute><fmt:message key="${alert.entityType}" bundle="${alertTypeLabelResourceBundle}"/></esapi:encodeForHTMLAttribute>" class="icon" width="16" height="16"/>
	<c:choose>
	<c:when test="${viewAlerts}">
		<a href="javascript:;" onclick="viewAlert('${alert.id}')"> <sfmmsk:maskData value="${alert.entityID}" maskType="ID" /> </a>
	</c:when>
	<c:otherwise>
		<sfmmsk:maskData value="${alert.entityID}" maskType="ID" />
	</c:otherwise>
	</c:choose>
		</td>
	</tr>
	<script>$('#txnFraudAlertsTableBody').prev().show()</script>
</c:forEach>
<c:if test="${empty alerts and empty errMsg}">
	<tr style="background-color:white;">
		<td><fmt:message key="fcm.alert.noAlertsCouldBeLoaded.txt"/></td>
		<td></td>
	</tr>
	<script>$('#txnFraudAlertsTableBody').prev().hide()</script>
</c:if>
<c:if test="${not empty errMsg}">
	<tr style="background-color:white;color:red;font-weight:bold">
		<td>${esapi:encodeForHTML(errMsg)}</td>
		<td></td>
	</tr>
	<script>$('#txnFraudAlertsTableBody').prev().hide()</script>
</c:if>