<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<script language="JavaScript" src='common/scripts/jquery.js'></script>
<script language="JavaScript" src="common/scripts/cf.js"></script>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleActions.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script>
function deployRules()
{
   setBusyDetail();
   document.deploymentForm.submit();
}

var action = '<c:url value="/r_rules.do"/>';
var workflow = 'Current';
var ruleNames = new Array();

<c:forEach var="rule" items="${deployableProductionRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->

<c:forEach var="rule" items="${deployableTestingRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->


<c:forEach var="rule" items="${deactivatedRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->

</script>
<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;"><fmt:message key="creditfraud.application.title.txt" /> - <fmt:message key="creditfraud.tab.rules.txt" /> Deployment</pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName,"<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.rules.txt" /> Deployment</pre>
	</c:otherwise>
</c:choose>
<script language="JavaScript">
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
</script>

<%-- Buttons at the top --%>
<table width="100%" border="0" cellpadding="0"><tr><td colspan="1">
 <tiles:insert page="/rules/deploymentDetailMenu.jsp"/>
 </td></tr>
</table>

<span style='height:0.5em'/>
<div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

<%-- Error handling code --%>
 <tiles:insert page="rulesSystemMessages.jsp" flush="true">
    <tiles:put name="objectTypeName" value="Rule" />
</tiles:insert>

<div align="left" style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;" title="Target ${deploymentDirectory}">
 Deployment:&nbsp; ${esapi:encodeForHTML(deployableTarget)}
 <br>
Target: ${deploymentDirectory}
</div>
<br>

<form name="deploymentForm" id="deploymentForm" action="r_console.sj" method="post">
   <input type="hidden" name="method" value="performDeployment">
   <input type="hidden" name="deployableTarget" value="${deployableTarget}" >
   <input type="hidden" name="multiOrgNodeKey" value="${esapi:encodeForURL(multiOrgNodeKey)}" >
   <table width="98%">
   <tr><td>
   <div align="left" style="font-size:8pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;">Production Rules</div>
   <br>
   <table class="mainTable" id="productionRulesTable" width="98%" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
     <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Rule ID and version">&nbsp;ID</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Name</TH>
             
         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Alert Type</TH>
         	 </c:when>         
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         	 </c:otherwise>
         	 </c:choose> 
         	
             <c:choose>  
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
             </c:when>
             </c:choose>
             
             <c:choose>
             <c:when test="${showDescription == true}">                          
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Description</TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Multi-Org</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Last Updated By</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated Time</TH>
             <%--<TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH> --%>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Deployed Time</TH>
         </TR>
     </thead>
     <TBODY id="productionRulesTableBody">
       <c:choose>
          <c:when test="${empty deployableProductionRules}">
          <TR rowspan="2">
             <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no deployable rules for this target</center></em></TD>
          </TR>
          </c:when>
          <c:otherwise>
            <c:forEach var="rule" items="${deployableProductionRules}" varStatus="status">
             <TR style="cursor:pointer;" id="${rule.id}"  class="dataRow${status.count%2+1}_tableRow"
                  <c:if test='${not empty updtRules && updtRules}'>
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                  </c:if>
                    onclick='handleRowSelection(${rule.id}, ${rule.baseRuleId}, ruleNames[${rule.id}], ${rule.version}, ${rule.lockVersion}, "${rule.workflowState}", this,"rowSelected",event);'>
                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>
                
             <c:choose>
             <c:when test='${isTenantInstall==true}'>
               <TD class="textTableCell">&nbsp;
                  <c:forEach var="alrt" items="${alertTypeInfo}">
                    <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        ${alrt.value.desc} (${rule.alertTypeCode}) 
                    </c:if>
                  </c:forEach>   
               </TD>
             </c:when>
             <c:otherwise>
               <TD class="textTableCell">&nbsp;${rule.ruleTypeName}
                  <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             </c:otherwise>
             </c:choose>         

             <c:choose>  
             <c:when test="${showBU == true}">
             <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
             </c:when>
             </c:choose>
             
             <c:choose>  
             <c:when test="${showDescription == true}">             
             <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
             </c:choose>             
             </c:when>
             </c:choose>
             
             <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
             </TD>
             <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.lastUpdateTimestampUtcMillis}" />&nbsp;</TD>
             <%--<TD class="textTableCell" > &nbsp;${rule.workflowState}</TD> --%>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.dateDeployedUtcMillis}" />&nbsp;</TD>
              </TR>
             </c:forEach>
          </c:otherwise>
       </c:choose>
     </TBODY>
   </table>
   </td></tr>
   
   <c:if test="${deployTestingRules == true}">
   <tr><td>
   <br>
   <div align="left" style="font-size:8pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;">
   Testing Rules
   </div>
   <br>
   <table class="mainTable" id="testingRulesTable" width="98%" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
       <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Rule ID and version">&nbsp;ID</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Name</TH>
             
         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Alert Type</TH>
         	 </c:when>         
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         	 </c:otherwise>
         	 </c:choose>
         	 
             <c:choose>  
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
             </c:when>
             </c:choose>
             
             <c:choose>
             <c:when test="${showDescription == true}">                          
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Description</TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Multi-Org</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Last Updated By</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated Time</TH>
             <%--<TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH> --%>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Deployed Time</TH>
         </TR>
       </thead>
       <TBODY id="testingRulesTableBody">
       <c:choose>
          <c:when test="${empty deployableTestingRules}">
          <TR rowspan="2">
             <TD align="right" style="font-size:10pt;" colspan="100%"><center><em>There are no deployable rules for this target</center></em></TD>
          </TR>
          </c:when>
          <c:otherwise>
            <c:forEach var="rule" items="${deployableTestingRules}" varStatus="status">

             <TR style="cursor:pointer;" id="${rule.id}" class="dataRow${status.count%2+1}_tableRow"
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                    onclick='handleRowSelection(${rule.id}, ${rule.baseRuleId}, ruleNames[${rule.id}], ${rule.version}, ${rule.lockVersion}, "${rule.workflowState}", this,"rowSelected",event);' >

                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>
                
             	<c:choose>
             	<c:when test='${isTenantInstall==true}'>
               	<TD class="textTableCell">&nbsp;
                  	<c:forEach var="alrt" items="${alertTypeInfo}">
                    	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        	${alrt.value.desc} (${rule.alertTypeCode}) 
                    	</c:if>
                  	</c:forEach>   
               	</TD>
             	</c:when>
             	<c:otherwise>
               	<TD class="textTableCell">&nbsp;${rule.ruleTypeName}
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             	</c:otherwise>
            	</c:choose> 
             
                <c:choose>  
                <c:when test="${showBU == true}">
                <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
                </c:when>
                </c:choose>
                
                <c:choose>  
                <c:when test="${showDescription == true}">             
                <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
                </c:choose>             
                </c:when>
                </c:choose>


             <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
             </TD>
             <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.lastUpdateTimestampUtcMillis}" />&nbsp;</TD>
             <%--<TD class="textTableCell" > &nbsp;${rule.workflowState}</TD> --%>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.dateDeployedUtcMillis}" />&nbsp;</TD>
              </TR>
             </c:forEach>
          </c:otherwise>
       </c:choose>
       </TBODY>
   </table>
   
   </td></tr>
   </c:if>
   
   <c:if test="${deactivatedRules != null &&  !(empty deactivatedRules)}">
   <tr><td>
   <br>
   <div align="left" style="font-size:8pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;">
   Deactivated Rules
   </div>
   <br>
   <table class="mainTable" id="deactivatedRulesTable" width="98%" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
       <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="Rule ID and version">&nbsp;ID</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Name</TH>
             
         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Alert Type</TH>
         	 </c:when>         
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Type</TH>
         	 </c:otherwise>
         	 </c:choose> 
             
             <c:choose>  
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
             </c:when>
             </c:choose>
             
             <c:choose>
             <c:when test="${showDescription == true}">                          
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Description</TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Multi-Org</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Last Updated By</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Updated Time</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;Last Deployed Time</TH>
         </TR>
       </thead>
       <TBODY id="deactivatedRulesTableBody">
            <c:forEach var="rule" items="${deactivatedRules}" varStatus="status">
             <TR style="cursor:pointer;" id="${rule.id}" class="dataRow${status.count%2+1}_tableRow"
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                    onclick='handleRowSelection(${rule.id}, ${rule.baseRuleId}, ruleNames[${rule.id}], ${rule.version}, ${rule.lockVersion}, "${rule.workflowState}", this,"rowSelected",event);' >

                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>
                
                <c:choose>
             	<c:when test='${isTenantInstall==true}'>
               	<TD class="textTableCell">&nbsp;
                  	<c:forEach var="alrt" items="${alertTypeInfo}">
                    	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        	${alrt.value.desc} (${rule.alertTypeCode}) 
                    	</c:if>
                  	</c:forEach>   
               	</TD>
             	</c:when>
             	<c:otherwise>
               	<TD class="textTableCell">&nbsp;${rule.ruleTypeName}
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             	</c:otherwise>
            	</c:choose>
            	 
                <c:choose>  
                <c:when test="${showBU == true}">
                <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
                </c:when>
                </c:choose>
                
                <c:choose>  
                <c:when test="${showDescription == true}">             
                <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
                </c:choose>             
                </c:when>
                </c:choose>
                
             
                <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
                </TD>
                <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
                <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.lastUpdateTimestampUtcMillis}" />&nbsp;</TD>
                <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${rule.dateDeployedUtcMillis}" />&nbsp;</TD>
              </TR>
             </c:forEach>
       </TBODY>
   </table>
   
   </td></tr>
   </c:if>
      
</table>

</div>
   
<script>
   attachEventHandlerToTableCells(['productionRulesTable', 'testingRulesTable', 'deactivatedRulesTable']);
 </script>
 <!-- TBD David's scripts to be refactored -->
<script>
//<!--

function myscrollingTableSizeToFit(name, objList)
{
   divObj = document.getElementById(name+"Div");
   tblObj = document.getElementById(name+"Table");

   if(tblObj && divObj)
   {
      var screenWidth = getClientWidth();
      var screenHeight = getClientHeight();

      var bot = 0;
      if(objList)
      {
         for(var i = 0; i < objList.length; i++)
         {
            if(document.getElementById(objList[i]))
               bot += document.getElementById(objList[i]).offsetHeight;
         }

      }

      var top = getTopPosition(tblObj);


      var maxHeight = ((screenHeight-top-bot) *0.80 );



      divObj.style.height = (maxHeight < tblObj.offsetHeight ? maxHeight : tblObj.offsetHeight)
   }

}
myscrollingTableSizeToFit('rule',['buttonTable']);



function myDeployRules()
{
        var sasSpinner = "common/images/spinner.gif";
        formElem = document.main;

        //setBusyDetail();

        // Display the spinner while we wait

        mysetErrorWarningDisplay( document, 'sasLog', 'SAS Log',
        '<image src="' + sasSpinner + '" border="0" height="15" width="15"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' );


        mysetErrorWarningDisplay(document, 'sasLog',  'SAS Log',
         '<font color=blue><b>'+' Results&nbsp;&nbsp;&nbsp;')

        formElem.submit();
}

function mysetErrorWarningDisplay( doc, destinationTab, destinationLabel, html )
{

    var statusArea = doc.getElementById( "errorWarningDisplay" );
    if (statusArea)
    {
        statusArea.innerHTML = "<span onclick=''>" +  html + "</span>";
        statusArea.title = "Show " + destinationLabel;
        statusArea.style.cursor = "pointer";
    }

}

<c:if test="${not empty confirmationMessage && empty errorMessage}">

var selectedNode = parent.frames[ "overview" ]._consoleTree.getSelectedNodes()[0];

if (selectedNode!=null){
	var title=selectedNode.getTitle();
	title= title.replace(/\*$/, '');
	selectedNode.setTitle(title);
	selectedNode.setTip("no changes");
}

</c:if>
//-->
</script>

</form>




