<%-- this file uses leading tabs; don't insert leading spaces --%>
<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<script language="JavaScript" src='common/scripts/jquery.js'></script>
<script language="JavaScript" src="common/scripts/cf.js"></script>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleActions.js"></script>
<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language="JavaScript" src="common/scripts/menuFrames.js"></script>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>



<script>
  var estimateIdsFromForeignBusinessUnits = new Array();
  <c:forEach var="id" items="${estimateIdsFromForeignBusinessUnits}">
    estimateIdsFromForeignBusinessUnits["${id}"] = true;
  </c:forEach>
</script>



<SCRIPT language=JavaScript>
<!--
  // function testEncoding()
  //{
  //  parent.frames[ "detail" ].location.href = action + "?method=" + "testEncoding";
  // }

   var action = '<c:url value="/r_rules.do"/>';      
   //var actionsMenu = new Menu( '', 'Tools', 'common/images/menu/', 'images/rules/' );
   //actionsMenu.start();
   //actionsMenu.addItem('', 'Find', "showFindToolbar()", '', '', '' );
   // actionsMenu.addItem('', 'Estimate', "showDefineEstimatePopup('<fmt:formatDate value="${transactionEarliestDate}" type="date" dateStyle="long" pattern="MM-dd-yyyy"/>-00-00-00','<fmt:formatDate value="${transactionLatestDate}" type="date" dateStyle="long" pattern="MM-dd-yyyy"/>-24-00-00')", '', '', '' );           
   //actionsMenu.finish();
   var bar = new MenuBar("menubar",  'common/images/menu/', 'images/rules/');
   bar.start();
   // bar.addMenu(actionsMenu);     
   
   <c:choose>
      <c:when test="${fn:containsIgnoreCase(workflow, 'versions')}">                              
         bar.addItem('stateCoding', 'Create New Version', "processRequest('createVersion', 'Coding');", '', '');  
         bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
         <c:if test="${empty rules}">
            bar.setEnabled(0, false);                 
            bar.setEnabled(1, false);
            bar.setEnabled(2, false);
         </c:if>
         parent.frames["overview"]._rulesFolderTree.setSelectedIds('');
      </c:when>
      <c:when test="${fn:containsIgnoreCase(workflow, 'searchResults')}">                            
         bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');
         bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
         <c:if test="${empty rules}">        
            bar.setEnabled(0, false);   
            bar.setEnabled(1, false);   
         </c:if>
         parent.frames["overview"]._rulesFolderTree.setSelectedIds('');
      </c:when>
      <c:otherwise>
         // alert(parent.frames["overview"]._rulesFolderTree);
         if(parent.frames["overview"]._rulesFolderTree )
         {
            var selectedNodes = parent.frames["overview"]._rulesFolderTree.getSelectedNodes();           
            if(selectedNodes)
            {
               selectedFolder = selectedNodes[0];
               var selectedId = (!selectedFolder) ? '' : selectedFolder.getId();
               if(selectedId == 'Coding' || workflow == 'Coding')
               {                              
                  bar.addItem("new", 'New Rule', "newRule(true);", '', '');
                  bar.addItem("edit", 'Edit Rule', "processRequest('modifyRule','',true);", '', '');
                  bar.addItem('stateTesting', 'Promote to Testing', "processMultiSelectRequest('processStateTransition', 'Testing');", '', '');  
                  bar.addItem('stateTrash', 'Move to Trash', "processMultiSelectRequest('processStateTransition', 'Trash');", '', '');  
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', ''); 
                  bar.addItem('estimate0', 'Export', "processMultiSelectRequest('exportRules', '', false);", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
                  // bar.addItem('estimate0', 'TestEncoding', "testEncoding();", '', ''); 
                  <c:if test="${empty rules}">
                     bar.setEnabled(0, true);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     bar.setEnabled(3, false);
                     bar.setEnabled(4, false);
                     bar.setEnabled(5, false);
                  </c:if>
                  <c:if test="${tenantUserNodeCount == 0}">
                     bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                  </c:if>                  
               }
               else if(selectedId.substr(0,16) == 'ESTIMATION_USER_' || workflow.toLowerCase().indexOf('estimat')>=0)
               {
                  bar.addItem('RunningPerson', 'Run Estimation', "runEstimation(false)", '', '');
                  bar.addItem('DebugBlue', 'Debug Estimation', "runEstimation(true)", '', '');
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', '');
                  bar.addItem('estimate0', 'List Estimations', "top.frames('overview').showRuleEstimates(top.frames('overview').estimateDetailAction,'"+selectedId+"');", '', '');
                  bar.setEnabled(3, true);
                  <c:if test="${empty rules}">
                     bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     //bar.setEnabled(3, false);
                  </c:if>
               }

               else if(selectedId == 'Testing')
               {                               
                  var tgt = top.frames('overview').ruleDetailAction + '?method=listRules&workflow=Estimations&userId=';
                  bar.addItem('new', 'Define New Estimation', "top.frames['detail'].location.href = '" + tgt + "'", '', '');
                  <c:if test="${not empty pwaRules && !pwaRules}"> 
                     bar.addItem('stateRequestApproval', 'Request Approval', "showRequestApprovalPopup('Testing', 'be approved for promotion', '${businessUnitId}');", '', ''); 
                  </c:if>
                  bar.addItem('stateProduction', 'Promote to Production', "processMultiSelectRequest('processStateTransition', 'Production');", '', '');  
                  bar.addItem('stateCoding', 'Move to Coding', "processMultiSelectRequest('processStateTransition', 'Coding');", '', '');  
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');    
                  bar.addItem('estimate0', 'Export', "processMultiSelectRequest('exportRules', '', false);", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
                  bar.setEnabled(0, true);
                  <c:if test="${empty rules}">
                     // bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     bar.setEnabled(3, false);
                     bar.setEnabled(4, false);
                     bar.setEnabled(5, false);
                     bar.setEnabled(6, false);
                  </c:if>
                  <c:if test='${not empty noLandlordEstimation && noLandlordEstimation}'>
                     bar.setEnabled(0, false);
                  </c:if>
               }
               else if(selectedId == 'Production')
               {                             
                  var tgt = top.frames('overview').ruleDetailAction + '?method=listRules&workflow=Estimations&userId=';
                  bar.addItem('new',         'Define New Estimation', "top.frames['detail'].location.href = '" + tgt + "'", '', '');
                  <c:if test="${not empty dwaRules && !dwaRules}"> 
                  	bar.addItem('stateRequestApproval', 'Request Approval', "showRequestApprovalPopup('Production', 'be approved for deactivated', '${businessUnitId}');", '', ''); 
               	  </c:if>
                  bar.addItem('stateDeactivated', 'Deactivate', "processMultiSelectRequest('processStateTransition', 'Deactivated');", '', '');
                  bar.addItem('stateCoding', 'Create New Version', "processRequest('createVersion', 'Coding');", '', '');   
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');     
                  bar.addItem('estimate0', 'Export', "processMultiSelectRequest('exportRules', '', false);", '', ''); 
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
                  
                  <c:if test="${empty rules}">
                     bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     bar.setEnabled(3, false);  
                     bar.setEnabled(4, false);
                     bar.setEnabled(5, false);
                  </c:if>
                  <c:if test='${noLandlordEstimation}'>
                     bar.setEnabled(0, false);
                  </c:if>
               }                         
               else if(selectedId == 'Deactivated')
               {            
                  bar.addItem('stateCoding', 'Create New Version', "processRequest('createVersion', 'Coding');", '', '');  
                  bar.addItem('stateTrash', 'Move to Trash', "processMultiSelectRequest('processStateTransition', 'Trash');", '', '');            
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
                  <c:if test="${empty rules}">
                     bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     bar.setEnabled(3, false);                     
                  </c:if>
                  
               }
               else if(selectedId == 'Trash')
               {                                               
                  bar.addItem("delete", 'Delete Rule', "processMultiSelectRequest('deleteRules', '');", '' , '');
                  bar.addItem("stateTrash", 'Empty Trash', "emptyTrash();", '' , '');
                  bar.addItem('stateCoding', 'Create New Version', "processRequest('createVersion', 'Coding');", '', '');
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
                  <c:if test="${empty rules}">
                     bar.setEnabled(0, false);
                     bar.setEnabled(1, false);
                     bar.setEnabled(2, false);
                     bar.setEnabled(3, false);
                     bar.setEnabled(4, false);
                  </c:if>
               }
               else if(selectedId == 'Archive')
               {                                               
                  bar.addItem('stateCoding', 'Create New Version', "processRequest('createVersion', 'Coding');", '', '');    
                  bar.addItem('stateArchive', 'Show History', "processRequest('getRuleVersions', '');", '', '');
                  bar.addItem('printer', 'Print', "processMultiSelectRequest('printRules', '', false);", '', ''); 
               } 
                  
            }      
         }
      </c:otherwise>
   </c:choose>           
   bar.finish();
   // Initialize menus.
   MenuBar.init( true, document);
   
   
   
//-->
</SCRIPT>
