<%/*--------------------------------------------------------------------------------------|
|Copyright (c) 2006, SAS Institute, Inc.  All Rights Reserved.
|
|NAME: rules/variableDetailMenu.jsp
|DESCRIPTION: JSP fragment to contain the menu buttons in the variable detail view
|---------------------------------------------------------------------------------------*/%>

<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language="JavaScript" src="common/scripts/menuFrames.js"></script>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>

<script>
  var variableIdsFromForeignBusinessUnits = new Array();
  <c:forEach var="id" items="${variableIdsFromForeignBusinessUnits}">
    variableIdsFromForeignBusinessUnits["${id}"] = true;
  </c:forEach>
</script>

<SCRIPT language=JavaScript>
<!--

   var bar = new MenuBar("menubar",  'common/images/menu/', 'images/rules/');
   bar.start();

   
   <c:set var="showHide" value="Hide Unused"/>
   <c:if test="${activity=='used'}">
      <c:set var="showHide" value="Show All"/>
   </c:if>

   <tiles:useAttribute name="content"/>

   <c:choose>

    
   <%-- Edit variable display --%>
   <c:when test="${content=='updateVariable'}">
      bar.addItem('save',       'Save Variable',                "saveVariable();",         '', '');
      // .addItem('save',       'Replicate Variable',           "replicateVariable();",    '', '');
      <c:if test="${segmentAcronym=='RUA'}">
        bar.addItem("delete",     'Delete Variable',            "deleteVariable(variableId,variableUpNbr,variableName,segment);",       '', '');
      </c:if>
      bar.addItem('reset',      'Cancel',                       "reshowVariables();",      '', '');
  
   </c:when>



   
   <%-- View single variable display --%>
   <c:when test="${content=='singleVariable'}">
      bar.addItem('reset',      'Back to List',                 "reshowVariables();",      '', '');
      
      <c:choose>
      <c:when test="${definer=='system' || (segment=='RUA' && not empty updtRuas && !updtRuas && isTenantInstall==true)}">
        bar.addItem('variable0','View Variable',                "viewVariable();",         '', '');
        bar.setEnabled( 1, false );
      </c:when>
      <c:otherwise>
        bar.addItem('variable0','Edit Variable',                "_editVariable(variableId,variableUpNbr);", '', '');
      </c:otherwise>
      </c:choose>
      bar.addItem("delete",     'Delete Variable',              "deleteVariable(variableId,variableUpNbr,variableName,segment);",       '', '');
      bar.addItem('variable0',  '${showHide} Variables',        "showHideUnused();",       '', '');

      <c:if test="${definer=='system'}">
         bar.setEnabled( 1, false );
         bar.setEnabled( 2, false );
      </c:if>
      
      <c:if test="${segment=='RUA'}">
         bar.setEnabled( 2, false );
      </c:if>

   </c:when>

  

   <%-- Variable list display --%>
   <c:otherwise>
      bar.addItem('new',        'New Variable',                 "createVariable();",       '', '');
      
      <c:choose>
      <c:when test="${definer=='system' || (segment=='RUA' && not empty updtRuas && !updtRuas && isTenantInstall==true)}">
        bar.addItem('variable0','View Variable',                "viewVariable();",         '', '');
      </c:when>
      <c:otherwise>
        bar.addItem('variable0','Edit Variable',                "editVariable();",         '', '');
      </c:otherwise>
      </c:choose>
      
      <c:if test="${definer!='system' && segment!='RUA' && segment!='all'}">
        <c:choose>
          <c:when test="${not empty updtSegment && updtSegment && !segmentIsFromForeignBusinessUnit}">
            bar.addItem('variable0','Edit Segment',               "_editSegment('','',segment,segmorgid)", '', '');
          </c:when>
          <c:otherwise>
            bar.addItem('variable0','View Segment',               "_viewSegment('','',segment,segmorgid)", '', '');
          </c:otherwise>
        </c:choose>
        bar.addItem("delete",   'Delete Variables',             "deleteVariables();",      '', '');
      </c:if>
      bar.addItem('printer',    'Print',                        "printVariables();",       '', ''); 
      bar.addItem('variable0',  '${showHide} Variables',        "showHideUnused();",       '', '');
      <c:if test="${definer!='system' && segment!='RUA'}">
        // REMOVED until release 3.2 (dmf)
        // bar.addItem('estimate0','Export Variables',             "exportVariables();",      '', '');
      </c:if>
    
      <c:if test="${segment=='all' || definer=='system' || empty segmentInfo.segmentKeyFieldNames}">
         bar.setEnabled( 0, false );
      </c:if>

      <c:if test="${definer!='system' && segment!='RUA'}">
      	<c:if test="${segment!='all'}">
            <c:if test="${not empty updtSegment && !updtSegment}">
         	 	// bar.setEnabled( 2, false );
         	</c:if>
      	</c:if>
      </c:if>
                
   </c:otherwise>

   </c:choose>
   bar.finish();

   // Initialize menus.
   MenuBar.init( true, document);        


//-->
</SCRIPT>

