---------------------------------------------------------------------------------
--
-- Remove Authorization
--
---------------------------------------------------------------------------------
REVOKE CREATE ANY TABLE FROM BATCHROLE;
REVOKE DROP ANY TABLE FROM BATCHROLE;
REVOKE INSERT ANY TABLE FROM BATCHROLE;
REVOKE DELETE ANY TABLE FROM BATCHROLE;
REVOKE SELECT ANY TABLE FROM BATCHROLE;
REVOKE UPDATE ANY TABLE FROM BATCHROLE;

REVOKE CREATE ANY INDEX FROM BATCHROLE;
REVOKE CREATE ANY VIEW FROM BATCHROLE;
REVOKE DROP ANY VIEW FROM BATCHROLE;

---------------------------------------------------------------------------------
--
-- Authorization to support Truncate table of Demographics
--
---------------------------------------------------------------------------------
GRANT DROP ANY TABLE TO BATCHADMIN;

---------------------------------------------------------------------------------
--
-- Batch Admin grants to support Demographic table loading
--
---------------------------------------------------------------------------------
GRANT ALTER ON FCM_ENTITY_0 TO BATCHADMIN;
GRANT ALTER ON FCM_ENTITY_1 TO BATCHADMIN;
GRANT INSERT,UPDATE,DELETE,SELECT ON FCM_ENTITY_0 TO BATCHADMIN;
GRANT INSERT,UPDATE,DELETE,SELECT ON FCM_ENTITY_1 TO BATCHADMIN;
GRANT INSERT,UPDATE,DELETE,SELECT ON FCM_CONTACT_0 TO BATCHADMIN;
GRANT INSERT,UPDATE,DELETE,SELECT ON FCM_CONTACT_1 TO BATCHADMIN;
GRANT SELECT ON FCM_ALERT_TYPE TO BATCHADMIN;

---------------------------------------------------------------------------------
--
-- Batch role grants to support view creation in own schema
--
---------------------------------------------------------------------------------
GRANT CREATE VIEW TO BATCHROLE;
