<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>
<style type="text/css">@import "admin/styles/preference.css";</style>
<script language="JavaScript" src="admin/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language='JavaScript' src='common/scripts/menuFrames.js'></script>

<table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="position:fixed; left:0px; z-index:2;"><tr><td colspan="1">
 <tiles:insert page="/admin/preferenceGridDefinitionMenu.jsp"/>
 </td></tr></table>

<script type="text/javascript">
// debugger;
    var segmentList = [];
    var segmentFieldMap = {};
    var masterFields = {};

    <c:forEach var="segment" items="${activityType.segmentDescriptions}">
    	segmentList[segmentList.length] = { id: "${segment.id}", desc: "${segment.acronym} - ${esapi:encodeForJavaScript(segment.description)}"};
    	segmentFieldMap["${segment.id}"] = [];
    </c:forEach>

    <c:forEach var="fieldDef" items="${activityType.unSelectedFieldDefinitions}">

    segmentFieldMap["${fieldDef.segmentId}"].push("f${fieldDef.id}");
    masterFields["f${fieldDef.id}"] = {
      	  id: ${fieldDef.id},
           segmentId: ${fieldDef.segmentId},
           name: "${esapi:encodeForJavaScript(fieldDef.name)}",
           desc: "${esapi:encodeForJavaScript(fieldDef.desc)}",
			  alignment: "${esapi:encodeForJavaScript(fieldDef.alignment)}",
           label: "${esapi:encodeForJavaScript(fn:substring(fieldDef.label, 0, 25))}",
           labelDesc: "${esapi:encodeForJavaScript(fn:substring(fieldDef.labelDesc, 0, 255))}",
           dataPopEnabled: ${fieldDef.dataPopEnabled},
           selected: ${fieldDef.selected},
           order: ${fieldDef.order},
           version: ${fieldDef.gridConfigVersion}
    };
    </c:forEach>


    <c:forEach var="fieldDef" items="${activityType.selectedFieldDefinitions}">
    segmentFieldMap["${fieldDef.segmentId}"].push("f${fieldDef.id}");
    masterFields["f${fieldDef.id}"] = {
   		 id: ${fieldDef.id},
          segmentId: ${fieldDef.segmentId},
          name: "${esapi:encodeForJavaScript(fieldDef.name)}",
          desc: "${esapi:encodeForJavaScript(fieldDef.desc)}",
			 alignment: "${esapi:encodeForJavaScript(fieldDef.alignment)}",
          label: "${esapi:encodeForJavaScript(fn:substring(fieldDef.label, 0, 25))}",
          labelDesc: "${esapi:encodeForJavaScript(fn:substring(fieldDef.labelDesc, 0, 255))}",
          dataPopEnabled: ${fieldDef.dataPopEnabled},
          selected: ${fieldDef.selected},
          order: ${fieldDef.order},
          version: ${fieldDef.gridConfigVersion}
    };
    </c:forEach>

   var editMetadata = {
<c:if test="${templateType eq 'ANALYST' }">
   	6:'textfield',
   	7:'textarea'
</c:if>
<c:if test="${templateType ne 'ANALYST' and xmlEditable}">
		4:'textfield'
</c:if>
    };

    $(document).ready(function(){
   	 $('#availableTable').mousedown({'templateType':'${esapi:encodeForJavaScript(templateType)}'}, selectFieldHandler);
   	 $('#selectedTable').mousedown(editMetadata,saveEdits)
   	 							.mousedown(editMetadata,makeEditable)
   	 							.mousedown({'templateType':'${esapi:encodeForJavaScript(templateType)}'}, unselectFieldHandler);
    });

</script>

<br/>
<%-- TODO: Error handling code --%>
<c:url var="reloadURL" value="/preference.sj?method=viewPreferencesTree&grid_templateId=${esapi:encodeForURL(activityType.gridTemplateId)}&grid_accountId=${esapi:encodeForURL(activityType.accountTypeId)}&grid_activityId=${activityType.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="Grid Activity" />
</tiles:insert>

<br/>

<div style="display:none"><table>
	<tr id="availableRowClone" style="cursor:pointer" onmousedown="highlightRowById(this,'rowSelected')">
		<td class="imageTableCell"></td><%-- num --%>
		<td class="imageTableCell"></td><%-- segID --%>
		<td class="textTableCell"></td><%-- name --%>
		<td class="textTableCell"></td><%-- desc --%>
<c:if test="${templateType eq 'ANALYST' }">
		<td class="textTableCell"></td><%-- alignment --%>
		<%-- datapop --%>
		<td class="textTableCell">
			<input type='checkbox' name='datapop' disabled='disabled'/>
		</td>
		<td class="textTableCell editable"></td><%-- field label --%>
		<td class="textTableCell editable" ></td><%-- field label desc --%>
</c:if>
<c:if test="${templateType ne 'ANALYST'}">
	<td class="textTableCell ${xmlEditable ? 'editable' : '' }"></td><%-- field label --%>
</c:if>
	<c:if test="${updatePrefs}">
		<td class="textTableCell lastCol"><img src='admin/images/arrowDownAdd.gif' alt='Select' name="moveField"/></td>
	</c:if>
	<c:if test="${!updatePrefs}">
		<td class="textTableCell lastCol"><img src='admin/images/arrowDownAdd_disabled.gif' alt='No select'/></td>
	</c:if>
	</tr>
</table></div>

<form id="gridActivityTypeForm" name="gridActivityTypeForm" action="<c:url value='/gridActivityType.sj'/>" method="post" onsubmit="return submitGridActivityTypeForm(this, '${esapi:encodeForJavaScript(templateType)}');" >
<input type="hidden" name="method" value="saveActivityType">
<input type="hidden" name="id" value="${activityType.id}">
<input type="hidden" name="version" value="${activityType.version}">
<input type="hidden" name="gridTemplateId" value="${activityType.gridTemplateId}">
<input type="hidden" name="accountTypeId" value="${activityType.accountTypeId}">
<input type="hidden" name="activityTypeId" value="${activityType.id}">
<input type="hidden" name="templateType" value="${templateType}">

<br/>

<%--  top table  --%>
<table align="center" border="0" cellspacing="0" cellpadding="0" style="width:600px;padding-right:17px">

<tr align="left" valign="top" >
    	<div><p align="left" style="font-size:12px"><b>${esapi:encodeForHTMLAttribute(activityType.name)}</b></div>
    </tr>
	<tr>
		<td valign="top" align="left">
			<table class="mainTable minWidthTable"  cellpadding="0" cellspacing="0" border="0">
				<tr valign="top" >
					<th width="70%" align="left" valign="top" class="configurationTableTitle" style="margin-top:20px;">
						<fmt:message key="fcm.preferences.gridTemplate.activityFields.txt"/>&nbsp;
                        <select id="segmentFilter" name="segments" class="famSelect" onChange="showAvailableFieldsBySegment('availableTable',document.gridActivityTypeForm.segments.options[slbx.selectedIndex].value, segmentFieldMap, segmentList, '${esapi:encodeForJavaScript(templateType)}');" style="width:46em;margin:2px;">
                            <option value="NONE" selected> <fmt:message key="fcm.preferences.gridTemplate.allFields.txt" /> </option>
                        </select> <br><br>
                        <script language="JavaScript">
                            slbx = document.gridActivityTypeForm.segments;
                            for(var i=0; i < segmentList.length; i++)
                            {
                                slbx.options[slbx.options.length] = new Option(segmentList[i].desc, segmentList[i].id);
                            }
                        </script>
					</th>
					<th width="30%" align="right" valign="top" class="configurationTableTitle" style="margin-top:20px;">&nbsp;
						<c:if test="${templateType eq 'ANALYST'}">
							<fmt:message key="fcm.preferences.gridTemplate.activityTabName.txt"/>&nbsp;&nbsp;
							<input name="name" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(activityType.name)}" size="25" maxlength="12" />&nbsp; <br>
						</c:if>
						<c:if test="${templateType ne 'ANALYST'}">
							<input name="name" type="hidden" value="${esapi:encodeForHTMLAttribute(activityType.name)}"/>
						</c:if>
					</th>
				</tr>
				<tr align="left" valign="top" >
					<th colspan="2" class="configurationTableSection" style="border-right:none;border-top:none;color:#960;font-weight:bold;">
						<img onclick="showDiv(this, 'collapseDiv1');" src="admin/images/collapse.jpg" align="middle" /> &nbsp;<fmt:message key="fcm.preferences.gridTemplate.availableCols.txt" />
					</th>
				</tr>
				<tr align="left" valign="top">
					<td colspan="2" style="padding:0px;">
						<div id="collapseDiv1" style="display:inline">
						<%-- main content -- scroll bar and content --%>
						<table align="center" border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td style="padding:0px;">
									<div id="availableDiv" class="preferencesGrid">
									<table id="availableTable" cellspacing="0"  cellpadding="0"  class="mainTable"  style="border:none;border-collapse:separate;" >
										<thead>
											<tr class="tableColumnHeaderRow">
												<c:if test="${templateType eq 'ANALYST'}">
													<th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.count.header.title" /></th>
                                                	<th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.segmentId.header.title" /> &nbsp;</th>
													<th nowrap width="15%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnName.header.title" /> &nbsp;</th>
													<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.colDescription.header.title" /> &nbsp;</th>
													<th nowrap width="10%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.alignment.header.title" /> &nbsp;</th>
													<th nowrap width="6%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.dataPop.header.title" /> &nbsp;</th>
													<th nowrap width="15%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnLabel.header.title" /> &nbsp;</th>
													<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.labelDescription.header.title" /> &nbsp;</th>
												</c:if>

        										<c:if test="${templateType ne 'ANALYST'}">
													<th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.count.header.title" /></th>
	                                    <th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.segmentId.header.title" /> &nbsp;</th>
													<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnName.header.title" /> &nbsp;</th>
													<th nowrap width="45%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.colDescription.header.title" /> &nbsp;</th>
													<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.xmlName.header.title" /> &nbsp;</th>
        										</c:if>

												<th nowrap class="tableHeader" style="border-top:none;border-right:none; cursor:pointer;">
                                                <c:choose>
                                                    <c:when test="${!updatePrefs}">
                                                        <img src="admin/images/ArrowDownAddAll_disabled.gif" ALT="Select None" />
                                                    </c:when>
                                                    <c:otherwise>
                                                        <img src="admin/images/arrowDownAddAll.gif" ALT="Select ALL" onclick="selectAllFields('${esapi:encodeForJavaScript(templateType)}');" />
                                                    </c:otherwise>
                                                </c:choose>
											    </th>
											 </tr>
										</thead>

										<tbody id="availableTableBody">
										<c:forEach var="fieldDefinition" items="${activityType.unSelectedFieldDefinitions}" varStatus="loop">
											<tr id='f${fieldDefinition.id}' style="cursor:pointer;"  class="dataRow${(loop.count-1)%2+1}_tableRow" onmousedown="highlightRowById(this,'rowSelected');">
												<td class="imageTableCell">${loop.count}</td>
												<td class="imageTableCell">${esapi:encodeForHTML(fieldDefinition.segmentId)}</td>
												<td class="textTableCell">${esapi:encodeForHTML(fieldDefinition.name)}</td>
												<c:if test="${templateType eq 'ANALYST'}">
													<td class="textTableCell">${esapi:encodeForHTML(fieldDefinition.desc)} </td>
													<td class="textTableCell">
														<c:set var="alignments" value="Left,Center,Right"/>
														<c:forTokens var="al" items="${alignments}" delims=",">
															<c:if test="${fn:toLowerCase(fieldDefinition.alignment) == fn:toLowerCase(al)}">
																${esapi:encodeForHTML(al)}
															</c:if>
														</c:forTokens>
													</td>
													<td nowrap class="textTableCell">
												    	<c:choose>
														<c:when test="${fieldDefinition.dataPopEnabled}">
													   		<input type='checkbox' name='datapop' checked='checked' disabled='disabled'/>
														</c:when>
														<c:otherwise>
													   		<input type='checkbox' name='datapop' disabled='disabled' />
														</c:otherwise>
												    	</c:choose>
													</td>
													<td class="textTableCell editable">${esapi:encodeForHTML(fn:substring(fieldDefinition.label, 0, 25))}</td>
													<td class="textTableCell editable">${esapi:encodeForHTML(fn:substring(fieldDefinition.labelDesc, 0, 255))}</td>
												</c:if>

        										<c:if test="${templateType ne 'ANALYST'}">
        											<td class="textTableCell">${esapi:encodeForHTML(fieldDefinition.desc)}</td>
        											<td class="textTableCell ${xmlEditable ? 'editable' : '' }">${esapi:encodeForHTML(fieldDefinition.label)}</td>
        										</c:if>

												<td class="textTableCell lastCol">
                                                    <c:choose>
                                                        <c:when test="${!updatePrefs}">
                                                            <img src="admin/images/arrowDownAdd_disabled.gif" ALT="No Select" />
                                                        </c:when>
                                                        <c:otherwise>
                                                            <img src="admin/images/arrowDownAdd.gif" ALT="Select" name="moveField" />
                                                        </c:otherwise>
                                                    </c:choose>
												</td>
											</tr>
										</c:forEach>
										</tbody>
									</table>
									</div>
								</td>
							</tr>
						</table>
						<%--  end available main content -- only content, no up/down arrow  --%>
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<br>
<div align="center" style="font-size:xx-small">
	(<fmt:message key="fcm.preferences.content.ordering.txt" />)
</div>
<br>

<table align="center" border="0" cellspacing="0" cellpadding="0" >
    <tr>
        <td valign="top" align="left">

<%--  main content header  --%>
        <table class="mainTable minWidthTable"  cellpadding="0" cellspacing="0" border="0">
            <tr align="left" valign="top" >
                <th class="configurationTableSection" style="border-right:none;border-top:none;color:#960;font-weight:bold;">
                    <img onclick="showDiv(this, 'collapseDiv2');" src="admin/images/collapse.jpg" align="middle">&nbsp;<fmt:message key="fcm.preferences.content.selectedCols.txt" />
                </th>
            </tr>

            <tr>
                <td style="padding:0px;">
                    <div id="collapseDiv2" style="display:inline">
                    <%--  main content -- up/down and content  --%>

                    <table align="center" border="0" cellspacing="0" cellpadding="0" width="100%">
                        <tr>
                            <td style="padding:0px">
                                <div id="selectedDiv" class="preferencesGrid" >

                                <%--  main content header  --%>
                                <table id="selectedTable" cellspacing="0"  cellpadding="0"  class="mainTable"  style="border:none;border-collapse:separate;"  >
                                    <thead>
                                        <tr class="tableColumnHeaderRow">

                                            <c:if test="${templateType eq 'ANALYST'}">
	                                            <th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.order.header.title" /> </th>
	                                            <th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.segmentId.header.title" /> &nbsp;</th>
	                                            <th nowrap width="15%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnName.header.title" /> &nbsp;</th>
	                                            <th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.colDescription.header.title" /> &nbsp;</th>
                                            	<th nowrap width="10%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.alignment.header.title" /> &nbsp;</th>
                                            	<th nowrap width="6%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.dataPop.header.title" /> &nbsp;</th>
                                            	<th nowrap width="15%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnLabel.header.title" /> &nbsp;</th>
                                            	<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.labelDescription.header.title" /> &nbsp;</th>
                                            </c:if>

        									<c:if test="${templateType ne 'ANALYST'}">
	                                            <th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.order.header.title" /> </th>
	                                            <th nowrap width="5%" class="centeredTableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.segmentId.header.title" /> &nbsp;</th>
	                                            <th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.columnName.header.title" /> &nbsp;</th>
	                                            <th nowrap width="45%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.colDescription.header.title" /> &nbsp;</th>
        													<th nowrap width="20%" class="tableHeader" style="border-top:none;"><fmt:message key="fcm.preferences.content.xmlName.header.title" /> &nbsp;</th>
        									</c:if>

                                            <th nowrap class="tableHeader" style="border-top:none;border-right:none; cursor:pointer;">
                                                <c:choose>
                                                    <c:when test="${!updatePrefs}">
                                                        <img src="admin/images/ArrowUpRemoveAll_disabled.gif" ALT="<fmt:message key='fcm.preferences.content.removeAll.txt'/>" />
                                                    </c:when>
                                                    <c:otherwise>
                                                        <img src="admin/images/arrowUpRemoveAll.gif" onclick="unselectAllFields('${esapi:encodeForJavaScript(templateType)}');" alt="<fmt:message key='fcm.preferences.content.removeAll.txt'/>" />
                                                    </c:otherwise>
                                                </c:choose>
                                            </th>
                                        </tr>
                                    </thead>

                                    <tbody id="selectedTableBody">
                                    <c:forEach var="fieldDef" items="${activityType.selectedFieldDefinitions}" varStatus="sloop">
                                        <tr id='f${fieldDef.id}' style="cursor:pointer;"  class="dataRow${(sloop.count-1)%2+1}_tableRow" onmousedown="highlightRowById(this,'rowSelected');">
                                            <td class="imageTableCell" > ${sloop.count} </td>
                                            <td class="imageTableCell" > ${esapi:encodeForHTML(fieldDef.segmentId)}</td>
                                            <td class="textTableCell">${esapi:encodeForHTML(fieldDef.name)}</td>
                                    <c:if test="${templateType eq 'ANALYST' }">
                                            <td class="textTableCell">${esapi:encodeForHTML(fieldDef.desc)}</td>
                                            	<td class="textTableCell">
                                                	<select name='alignment' class="famSelect">
                                                		<option value="left" ${(fn:toLowerCase(fieldDef.alignment) eq 'left') ? 'selected="selected"' : ''}>Left</option>
                                                		<option value="center" ${(fn:toLowerCase(fieldDef.alignment) eq 'center') ? 'selected="selected"' : ''}>Center</option>
                                                		<option value="right" ${(fn:toLowerCase(fieldDef.alignment) eq 'right') ? 'selected="selected"' : ''}>Right</option>
                                                	</select>
                                            	</td>
                                            	<td nowrap class="textTableCell">
                                                	<c:choose>
                                                	<c:when test="${fieldDef.dataPopEnabled}">
                                                    	<input type='checkbox' name='datapop' checked="checked"/>
                                                	</c:when>
                                                	<c:otherwise>
                                                    	<input type='checkbox' name='datapop' />
                                                	</c:otherwise>
                                                	</c:choose>
                                            	</td>
                                            	<td class="textTableCell editable">${esapi:encodeForHTML(fn:substring(fieldDef.label, 0, 25))}</td>
                                            	<td class="textTableCell editable">${esapi:encodeForHTML(fn:substring(fieldDef.labelDesc, 0, 255))}</td>
                                    </c:if>

        									<c:if test="${templateType ne 'ANALYST' }">
        									<td class="textTableCell">${esapi:encodeForHTML(fieldDef.labelDesc)}</td>
                                  <td class="textTableCell ${xmlEditable ? 'editable' : '' }">${esapi:encodeForHTML(fieldDef.label)}</td>
                                  </c:if>
                                            <td class="textTableCell lastCol">
                                            <c:choose>
                                                <c:when test="${templateType == 'ANALYST' and fieldDef.permanentSelected}">
                                                    <img src="admin/images/ArrowUpRemove_disabled.gif" ALT="<fmt:message key='fcm.preferences.content.remove.txt'/>" >  </td>
                                                </c:when>
                                                <c:when test="${templateType == 'ANALYST' and fieldDef.permanentSelected}">
                                                    <img src="admin/images/ArrowUpRemove_disabled.gif" ALT="<fmt:message key='fcm.preferences.content.remove.txt'/>" >  </td>
                                                </c:when>
                                                <c:otherwise>
                                                    <c:choose>
                                                    <c:when test="${!updatePrefs}">
                                                        <img src="admin/images/ArrowUpRemove_disabled.gif" ALT="<fmt:message key='fcm.preferences.content.remove.txt'/>">
                                                    </c:when>
                                                    <c:otherwise>
                                                        <img src="admin/images/arrowUpRemove.gif" name="moveField" ALT="<fmt:message key='fcm.preferences.content.remove.txt'/>">
                                                    </c:otherwise>
                                                    </c:choose>
                                                </c:otherwise>
                                            </c:choose>
                                            </td>
                                        </tr>
                                    </c:forEach>
                                    </tbody>
                                </table>
                                <%--  end main content  --%>

                                </div>
                            </td>
                        </tr>
                    </table>

                    <%--  end selected main content --  content, up/down arrow  --%>
                    </div>

                </td>
            </tr>
        </table>
<%--  end main content header  --%>
        </td>
        <%-- With Analyst Grids, the RQO ALT date/time fields are always the first two and cannot be moved --%>
        <c:set var="moveStartRow" value="${templateType == 'ANALYST' ? 3 : 1 }"/>
        <td valign="top" align="right">
            <a title="Move To Top" href="javascript:customMove('selectedDiv','selectedTable',${moveStartRow},'top')" ><img src="common/images/arrow-up-end-default.gif" width="11" height="14" border="0" vspace="2" hspace="2"></a><br />
            <a title="Move Up" href="javascript:customMove('selectedDiv','selectedTable',${moveStartRow},'up')"><img src="common/images/arrow-up-default.gif" width="11" height="12" border="0" vspace="2" hspace="2"></a><br />
            <a title="Move Down" href="javascript:customMove('selectedDiv','selectedTable',${moveStartRow},'down')"><img src="common/images/arrow-down-default.gif" width="11" height="12" border="0" vspace="2" hspace="2"></a><br />
            <a title="Move To Bottom" href="javascript:customMove('selectedDiv','selectedTable',${moveStartRow},'bottom')"><img src="common/images/arrow-down-end-default.gif" width="11" height="14" border="0" vspace="2" hspace="2"></a>
        </td>
    </tr>
</table>

<br>
<table align="center" border="0" cellspacing="0" cellpadding="0" style="padding-right:17px" >
	<tr>
		<td>
			<table class="minWidthTable" cellpadding="0" cellspacing="0" border="0" style="border:1px solid #7F9DB9; background-color: #F1EACB;">
				<tr class="configurationTableDataRow">
					<td style="padding:5px; text-align: left;width:50%;">
						<span style="font-weight: bold;color: #996600;"><fmt:message key="fcm.preferences.fieldPropagation.txt"/>:</span>
						<label><input type="radio" name="fieldPropagationPolicy" value="GRID" onclick="$('#fieldChangesConfiguration').show()"><fmt:message key="fcm.preferences.fieldPropagation.Grid.txt"/></label>
						<label><input type="radio" name="fieldPropagationPolicy" value="ACCT_TYPE" onclick="$('#fieldChangesConfiguration').show()"><fmt:message key="fcm.preferences.fieldPropagation.AccountType.txt"/></label>
						<label><input type="radio" name="fieldPropagationPolicy" value="TXN_ACTIVITY" checked="checked" onclick="$('#fieldChangesConfiguration').hide()"> <fmt:message key="fcm.preferences.fieldPropagation.None.txt"/></label>
					</td>
					<td id="fieldChangesConfiguration" style="display:none; text-align: left;width:50%;">
						<span style="font-weight: bold;color: #996600;"><fmt:message key="fcm.preferences.propagateFieldChanges.txt"/>:</span>
					<c:if test="${templateType eq 'ANALYST' or xmlEditable}">
						<label><input type="checkbox" name="propagateFieldEdits" value="true" checked="checked"><fmt:message key="fcm.preferences.propagateFieldEdits.txt"/></label>
					</c:if>
						<label><input type="checkbox" name="propagateFieldSelections" value="true" checked="checked"><fmt:message key="fcm.preferences.propagateFieldSelections.txt"/></label>
						<label><input type="checkbox" name="propagateFieldDeselections" value="true" checked="checked"><fmt:message key="fcm.preferences.propagateFieldDeselections.txt"/></label>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<br/>
<%-- <div id="gridContentSaveButton" style="display:block" align="center">
	<input id="saveButton" class="button" name="button" type="submit" style="margin-left:10px;padding:0px 10px 0px 10px" value="<fmt:message key='fcm.application.save.txt' />">
</div> --%>
<br>
</form>
<script type="text/javascript">
<c:if test="${not empty fieldPropagationPolicy}">
	$(':radio[name="fieldPropagationPolicy"][value="${fieldPropagationPolicy}"]').click();
</c:if>
<c:if test="${not empty propagateFieldEdits}">
	$(':checkbox[name="propagateFieldEdits"]').prop('checked',${propagateFieldEdits});
</c:if>
<c:if test="${not empty propagateFieldSelections}">
	$(':checkbox[name="propagateFieldSelections"]').prop('checked',${propagateFieldSelections});
</c:if>
<c:if test="${not empty propagateFieldDeselections}">
	$(':checkbox[name="propagateFieldDeselections"]').prop('checked',${propagateFieldDeselections});
</c:if>
</script>

<c:if test="${!updatePrefs}">
  <script language="JavaScript">
    setFormsReadOnly();
  </script>
</c:if>
