<%@ page language="java" session="false" contentType="text/html; charset=UTF-8" %>
<%-- this file uses leading tabs; don't insert leading spaces --%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/multiorg.js"></script>

<!-- Tree header. -->
<div id="navhead" class="mmhide_navhd">Multi-Org and Models</div>

<!-- Nested tables with fixed height -->
<table id="overview_table" cellspacing=0 cellpadding=2 border="0"  >
   <tr>
      <td id="navcol" align="left" valign="top" nowrap>

<script language="JavaScript">
//<!--

   // alert('${treeSelectedModel}');
    // To identify new or modified objects
   var _selectedNode = '';
   var _selectedParentNode = '';
   var _nodeIcon = '';
   var _openRoot = "0";
   // Hash map for id based access in the parent frame(menus)
   _multiorgMap = new Array();
   // Map with key multi org id value node id
   _multiorgNodeMap = new Array();   

   // multi org Nodes
   var _multiorgNodes = new Array();
   var _multiOrgFolderRoot = "999";
   var _multiOrgRoot = "";
   _multiorgNodes[0]= new Node(_multiOrgFolderRoot, 0, "folder", 'Multi-Org','Multi-Org', null, "", "", "");
   _multiorgNodeMap[_multiOrgFolderRoot] = _multiOrgFolderRoot;
   <c:forEach var="multiorgNode" items="${multiorgNodes}" varStatus="status">
      var _multiorgNode = new Object();
      _multiorgNode.id = ${multiorgNode.id};
      _multiorgNode.parentId = ${multiorgNode.parentId};
      _multiorgNode.name = '${esapi:encodeForJavaScript(esapi:encodeForHTML(multiorgNode.name))}';
      _multiorgNode.label = '${esapi:encodeForJavaScript(esapi:encodeForHTML(multiorgNode.label))}';      
      _multiorgNode.version = ${multiorgNode.version};
      var nodeId = "${status.count}";
      _multiorgNodeMap[_multiorgNode.id] = nodeId;
      _multiorgMap[nodeId] = _multiorgNode;
      _multiOrgParent = _multiOrgFolderRoot;
      if(_multiorgNode.parentId == -1)    
      {
         _multiOrgRoot = _multiorgNode;
      	 _multiorgNode.parentId = _multiOrgFolderRoot;
         _nodeIcon = 'multiorgRoot';             
       }
      else
      {
         _nodeIcon = 'multiorgNode';
         _multiOrgParent = _multiorgNodeMap[_multiorgNode.parentId];
      }
      <c:if test="${treeSelectedMultiorg == multiorgNode.id}">
         _selectedNode = nodeId;         
         _selectedParentNode =  _multiorgNodeMap[_multiorgNode.parentId];
      </c:if>

       _params = new Array();
      _multiorgNodes[_multiorgNodes.length] = new Node(nodeId,_multiOrgParent, _nodeIcon, _multiorgNode.label,
    		  "MultiOrg", _params, "", "", "");
   </c:forEach>
   
   var _modelMap = new Array();
   var _models = new Array();
   var _modelFolderRoot = "1999";
   _models[0] = new Node(_modelFolderRoot, 0, "folder", 'Model','Model', null, "", "", "");
   <c:forEach var="model" items="${models}" varStatus="status">
   	var _model = new Object();
   	_model.id = ${model.id};
   	_model.name = '${esapi:encodeForJavaScript(esapi:encodeForHTML(model.name))}';
   	var nodeId = '${status.count + 1000}';
   	_nodeIcon = 'template'; // TBD change this
   	_modelMap[nodeId] = _model;
   	<c:if test="${treeSelectedModel == model.id}">
   	    _selectedNode = nodeId;
   	    _selectedParentNode = _modelFolderRoot;   
   	    // alert("selected model: " + _model.id);
   	</c:if>
   	 _params = new Array();
   	 _models[_models.length] = new Node(nodeId,_modelFolderRoot, _nodeIcon, _model.name,
                 "Model", _params, "", "", "");
   	
   </c:forEach>
      
  
   // select the root of the multi org if no multi org or models are selected
   if(_selectedNode == '' )
   {
     _selectedNode = getCookieForTab("1"); // 1 will default to root multi org
     // alert("Cookie " + _selectedNode);
     _selectedObject = _multiorgMap[_selectedNode];                

     if(!isDefined(_selectedObject) || _selectedNode == _multiOrgFolderRoot)
     {
       // look at models next
       _selectedObject = _modelMap[_selectedNode];        
       // coose defult which is multi org root
       if(!isDefined(_selectedObject) || _selectedNode == _modelFolderRoot)
       { 
          _selectedObject = _multiOrgRoot;
          _selectedNode = _multiorgNodeMap[_multiOrgRoot.id];
       }
       
     }

     
   }

   _isSomethingSelected = true;
     
   _openNodes = new Array();
           
    // multiorg nodes range from 1 to 1000, models start at 1000
    if(_selectedNode >= 1000) // model selected
    {
    	_openNodes = _modelFolderRoot + '|';
    }
    else // multi org selected
    {
    
      _selectedParentNode = _multiorgNodeMap[_selectedObject.parentId];        
      //  making the parent does not expand the tree if the parent is not at the top level
      // All ancestors must be added to the open node list for this to work
      _nodeId = _selectedParentNode;
      while(1 == 1)
      {
         var theNode = _multiorgMap[_nodeId];
         if( !isDefined(theNode))
         {
	   _openNodes += _nodeId + '|'; // the root folder
	   break;
         }
         _openNodes += _nodeId + '|';
         // alert(_openNodes);
         _nodeId = _multiorgNodeMap[theNode.parentId];
         continue;
       }
     }	
     
     _allNodes = _multiorgNodes.concat(_models);     
     _selectedIds = _selectedNode.split( '|' );
     // alert("before tree " + _selectedIds);
     
    _multiorgTree = new Tree("_multiorgTree", _allNodes, 0, _openNodes, _selectedNode, "doMultiOrgAction(\'showDetail\');",
                         false, false, true, "common/images/tree/", "common/images/" );


   // Generic method defined to show selected node
   Tree.showSelectedAdminNode = function(){ _multiorgTree.showNode();};





//-->
</script>

 </td>
   </tr>
</table>

<%-- Error handling code --%>
<tiles:insert page="/admin/adminOverviewErrorHandling.jsp" flush="true">
	<tiles:put name="treeObj" value="_multiorgTree" />
	<tiles:put name="showCommand" value="doMultiOrgAction" />
	<tiles:put name="showCommandArgs" value="showDetail" />
	<tiles:put name="window" value="window"/>
</tiles:insert>

