<%/*--------------------------------------------------------------------------------------|
|Copyright (c) 2006, SAS Institute, Inc.  All Rights Reserved.
|
|NAME: rules/lookupListDetailMenu.jsp
|DESCRIPTION: JSP fragment to contain the menu buttons in the lookup list detail view
|---------------------------------------------------------------------------------------*/%>

<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<script language="JavaScript" src='common/scripts/jquery.js'></script>
<script language="JavaScript" src="common/scripts/cf.js"></script>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
<script language="JavaScript" src="rules/scripts/lookupListActions.js"></script>
<script language="JavaScript" src="rules/scripts/tasks.js"></script>
<script language="JavaScript" src="common/scripts/menuFrames.js"></script>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>

<script>
  var lookupListIdsFromForeignBusinessUnits = new Array();
  <c:forEach var="id" items="${lookupListIdsFromForeignBusinessUnits}">
    lookupListIdsFromForeignBusinessUnits["${id}"] = true;
  </c:forEach>
</script>


<SCRIPT language=JavaScript>
<!--

   var bar = new MenuBar("menubar",  'common/images/menu/', 'images/rules/');
   bar.start();

   <tiles:useAttribute name="content"/>

   <c:choose>

   <%-- Create new lookup list display --%>
   <c:when test="${content=='newLookupList'}">
      bar.addItem('save',       'Save',     "saveLookupListDefinition();", '', '');
      bar.addItem('reset',      'Cancel',   "reshowLookupLists(contentOrList);",  '', '');
   </c:when>

   <%-- Edit lookup list registration display --%>
   <c:when test="${content=='editLookupList'}">
      bar.addItem('save',       'Save',     "updateLookupListDefinition();", '', '');
      bar.addItem('reset',      'Cancel',   "reshowLookupLists('list');", '', '');
   </c:when>

   <%-- Browse single lookup list display --%>
   <c:when test="${content=='viewLookupList'}">
      bar.addItem('edit',       'Edit',     "_editLookupList(lookupListId);", '', '');
      bar.addItem('printer',    'Print Rule',"showPrintableRule(action);", '', '');
      bar.addItem('reset',      'Cancel',   "reshowLookupLists('list');", '', '');
   </c:when>

   <%-- View single content file display --%>
   <c:when test="${content=='viewContentFile'}">
      bar.addItem('edit',       'Register', "registerContentFile();", '', '');
      bar.addItem('reset',      'Cancel',   "reshowLookupLists('content');",  '', '');
   </c:when>

   <%-- Lookup list content files display --%>
   <c:when test="${content=='listcontent'}">
      bar.addItem('edit',       'Register', "registerContentFile();", '', '');
      bar.addItem('upload',     'Upload',   "uploadContentFile();",   '', '');
      bar.addItem('download',   'Download', "downloadContentFile();", '', '');
      bar.addItem("delete",     'Delete',   "deleteLookupLists();",   '', '');
   </c:when>

   <%-- Lookup lists display --%>
   <c:otherwise>
      bar.addItem('new',        'New',      "newLookupList();",        '', '');
      bar.addItem('edit',       'Edit',     "editLookupList();",       '', '');
      bar.addItem('upload',     'Upload',   "uploadContentFile();",    '', '');
      bar.addItem('download',   'Download', "downloadContentFile();",  '', '');
      bar.addItem("delete",     'Delete',   "deleteLookupLists();",    '', '');
   </c:otherwise>

   </c:choose>

   bar.finish();

   // Initialize menus.
   MenuBar.init( true, document);


//-->
</SCRIPT>

