
<%@ include file="/common/taglibs.jsp" %>

<style type='text/css'>@import 'common/styles/sasStyles.css';</style><link rel='stylesheet' href='common/styles/cf.css' type='text/css'>  
<style type='text/css'>@import 'admin/styles/admin.css';</style>

<script language='JavaScript' src='common/scripts/jquery.js'></script>
<script language='JavaScript' src='common/scripts/sasSolutions.js'></script>
<script language='JavaScript' src='common/scripts/cf.js'></script>
<script language='JavaScript' src='admin/scripts/admin.js'></script>
<script language="JavaScript" src="rules/scripts/rules.js"></script>

<script>
   var ruleWriters = new Array();
   <c:forEach var="ruleWriter" items="${ruleWriters}">   
      var ruleWriter = new Object();
      ruleWriter.id = ${ruleWriter.id};
      ruleWriter.email = '${ruleWriter.emailAddress}';
      ruleWriters[ruleWriter.id] = ruleWriter;
   </c:forEach>
   
   function addUserToMailList()
   {
      var select = document.getElementById('users');
      var userId = select.options[select.selectedIndex].value;
      if (userId != -99){
    	  var email = ruleWriters[userId].email;
      } else {
    	  alert("Please select a user to add to the e-mail list.");
    	  return;
      }
      
      if(email == '')
      {
         alert("No email address is available for the selected user");
         return;
      }
      var emailList = document.getElementById('emailList');
      emailList.value = emailList.value + email + ",";
   }
   
   function closeDialog()
   {      
      window.returnValue = 0; //cancel
      window.close();
   }
   
   function saveValuesAndCloseDialog()
   {// debugger;
      // copy values to opener's variables
      var theOpener = (window.opener) ? window.opener : window.dialogArguments;
      // var fromEmailAddress = document.getElementById('fromEmailAddress');
      // theOpener.fromEmailAddress = fromEmailAddress.value;
      var emailList = document.getElementById('emailList');  
      theOpener.emailList = emailList.value;
      var userNotes = document.getElementById('userNotes');
      theOpener.userNotes = userNotes.value;
      
      window.returnValue = 1; // submit
      window.close();       
   }
   
</script>

<!-- mailhost.fyi.sas.com ->
<!-- Request approval -->     
    <table border ="0" width="100%" class="configurationTable" border="0" cellspacing="0" cellpadding="0" style="margin:0px">
       <tr>
         <td colspan="2" style="font-weight:bold;background-color:#039;color:white;padding:0px;" align="center">Request Approval</td>
       </tr>
       <tr class="configurationTableDataRow"><td colspan="2">&nbsp;</td></tr>       
       <!-- <tr class="configurationTableDataRow"> 
       <td valign="top">From:</td>
       <td valign="top"><input name="fromEmailAddress" id="fromEmailId" type="text" class="generic" value="" size="50" maxlength="100" />
       <br>The email address of the person requesting rule approval.<br><br></td>
       </tr>
       -->
       <tr class="configurationTableDataRow">    
          <td valign="top" nowrap>Users:</td>
          <td valign="top">
            <select name="users" id="users">                                         
               <option value="-99">Select User&nbsp;</option>                          
              <c:forEach var="ruleWriter" items="${ruleWriters}">                           
                <option value="${ruleWriter.id}" > ${fn:escapeXml(ruleWriter.lastName)}, ${fn:escapeXml(ruleWriter.firstName)}</option>
              </c:forEach>
            </select>
            &nbsp;<input type="button" value="Add to e-mail list" class="button" style="width:12em" onClick="addUserToMailList()"><br>
         </td>         
       </tr>       
       <tr class="configurationTableDataRow">
          <td align="left" valign="middle">To:</td>
          <td>
            <textarea name="emailList" id="emailList" style="height:70px;width:99%"  wrap="PHYSICAL" ></textarea>
            <br>A comma separated list of e-mail addresses who will be notified.<br>
          </td>
       </tr>
       <tr class="configurationTableDataRow">
         <td align="left">Notes:</td>
         <td><textarea name="userNotes" id="userNotes" style="height:70px;width:99%;marginLeft:10px;"  wrap="PHYSICAL" ></textarea>&nbsp;&nbsp;&nbsp;</td>
       </tr>
       <tr class="configurationTableDataRow"><td colspan="2">&nbsp;</td></tr>
       
       <tr class="configurationTableDataRow">
          <td colspan="2" align="center" style="padding-top:4px;">
          <input type="button" value="Submit" class="button" style="width:8em" onClick="saveValuesAndCloseDialog();">
          <input type="button" value="Cancel" class="button" style="width:8em" onClick="closeDialog()"><br><br>
          </td>                                    
       </tr>
   </table>     