function deleteEstimates()
{
   // supports multi select
   setSelectedEstimates();
   if(selectedEstimateIds.length == 0)
   {
         alert("One or more estimations must be selected before this request can be processed");
         return;
   }
   for (var i=0; i<selectedEstimateIds.split(',').length; i++) {
       if (isEstimateFromForeignBusinessUnit(selectedEstimateIds.split(',')[i], "deleted"))
           return;
   }

   if(!confirm("Are you sure you want to delete the selected estimate(s)?"))
       return;

   target = estimateAction + '?method=deleteEstimates' + '&idList=' + selectedEstimateIds + '&userId=' + userId;
   //parent.frames[ "detail" ].location.href = target;
   $df.postURL( "detail", target);
}

//Cancels a running estimation process
function cancelEstimates()
{
   // supports multi select
   setSelectedEstimates();
   if(selectedEstimateIds.length == 0)
   {
         alert("One or more estimations must be selected before this request can be processed");
         return;
   }
   for (var i=0; i<selectedEstimateIds.split(',').length; i++) {
       if (isEstimateFromForeignBusinessUnit(selectedEstimateIds.split(',')[i], "canceled"))
           return;
   }

   if(!confirm("Are you sure you want to cancel the selected estimate(s)?"))
       return;

   target = estimateAction + '?method=cancelEstimates' + '&idList=' + selectedEstimateIds + '&userId=' + userId;
   //parent.frames[ "detail" ].location.href = target;
   $df.postURL( "detail", target);
}
