<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;         
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }
     


</style>


<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript" src="rules/scripts/segments.js"></script>
<script language="JavaScript">
//<!--
  
var action = '<c:url value="/r_rules.do"/>';
var variableAction = '<c:url value="/r_variables.do"/>';
var workflow = '${definer}_${activity}_${segment}_variables';
var definer = '${definer}';
var activity = '${activity}';
var segment = '${segment}';
var segmorgid = '${segmorgid}';
var depth = '${depth}';
var variableId = '${variableInfo.segmentFieldId}';
var variableUpNbr = '${variableInfo.lstUpdtNbr}';
var variableName = '${variableInfo.fieldName}';

function ignoreReturn(evt)
{  
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
    <tiles:insert page="/rules/variableDetailMenu.jsp">
      <tiles:put name="content" value="singleVariable" />
    </tiles:insert>
 </td></tr> 
 </table>

 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewVariable&variableId=${variableInfo.segmentFieldId}&variableUpNbr=${variableInfo.lstUpdtNbr}&definer=${definer}&activity=${activity}&segment=${segment}&segmorgid=${segmorgid}&depth=${depth}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>   
 </div>

<br><br>


<div align="center">
<TABLE name="variableInfoTable" class="configurationTable" style="border:2px solid #F1EACB;margin-left:10px" cellspacing="0" cellpadding="2" border="0" >

   <tr align="left" valign="top" >
     <th colspan="5" class="configurationTableTitle" >&nbsp;<fmt:message key="rules.variables.${definer}.details.txt" /><br>&nbsp;</th>
   </tr>

   <tr class="configurationTableDataRow" valign="top" style="height:10px;">
     <td colspan="5">  </td>
   </tr>

   <c:choose>
   <c:when test="${definer=='system'}">
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap>Name:</td>
       <td colspan='3'>${variableInfo.fieldName}</td>
       <td>&nbsp;</td>
     </tr>
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap>Business Name:</td>
       <td colspan='3'>${variableInfo.fieldBusinessName}</td>
       <td>&nbsp;</td>
     </tr>
   </c:when>
   <c:otherwise>
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap>Name:</td>
       <td colspan='3'>${variableInfo.fieldBusinessName}</td>
       <td>&nbsp;</td>
     </tr>
   </c:otherwise>
   </c:choose>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Type:</td>
     <c:if test="${!variableInfo.numeric}">
       <td colspan="3">${variableInfo.fieldLength}-Byte ${variableInfo.variableType}</td>
     </c:if>
     <c:if test="${variableInfo.numeric}">
       <td colspan="3">${variableInfo.variableType}</td>
     </c:if>
     <td>&nbsp;</td>
   </tr>

<c:if test="${definer=='user'}">
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Initial Value:</td>
     <td colspan='3'>
        <c:if test="${fn:trim(variableInfo.segmentAcronym)!='RUA'}">
           <c:if test="${empty fn:trim(variableInfo.initialValue)}"><i>None</i></c:if>
           <c:if test="${not empty fn:trim(variableInfo.initialValue)}">${variableInfo.initialValue}</c:if></td>
       </c:if>
        <c:if test="${fn:trim(variableInfo.segmentAcronym)=='RUA'}">
           <i>N/A</i>
       </c:if>
     <td>&nbsp;</td>
   </tr>
</c:if>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Description:</td>
     <td colspan='3'><c:if test="${empty fn:trim(variableInfo.desc)}"><i>None</i></c:if>
                     <c:if test="${not empty fn:trim(variableInfo.desc)}">${variableInfo.desc}</c:if></td>
     <td>&nbsp;</td>
   </tr>

   <pre id="segmentAcronym" style="display:none;">${variableInfo.segmentAcronym}</pre>
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Segment:</td>
     <td>${fn:trim(variableInfo.segmentAcronym)}: ${variableInfo.segmentDesc}</td>
     <td nowrap><c:if test="${definer=='user'}">Business Unit:</c:if></td>
     <td><c:if test="${definer=='user'}">${variableInfo.businessUnitName}</c:if></td>
     <td>&nbsp;</td>
   </tr>  

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Components:</td>
     <td <c:if test="${definer!='user' || (fn:trim(variableInfo.segmentAcronym)=='RUA' && (!variableInfo.candidateForModeling))}"> colspan='3' </c:if> >
       <c:set var="sep" value=","/>
       <c:forEach var="comp" items="${variableInfo.components}" varStatus='stat'>
          <c:if test="${stat.count==1}">
             ${fn:trim(comp.componentType)}:
          </c:if>
          <c:if test="${stat.last || fn:trim(comp.componentValue)=='TRX'}">
             <c:set var="sep" value=""/>
          </c:if>
          <c:if test="${fn:trim(comp.componentValue)!='CMD' && fn:trim(comp.componentValue)!='MON'}">
            ${fn:trim(comp.componentValueName)} (${fn:trim(comp.componentValue)})${sep}
          </c:if>
       </c:forEach>
       <br>&nbsp;
     </td>
     <c:if test="${definer=='user' && fn:trim(variableInfo.segmentAcronym)!='RUA'}">
       <td nowrap>Exposed for Reporting:</td>
       <td><c:choose><c:when test="${variableInfo.exposedForReporting}">Yes</c:when><c:otherwise>No</c:otherwise></c:choose></td>
     </c:if>
     <c:if test="${variableInfo.candidateForModeling && variableInfo.segmentAcronym=='RUA'}">
       <td nowrap>Used to Split Transactions:</td>
       <td><c:choose><c:when test="${variableInfo.exposedForModeling == '1'}">Yes</c:when><c:otherwise>No</c:otherwise></c:choose></td>
     </c:if>     
     <td>&nbsp;</td>
   </tr>  

<c:if test="${definer=='user'}">
  <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Message Alias:</td>
     <td>${fn:toUpperCase(variableInfo.fieldName)}</td>
     <td nowrap>Deployment Build Number:</td>
     <c:if test="${variableInfo.hasBeenBuilt}">
        <td>${variableInfo.buildId}</td>
     </c:if>
     <c:if test="${!variableInfo.hasBeenBuilt}">
        <td><i>N/A</i></td>
     </c:if>
     <td>&nbsp;</td>
  </tr>
</c:if>

  <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Created:</td>
     <td style="width:45%;" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${variableInfo.createTimestampUtcMillis}" ></span> by ${variableInfo.createUser}</td>
     <td nowrap>Testing Rule Use Count:</td>
     <td>${variableInfo.testUseCount}</td>
     <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Updated:</td>
     <td nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${variableInfo.lstUpdtTimestampUtcMillis}" ></span> by ${variableInfo.lstUpdtUser}</td>
     <td nowrap>Production Rule Use Count:</td>
     <td>${variableInfo.prodUseCount}</td>
     <td>&nbsp;</td>
  </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='5'>&nbsp;</td>
   </tr>

   <tr align="left" valign="top" >
     <td colspan="5" class="configurationTableSection" >Rules Using This Variable</td>
   </tr>


   <tr class="configurationTableDataRow" valign="top">
    <td colspan="4" class="configurationTableDataRow" >
      <div align="left" style="font-size:10pt;margin:0px 0px 0px 0px;color:#996600;font-weight:bold;width:100%;">
        <div style="float:left">
        </div>
        <div style="float:right;font-weight:normal;font-size:xx-small;">
          <c:if test="${depth=='full'}"><a style="font-weight:normal;font-size:xx-small;" href="javascript:showHideDepthRules()" title="Click to suppress the display of additional information in the rule list.">Less&nbsp;<img border="0" src="images/rules/chevrons-left.gif"></a>&nbsp;</c:if>
          <c:if test="${depth!='full'}"><a style="font-weight:normal;font-size:xx-small;" href="javascript:showHideDepthRules()" title="Click to display additional information for rules in the list.">More&nbsp;<img border="0" src="images/rules/chevrons-right.gif"></a>&nbsp;</c:if>
        </div>
      </div>      
      <br>      
      
      <table class="mainTable" id="variablesTable" width="100%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">   
         <thead>
           <TR class="tableColumnHeaderRow" >             
             <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;Rule ID</TH>          
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Name</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Type</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Business Unit</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule State</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Queue Name</TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Description</TH>
             <c:if test="${depth=='full'}">
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;Rule Code</TH>
             </c:if> 
           </TR>
         </thead> 
         <TBODY id="ruleTableBody">     
          <c:if test="${empty variableInfo.rules}">       
            <TR rowspan="2">         
               <TD align="right" style="font-size:8pt;" colspan="100%"><center><em>No Testing or Production rules that use this variable are available.</center></em></TD>
            </TR>      
          </c:if>
          <c:if test="${not empty variableInfo.rules}">       
            <c:forEach var="rule" items="${variableInfo.rules}" varStatus="status">
               <%-- Not honoring color alternation in css dataRow${status.count%2+1}_tableRow, so do it by hand --%>
               <c:set var="bgcolor" value="white"/>
               <c:if test="${status.count%2==0}"><c:set var="bgcolor" value="#FAF8ED"/></c:if>
               <TR id="${status.count}" class="dataRow${status.count%2+1}_tableRow" >
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${rule.BASE_RULE_ID}.${rule.RULE_VERSION_NBR}</TD>                      
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_TYPE_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.BUSINESS_UNIT_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_STATE))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >
                     <c:if test="${rule.RULE_TYPE_NAME!='Queue'}">N/A</c:if>
                     <c:if test="${rule.RULE_TYPE_NAME=='Queue'}">${fn:trim(fn:escapeXml(rule.QUEUE_NAME))}</c:if>
                  </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_DESC))}</TD>
                  <c:if test="${depth=='full'}">
                     <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" ><pre style="font-size:xx-small;">${fn:trim(fn:escapeXml(rule.RULE_CODE))}</pre></TD>
                  </c:if> 
               </TR>     
            </c:forEach>
          </c:if>
         </TBODY>       
      </table>
    </td>
    <td> &nbsp; </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan="5"> &nbsp; </td>
   </tr>

</TABLE>
    
</div>
    
</div>
    
  

<script>
   attachEventHandlerToTableCells(['variablesTable']);
</script>


