<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }



</style>


<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var variableAction = '<c:url value="/r_variables.do"/>';
var workflow = '${definer}_${activity}_${segment}_variables';
var definer = '${definer}';
var activity = '${activity}';
var segment = '${segment}';
var segmorgid = '${segmorgid}';
var depth = '${depth}';
var variableId = '${variableInfo.segmentFieldId}';
var variableUpNbr = '${variableInfo.lstUpdtNbr}';
<c:set var='quot' value='"'/>
<c:set var='escquot' value='\\"'/>
var variableName = "${fn:trim(fn:replace(variableInfo.fieldBusinessName,quot,escquot))}";

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


 <table width="100%" border="0" style="margin:0px 0px 0px 0px;background-color:#f1eacb;" cellpadding="0">
 <tr><td colspan="1">
    <tiles:insert page="/rules/variableDetailMenu.jsp">
      <tiles:put name="content" value="updateVariable" />
    </tiles:insert>
 </td></tr>
 </table>

 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=editVariable&definer=${definer}&activity=${activity}&segment=${segment}&depth=${depth}&segmorgid=${segmorgid}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<br><br>

<form name="variableForm" id="variableForm" action='<c:url value="/r_variables.do"/>'>
  <input type="hidden" name="variableId" id="variableId" value="${variableInfo.segmentFieldId}"/>
  <input type="hidden" name="variableUpNbr" id="variableUpNbr" value="${variableInfo.lstUpdtNbr}"/>
  <input type="hidden" name="fieldId" id="fieldId" value="${variableInfo.segmentFieldId}"/>
  <input type="hidden" name="fieldName" id="fieldName" value="${variableInfo.fieldName}"/>
  <input type="hidden" name="segmentIdVersion" id="segmentIdVersion" value="${variableInfo.segmentIdVersion}"/>
  <input type="hidden" name="segmentAcronym" id="segmentAcronym" value="${variableInfo.segmentAcronym}"/>
  <input type="hidden" name="segmentPrefixChar" id="segmentPrefixChar" value="${variableInfo.segmentPrefixChar}"/>
  <input type="hidden" name="segmentDesc" id="segmentDesc" value="${fn:escapeXml(variableInfo.segmentDesc)}"/>
  <input type="hidden" name="lstUpdtTimestamp" id="lstUpdtTimestamp" value="${variableInfo.lstUpdtTimestamp.time}"/>
  <input type="hidden" name="createTimestamp" id="createTimestamp" value="${variableInfo.createTimestamp.time}"/>
  <input type="hidden" name="createUser" id="createUser" value="${fn:escapeXml(variableInfo.createUser)}"/>
  <input type="hidden" name="lstUpdtUser" id="lstUpdtUser" value="${fn:escapeXml(variableInfo.lstUpdtUser)}"/>
  <input type="hidden" name="testUseCount" id="testUseCount" value="${variableInfo.testUseCount}"/>
  <input type="hidden" name="prodUseCount" id="prodUseCount" value="${variableInfo.prodUseCount}"/>
  <input type="hidden" name="segmentId" id="segmentId" value="${variableInfo.segmentId}"/>
  <input type="hidden" name="startingPosition" id="startingPosition" value="${variableInfo.fieldStartingPos}"/>

<div align="center">
<TABLE name="variableCreationTable" class="configurationTable" style="width:95%;border:2px solid #F1EACB;margin-left:10px" cellspacing="0" cellpadding="2" border="0" >

  <tr align="left" valign="top" >
    <th colspan="5" class="configurationTableTitle" >&nbsp;User Variable Definition<br>&nbsp;</th>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td style="width:15%;" nowrap>Name:</td>
    <td style="width:85%;" nowrap>
      <input style="width:100%;" type="text" id="businessName" name="businessName" class="famTextEntry" maxlength="30" value="${fn:trim(fn:escapeXml(variableInfo.fieldBusinessName))}"/>
   </td>
    <td nowrap>
       Replication Count:
    </td>
    <td nowrap align="right">
      <c:set var="readonly" value=""/>
      <c:if test="${fn:trim(variableInfo.segmentAcronym)=='RUA'}">
        <c:set var="readonly" value="readonly='readonly'"/>
      </c:if>
      <input type='text' id="repCount" name="repCount" ${readonly} value="<c:choose><c:when test='${empty repCount}'>1</c:when><c:otherwise>${repCount}</c:otherwise></c:choose>" style="width:3em;text-align:right;" />
   </td>
    <td>&nbsp;</td>
  </tr>


  <c:choose>
  <c:when test="${fn:trim(variableInfo.segmentAcronym)=='RUA'}">
    <input type="hidden" id="variableInitial" name="variableInitial" value="0"/>
    <tr class="configurationTableDataRow" valign="top">
      <td style="width:15%;" nowrap>Type:</td>
      <td colspan='3' style="width:85%;">
        <c:if test="${fn:trim(variableInfo.variableType)=='Character'}">
           ${variableInfo.fieldLength}-Byte ${variableInfo.variableType}
        </c:if>
        <c:if test="${fn:trim(variableInfo.variableType)!='Character'}">
           ${variableInfo.variableType}
        </c:if>
      <td>&nbsp;</td>
      <input type="hidden" id="fieldLength"  name="fieldLength"  value="${variableInfo.fieldLength}" >
      <input type="hidden" id="variableType" name="variableType" value="${fn:trim(variableInfo.variableType)}" >
    </tr>
  </c:when>
  <c:otherwise>
    <tr class="configurationTableDataRow" valign="top">
      <td nowrap>Type:</td>
      <td colspan='3'>
         <select name="variableTypeSelector" id="variableTypeSelector" style='width:100%;' XonChange="OnTypeChange('variableTypeSelector')" >
             <option                                                                                                                  value="${variableInfo.FORMAT_TYPE_NUMERIC}"     >${variableInfo.FORMAT_TYPE_NUMERIC}      </option>
             <option <c:if test='${fn:trim(variableInfo.variableType)==variableInfo.FORMAT_TYPE_DATE    }'>selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_DATE}"        >${variableInfo.FORMAT_TYPE_DATE}         </option>
             <option <c:if test='${fn:trim(variableInfo.variableType)==variableInfo.FORMAT_TYPE_TIME    }'>selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_TIME}"        >${variableInfo.FORMAT_TYPE_TIME}         </option>
             <option <c:if test='${fn:trim(variableInfo.variableType)==variableInfo.FORMAT_TYPE_DATETIME}'>selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_DATETIME}"    >${variableInfo.FORMAT_TYPE_DATETIME}     </option>
             <option <c:if test='${fn:trim(variableInfo.variableType)==variableInfo.FORMAT_TYPE_CURRENCY}'>selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CURRENCY}"    >${variableInfo.FORMAT_TYPE_CURRENCY}     </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==8       }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 8" >${variableInfo.FORMAT_TYPE_CHARACTER} 8  </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==16      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 16">${variableInfo.FORMAT_TYPE_CHARACTER} 16 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==24      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 24">${variableInfo.FORMAT_TYPE_CHARACTER} 24 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==32      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 32">${variableInfo.FORMAT_TYPE_CHARACTER} 32 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==40      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 40">${variableInfo.FORMAT_TYPE_CHARACTER} 40 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==48      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 48">${variableInfo.FORMAT_TYPE_CHARACTER} 48 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==56      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 56">${variableInfo.FORMAT_TYPE_CHARACTER} 56 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==64      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 64">${variableInfo.FORMAT_TYPE_CHARACTER} 64 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==72      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 72">${variableInfo.FORMAT_TYPE_CHARACTER} 72 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==80      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 80">${variableInfo.FORMAT_TYPE_CHARACTER} 80 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==88      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 88">${variableInfo.FORMAT_TYPE_CHARACTER} 88 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==96      }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 96">${variableInfo.FORMAT_TYPE_CHARACTER} 96 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==104     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 104">${variableInfo.FORMAT_TYPE_CHARACTER} 104 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==112     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 112">${variableInfo.FORMAT_TYPE_CHARACTER} 112 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==120     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 120">${variableInfo.FORMAT_TYPE_CHARACTER} 120 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==128     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 128">${variableInfo.FORMAT_TYPE_CHARACTER} 128 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==136     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 136">${variableInfo.FORMAT_TYPE_CHARACTER} 136 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==144     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 144">${variableInfo.FORMAT_TYPE_CHARACTER} 144 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==152     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 152">${variableInfo.FORMAT_TYPE_CHARACTER} 152 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==160     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 160">${variableInfo.FORMAT_TYPE_CHARACTER} 160 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==168     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 168">${variableInfo.FORMAT_TYPE_CHARACTER} 168 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==176     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 176">${variableInfo.FORMAT_TYPE_CHARACTER} 176 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==184     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 184">${variableInfo.FORMAT_TYPE_CHARACTER} 184 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==192     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 192">${variableInfo.FORMAT_TYPE_CHARACTER} 192 </option>
             <option <c:if test="${variableInfo.character && variableInfo.fieldLength==200     }">selected="selected"</c:if> value="${variableInfo.FORMAT_TYPE_CHARACTER} 200">${variableInfo.FORMAT_TYPE_CHARACTER} 200 </option>
         </select>
      </td>
      <td>&nbsp;</td>
    </tr>
    <tr class="configurationTableDataRow" valign="top">
      <td style="width:15%;" nowrap>Initial Value: </td>
      <td colspan='3' style="width:85%;"><input style="width:100%" type="text" id="variableInitial" name="variableInitial" class="famTextEntry" maxlength="200" value="${fn:trim(fn:escapeXml(variableInfo.initialValue))}"></td>
      <td>&nbsp;</td>
    </tr>
  </c:otherwise>
  </c:choose>

  <tr class="configurationTableDataRow" valign="top">
    <td nowrap>Description:</td>
    <td colspan='3'><textarea name="variableDesc" id="variableDesc" style="height:35px;width:100%;" wrap="PHYSICAL">${fn:trim(variableInfo.desc)}</textarea></td>
    <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td style="width:15%;" nowrap>Segment:</td>
    <c:choose>
    <c:when test="${fn:trim(variableInfo.segmentAcronym)=='RUA'}">
      <c:choose>
         <c:when test="${variableInfo.candidateForModeling}">
            <td style="width:60%;">
               ${variableInfo.segmentAcronym}: ${variableInfo.segmentDesc}
            </td>
            <td nowrap>
               Use to Split Transactions:
            </td>
            <td>
               <input type='checkbox' id="exposedForModeling" name="exposedForModeling" <c:if test="${variableInfo.exposedForModeling == '1'}">checked='checked'</c:if> />
            </td>
         </c:when>
         <c:otherwise>
            <td style="width:85%;" colspan="3">
               ${variableInfo.segmentAcronym}: ${variableInfo.segmentDesc}
            </td>
         </c:otherwise>
      </c:choose>
    </c:when>
    <c:otherwise>
      <td style="width:60%;">
         ${variableInfo.segmentAcronym}: ${variableInfo.segmentDesc}
      </td>
      <td nowrap>
         Expose for Reporting:
      </td>
      <td>
         <input type='checkbox' id="exposedForReporting" name="exposedForReporting" <c:if test="${variableInfo.exposedForReporting}">checked='checked'</c:if> />&nbsp;
      </td>
    </c:otherwise>
    </c:choose>



    <td>&nbsp;</td>
  </tr>


 <c:if test="${not empty variableInfo.fieldName}">
  <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Message Alias:</td>
     <td>${fn:toUpperCase(variableInfo.fieldName)}</td>
     <td nowrap>Deployment Build Number:</td>
     <c:if test="${variableInfo.hasBeenBuilt}">
        <td>${variableInfo.buildId}</td>
     </c:if>
     <c:if test="${!variableInfo.hasBeenBuilt}">
        <td><i>N/A</i></td>
     </c:if>
     <td>&nbsp;</td>
  </tr>
 </c:if>

  <tr class="configurationTableDataRow" valign="top">
     <td>Created:</td>
     <td style="width:45%" nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${variableInfo.createTimestampUtcMillis}" /> by ${variableInfo.createUser}  </td>
     <td nowrap>Testing Rule Use Count:</td>
     <td>${variableInfo.testUseCount}</td>
     <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Updated:</td>
     <td nowrap><span dateFormat="${dateFormat} ${timeFormat}" dateValue="${variableInfo.lstUpdtTimestampUtcMillis}" /> by ${variableInfo.lstUpdtUser}</td>
     <td nowrap>Production Rule Use Count:</td>
     <td>${variableInfo.prodUseCount}</td>
     <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

<!--   <tr class="configurationTableDataRow">
    <td colspan="5" align="center" style="padding-top:4px;">
      <input type="button" value="Save" class="button" style="width:8em" onClick="saveVariable();">
      <input type="button" value="Cancel" class="button" style="width:8em" onClick="reshowVariables()"><br><br>
    </td>
  </tr> -->

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
    <td colspan="5"> &nbsp;</td>
  </tr>

</TABLE>

</div>

</div>


</form>


