<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
   <style type="text/css">@import "common/styles/sasStyles.css";</style>
   <style type="text/css">@import "includes/view.css";</style>
   <script language="JavaScript" src="includes/view.js"></script>
   <script language="JavaScript" src="common/scripts/tree.js"></script>
   <script language="JavaScript" src="rules/scripts/variables.js"></script>

 <table  class="" width="100%" border="0" cellpadding="0" cellspacing="0" style="margin:0px 0px 0px 0px;padding:0px;"><tr><td colspan="1">
 <tiles:insert page="/rules/rulesOverviewMenu.jsp"/>
 </td></tr></table>
 
<!-- Tree header. -->
<div style="padding:1px"><div id="navhead"><fmt:message key="rules.listVariables.title.txt"/> : ${_buNameSelected}</div></div>

<!-- Nested tables with fixed height -->
<table id="overview_table" cellspacing=0 cellpadding=2 border="0"  >
   <tr>
      <td id="navcol" align="left" valign="top" nowrap>

<script language="JavaScript">
//<!--

   // Remove padding so menubar appears to be glued to the top
   document.body.style.padding = "0";

   // To identify new or modified objects    
   var _selectedObject = '';
  
   var _variableNodes = new Array();
   _params = new Array();

   // CheatSheet: function Node( nodeId, parentId, image, title, tip, parameters, state, italic, owner )
   // Uservar segments (no RUA)
   <c:set var="previousSegMorgId" value="-1234509876" />
   <c:forEach var="seg" items="${segmentUseInfoMap.userVarSegmentList}" varStatus="status">
   
    <c:if test="${fn:trim(seg.SEGMENT_ACRONYM)!='RUA'}">
     <c:if test="${previousSegMorgId!=seg.MULTI_ORG_ID}">
        _variableNodes[_variableNodes.length] = new Node("user_all_all_${fn:trim(seg.MULTI_ORG_ID)}", 0, "folder0",   "<c:choose><c:when test='${isTenantInstall==true}'>${fn:trim(seg.MULTI_ORG_NODE_NAME)} User Segments</c:when><c:otherwise>User Variable Segments</c:otherwise></c:choose> [${segmentUseInfoMap[seg.MULTI_ORG_ID].usedUserVariableCount}/${segmentUseInfoMap[seg.MULTI_ORG_ID].definedUserVariableCount}]",   "${segmentUseInfoMap[seg.MULTI_ORG_ID].usedUserVariableCount} of ${segmentUseInfoMap[seg.MULTI_ORG_ID].definedUserVariableCount} user variables for tenant node ${fn:trim(seg.MULTI_ORG_NODE_KEY)} have been used in rules", _params, "", "", "");
        <c:if test="${previousSegMorgId==-1234509876}"><c:set var="firstSegMorgId" value="${seg.MULTI_ORG_ID}" /></c:if>        
        <c:set var="previousSegMorgId" value="${seg.MULTI_ORG_ID}" />
     </c:if>
     _variableNodes[_variableNodes.length] = new Node('user_all_${fn:trim(seg.SEGMENT_ACRONYM)}_${fn:trim(seg.MULTI_ORG_ID)}', "user_all_all_${fn:trim(seg.MULTI_ORG_ID)}", "variable0",
         <c:choose>
           <c:when test="${empty fn:trim(seg.SEGMENT_PREFIX_CHAR)}">
              "${fn:trim(seg.SEGMENT_ACRONYM)}: Not Defined",
              "${seg.USED_VARIABLE_COUNT} of ${seg.DEFINED_VARIABLE_COUNT} variables used in rules in segment ${fn:escapeXml(fn:trim(seg.SEGMENT_ACRONYM))}",
           </c:when>
           <c:otherwise>
              "_${fn:toUpperCase(seg.SEGMENT_PREFIX_CHAR)}_ [${seg.USED_VARIABLE_COUNT}/${seg.DEFINED_VARIABLE_COUNT}]: ${fn:escapeXml(seg.SEGMENT_DESC)}",
              "${seg.USED_VARIABLE_COUNT} of ${seg.DEFINED_VARIABLE_COUNT} ${fn:toUpperCase(seg.SEGMENT_PREFIX_CHAR)} variables have been used in rules.  Segment ${fn:escapeXml(fn:trim(seg.SEGMENT_ACRONYM))} was defined using ${fn:escapeXml(seg.BUSINESS_UNIT_NAME)}.",
           </c:otherwise>
         </c:choose>
         _params, "", "", "");
         
    </c:if>
   </c:forEach>

   // Only RUA
   <c:forEach var="seg" items="${segmentUseInfoMap.userVarSegmentList}" varStatus="status">
    <c:if test="${fn:trim(seg.SEGMENT_ACRONYM)=='RUA'}">
      // Use of RUA2 below is to circumvent an IE bug where it does not catch the difference between the category (user_all_RUA) and the segment (user_all_rua)
      _variableNodes[_variableNodes.length] = new Node("user_all_RUA2", 0, "folder0",   "Authorization Segments [${seg.USED_VARIABLE_COUNT}/${seg.DEFINED_VARIABLE_COUNT}]",  "${seg.USED_VARIABLE_COUNT} of ${seg.DEFINED_VARIABLE_COUNT} defined ${fn:escapeXml(fn:trim(seg.SEGMENT_ACRONYM))} variables have been used in rules", _params, "", "", "");
         _variableNodes[_variableNodes.length] = new Node('user_all_RUA', "user_all_RUA2", "variable0", 
                  "${fn:trim(seg.SEGMENT_ACRONYM)} [${seg.USED_VARIABLE_COUNT}/${seg.DEFINED_VARIABLE_COUNT}]: ${fn:escapeXml(seg.SEGMENT_DESC)}",
                  "${seg.USED_VARIABLE_COUNT} of ${seg.DEFINED_VARIABLE_COUNT} defined ${fn:escapeXml(fn:trim(seg.SEGMENT_ACRONYM))} variables have been used in rules", _params, "", "", "");
    </c:if>
   </c:forEach>

   // System variable segments
   _variableNodes[_variableNodes.length] = new Node("system_all_all", 0, "folder0",   "System Segments [${segmentUseInfoMap.usedSystemVariableCount}/${segmentUseInfoMap.definedSystemVariableCount}]",   "${segmentUseInfoMap.usedSystemVariableCount} of ${segmentUseInfoMap.definedSystemVariableCount} system variables have been used in rules", _params, "", "", "");
   <c:forEach var="seg" items="${segmentUseInfoMap.systemVarSegmentList}" varStatus="status">
     _variableNodes[_variableNodes.length] = new Node('system_all_${fn:trim(seg.SEGMENT_ACRONYM)}', "system_all_all", "variable0", 
              "${fn:trim(seg.SEGMENT_ACRONYM)} [${seg.USED_VARIABLE_COUNT}/${seg.DEFINED_VARIABLE_COUNT}]: ${fn:escapeXml(seg.SEGMENT_DESC)}",
              "${seg.USED_VARIABLE_COUNT} of ${seg.DEFINED_VARIABLE_COUNT} ${fn:escapeXml(fn:trim(seg.SEGMENT_ACRONYM))} variables have been used in rules", _params, "", "", "");
   </c:forEach>


   // Display list of all user variables when not refreshing, else preserve current selection
   <c:if test="${empty param.refreshSelection}">
     _selectedObject = 'user_all_V00_${fn:trim(firstSegMorgId)}';
     tenantFolder = 'user_all_all_${fn:trim(firstSegMorgId)}';
   </c:if>
   <c:if test="${not empty param.refreshSelection}">
     _selectedObject = "${param.refreshSelection}";
     tenantFolder = 'user_all_all_' + _selectedObject.split('_')[3];
   </c:if>

   var detailAction = '<c:url value="/r_variables.do"/>' ;

   // Cheatsheet: function Tree( name, nodes, start, open, selected, eventHandler, extend, location, enabled, treeImages, nodeImages )
   _variablesTree = new Tree("_variablesTree", _variableNodes, 0, tenantFolder+"|"+_selectedObject, _selectedObject, "showVariables(detailAction);",
                             false, false, true, "common/images/tree/", "images/rules/" );

   // Show variables for the selected folder
   <c:if test="${empty param.refreshSelection}">
      showVariables(detailAction);
   </c:if>


//-->
</script>

 </td>
   </tr>
</table>

  
