

/*-------------------------------------------------------------------
 * COPYRIGHT (C) 2006-2009 BY SAS INSTITUTE INC.,CARY NC
 *
 * Name:    A.sas
 * Purpose: Generated rule code for SAS Fraud Management engines
 * Usage:   Generated from the webapp and included into engine at run time
 *
 * Build Package ID: 0
 * Rules Built By:   SAS Institute Inc.
 * Rules Build Date: Wed Aug 21 10:01:51 EDT 2013
 *
 * SDSBuild Version: 2013/08/17 22:54:48 $
 * WebMacro Version: 3.3.20131111
 *
 * Note: This code must be included before the main engine DATA step.
 *
 *-------------------------------------------------------------------*/

/* Define miscellaneous globals used by many */
%global RPT_SOR_ROOT;
%let    RPT_SOR_ROOT = _A;

%global RPT_PACKAGE_ROOT;
%let    RPT_PACKAGE_ROOT = _A;

/* TripWire */
%global RPT_PACKAGE_COUNT;
%let    RPT_PACKAGE_COUNT = %eval(&RPT_PACKAGE_COUNT+1);

%global RPT_A_MsgAPIVersion;
%let RPT_A_MsgAPIVersion = M040209;

%global RPT_OSE_A_Build_num;
%let RPT_OSE_A_Build_num = 0;

%global RPT_AGE_A_Build_num;
%let RPT_AGE_A_Build_num = 0;

%global RUL_GENERATED_BY_VERSION;
%let    RUL_GENERATED_BY_VERSION = 3.3.20130902;

%global RUL_USE_BUSINESS_NAMES;
%let    RUL_USE_BUSINESS_NAMES = 0 ;

%global RUL_IS_PRODUCTION_ENGINE;
%let    RUL_IS_PRODUCTION_ENGINE = %eval(not &RUL_USE_BUSINESS_NAMES);

%global RUL_USER_SEGMENT_HEADER_SIZE;
%let    RUL_USER_SEGMENT_HEADER_SIZE = 125;

%global RPT_VAR_USED_VARIABLES;
%let    RPT_VAR_USED_VARIABLES = %qcmpres();

%global RPT_ARD_USED_VARIABLES;
%let    RPT_ARD_USED_VARIABLES = %qcmpres();

%global RPT_QUE_USED_VARIABLES;
%let    RPT_QUE_USED_VARIABLES = %qcmpres();

%global RUL_MAX_RULE_COUNT;
%let    RUL_MAX_RULE_COUNT = 3000;

%global RUL_VNN_MAX_DATA_LENGTH;
%let    RUL_VNN_MAX_DATA_LENGTH = 30000;

%global RUL_ALERT_TYPE_CODES;
%let    RUL_ALERT_TYPE_CODES = %qcmpres(
        A B C H M O P R W X );
%global RUL_ALERT_TYPE_SNAMS;
%let    RUL_ALERT_TYPE_SNAMS = %qcmpres(
        ACCT STAFF CARD ACH MERCH OLIN PHON TERM WIRE CUST );
%global RUL_ALERT_TYPE_LNAMS;
%let    RUL_ALERT_TYPE_LNAMS = %qcmpres(
        ACCOUNT STAFF CARD ACH MERCHANT ONLINE_USER_ID PHONE_USER_ID 
        TERMINAL WIRE CUSTOMER );
%global RUL_ALERT_TYPE_DESCS;
%let    RUL_ALERT_TYPE_DESCS = %qcmpres(
        Account!Number Staff!ID Card!Number ACH!Batch!Number Merchant 
        Online!Banking!User!Id Phone!Banking!User!Id Terminal 
        Wire!Reference!Number Customer!Number );
%global RUL_ALERT_TYPE_MKEYS;
%let    RUL_ALERT_TYPE_MKEYS = %qcmpres(
        aqo_acct_num dee_entity_id_1 hqo_card_num taq_batch_id 
        hct_term_owner_id hqo_ob_userid hqo_pb_userid hct_term_id 
        tbt_ref_num xqo_cust_num );
%global RUL_ALERT_TYPE_PVALS;  %* S0791212;
%let    RUL_ALERT_TYPE_PVALS = %qcmpres(
        "" "" aqo_acct_num aqo_acct_num "" "" "" "" aqo_acct_num "" );
%global RUL_ALERT_TYPE_PTYPS;  %* S0791212;
%let    RUL_ALERT_TYPE_PTYPS = %qcmpres(
        . . A A . . . . A . );
%global RUL_ALERT_TYPE_CVALS;  %* S0791212;
%let    RUL_ALERT_TYPE_CVALS = %qcmpres(
        xqo_cust_num dee_entity_id_1 xqo_cust_num hqo_ob_userid 
        hct_term_owner_id xqo_cust_num xqo_cust_num hct_term_owner_id 
        hqo_ob_userid xqo_cust_num );
%global RUL_ALERT_TYPE_CTYPS;  %* S0791212;
%let    RUL_ALERT_TYPE_CTYPS = %qcmpres(
        X B X O M X X M O X );

%global rul_display_formats;
%let    rul_display_formats = %qcmpres(
        DOLLAR15.2 DATE9. DATETIME19. BEST. TIME. );

%global rul_compile_rules_with_fcmp; %* S0756526;
%let    rul_compile_rules_with_fcmp = %qcmpres(0); %* S0756526;

%global rul_use_missing_concat_keys;
%let    rul_use_missing_concat_keys = %qcmpres(0);

%global rul_user_variable_segment_count;
%let    rul_user_variable_segment_count = %qcmpres(08 );

%global age_transcode_to_utf8;
%let    age_transcode_to_utf8 = 1;

%global AGE_MAX_ALERT_VARIABLE_DATA_SIZE;
%let    AGE_MAX_ALERT_VARIABLE_DATA_SIZE = %sysfunc(ifc(&sysscp eq OS,0,
        %eval(0+03056)));
%put NOTE: AGE_MAX_ALERT_VARIABLE_DATA_SIZE=&age_max_alert_variable_data_size;

%global RUL_HIGHLIGHT_ALERT_TYPE_CODE;
%let    RUL_HIGHLIGHT_ALERT_TYPE_CODE = %qcmpres( );

%global RUL_ENABLE_XAMS;
%let    RUL_ENABLE_XAMS = %qcmpres(0);

%global RUL_Max_Highlights_Per_Rule;
%let    RUL_Max_Highlights_Per_Rule = 100;
%global RUL_Max_Highlight_Expr_Length;
%let    RUL_Max_Highlight_Expr_Length = 2000;

%global RUL_REALTIME_DATA_OFFSET;
%let    RUL_REALTIME_DATA_OFFSET = 8 * 375;

%global RUL_QUEUED_DATA_OFFSET;
%let    RUL_QUEUED_DATA_OFFSET = 8 * 750;

%global RUL_Tripwire_Offset;
%let    RUL_Tripwire_Offset = 8 * 1125;


/*-------------------------------------------------------------------*/
/* Define expressions for detecting batch headers and trailers       */
/*                                                                   */
%global RUL_BATCH_KEYS;
%let    RUL_BATCH_KEYS = %qcmpres(taq_batch_id );
%global RUL_BATCH_HEADER_1;
%UTL_Set_Macro_Variable(RUL_BATCH_HEADER_1);
CARDS4;
not missing(taq_batch_id) and tab_rec_type='H'

;;;;
;;;;
run;
%global RUL_BATCH_TRAILER_1;
%UTL_Set_Macro_Variable(RUL_BATCH_TRAILER_1);
CARDS4;
not missing(taq_batch_id) and tab_rec_type='C'

;;;;
;;;;
run;



/*-------------------------------------------------------------------*/
/* Define lookup list for OSE via libname                            */
/* (AGE uses direct assignment to global in submitted code)          */
/*                                                                   */
%global OSE_LOOKUP_LIST_LOCATION;
%let OSE_LOOKUP_LIST_LOCATION = %sysfunc(pathname(LRULES));


/*-------------------------------------------------------------------*/
/* Create entries for the MO Nodes in this deployment                */
/*                                                                   */
%RUL_Capture_Code(WORK.MULTIORG_DICTIONARY.NODES.SOURCE,
                  mod=mod);
CARDS4;
1,A,GLOBAL,0,0003,,,,,

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Define models used for execution or to read old signatures        */
/*                                                                   */
%macro OSE_Add_Used_Models_To_List_A;
   
%mend;

/*-------------------------------------------------------------------*/
/* Define macro to ensure multi-org level is supported               */
/*                                                                   */
%macro OSE_Check_MultiOrgVersion_A;
	
%mend;



/*-------------------------------------------------------------------*/
/* Create entries that define components                             */
/*                                                                   */
%RUL_Capture_Code(WORK.MSG_API_DICTIONARY.COMPONENTS.SOURCE);
CARDS4;

smh_acct_type BR  AQO AQB AQR 
smh_acct_type CC  AQO AQC 
smh_acct_type CS  AQO AQD 
smh_acct_type LC  AQO AQL 
smh_acct_type NA    
smh_acct_type SL  AQO AQS 
smh_activity_detail1 DBA  DBA 
smh_activity_detail1 DCB  DCB 
smh_activity_detail1 DCC  DCC 
smh_activity_detail1 DCQ  DCQ 
smh_activity_detail1 DEE  DEE 
smh_activity_detail1 DMX  DMX 
smh_activity_detail1 DNA  DNA 
smh_activity_detail1 DNC  DNC 
smh_activity_detail1 DNO  DNO 
smh_activity_detail1 DNP  DNP 
smh_activity_detail1 DNR  DNR 
smh_activity_detail1 DNS  DNS 
smh_activity_detail1 DNU  DNU 
smh_activity_detail1 DNX  DNX 
smh_activity_detail1 DPD  DPD 
smh_activity_detail1 NAP    
smh_activity_detail2 DBA  DBA 
smh_activity_detail2 DCB  DCB 
smh_activity_detail2 DCC  DCC 
smh_activity_detail2 DCQ  DCQ 
smh_activity_detail2 DEE  DEE 
smh_activity_detail2 DMX  DMX 
smh_activity_detail2 DNA  DNA 
smh_activity_detail2 DNC  DNC 
smh_activity_detail2 DNO  DNO 
smh_activity_detail2 DNP  DNP 
smh_activity_detail2 DNR  DNR 
smh_activity_detail2 DNS  DNS 
smh_activity_detail2 DNU  DNU 
smh_activity_detail2 DNX  DNX 
smh_activity_detail2 DPD  DPD 
smh_activity_detail2 NAP    
smh_activity_detail3 DBA  DBA 
smh_activity_detail3 DCB  DCB 
smh_activity_detail3 DCC  DCC 
smh_activity_detail3 DCQ  DCQ 
smh_activity_detail3 DEE  DEE 
smh_activity_detail3 DMX  DMX 
smh_activity_detail3 DNA  DNA 
smh_activity_detail3 DNC  DNC 
smh_activity_detail3 DNO  DNO 
smh_activity_detail3 DNP  DNP 
smh_activity_detail3 DNR  DNR 
smh_activity_detail3 DNS  DNS 
smh_activity_detail3 DNU  DNU 
smh_activity_detail3 DNX  DNX 
smh_activity_detail3 DPD  DPD 
smh_activity_detail3 NAP    
smh_activity_type AB  TAQ TAB 
smh_activity_type AE  TAQ TAE TPP 
smh_activity_type BF  TBT TPP 
smh_activity_type CA  TCA 
smh_activity_type CK  TCK TPP 
smh_activity_type CP  TCP 
smh_activity_type CW  TCW TPP 
smh_activity_type DP  TDP TPP 
smh_activity_type M2  TMI TMR TMC 
smh_activity_type M3  TMI TMC 
smh_activity_type MA  TMA 
smh_activity_type MB  TMB 
smh_activity_type MC  TMC 
smh_activity_type MD  TMD 
smh_activity_type ME  TME 
smh_activity_type MI  TMI 
smh_activity_type ML  TML 
smh_activity_type MM  TMM 
smh_activity_type MO  TMO 
smh_activity_type MP  TMP 
smh_activity_type MR  TMR 
smh_activity_type MS  TMS 
smh_activity_type MT  TMT 
smh_activity_type NM  TNG 
smh_activity_type SH  TSH TPP 
smh_activity_type ST  TST TSR 
smh_activity_type UK    
smh_authenticate_mtd BT  UBT 
smh_authenticate_mtd CD  UCM 
smh_authenticate_mtd CP  UCM UCC 
smh_authenticate_mtd NA    
smh_authenticate_mtd NC  UNM 
smh_authenticate_mtd UK    
smh_channel_type B  HQO HBP 
smh_channel_type C  HQO HCT 
smh_channel_type F  HFC 
smh_channel_type H  HQO HBB 
smh_channel_type M  HQO HCP 
smh_channel_type N    
smh_channel_type O  HQO HOB 
smh_channel_type P  HQO HPB 
smh_channel_type R  HQO HOT 
smh_channel_type U  HQO 
smh_channel_type W  HQO HOB HDF 
smh_cust_type B  XQO 
smh_cust_type I  XQO 
smh_tran_type CMD  SMH SCC 
smh_tran_type DMA  SMH SRP SDA 
smh_tran_type MON  SMH 
smh_tran_type TRX  SMH SRP SUS SMC RRR RQO RUA ROB RUR RRF CMX CQV ZMD 
                   Z00 Z01 Z02 Z03 Z04 Z05 Z06 Z07 L00 L01 L02 L03 L04 
                   L05 L06 L07 V00 V01 V02 V03 V04 V05 V06 V07 CQF RHX 
                   RUX 
;;;;
;;;;
run;


/*-------------------------------------------------------------------*/
/* Create entries that define field metadata                         */
/*                                                                   */
%RUL_Capture_Code(WORK.MSG_API_DICTIONARY.FIELDS.SOURCE,
                  mod=mod);
CARDS4;

.     aqb_529_acct_ind                 82   1$char1.    $char1.    character                       
.     aqb_beneficial_owner_acct        89   1$char1.    $char1.    character                       
.     aqb_brth_yrmth                   12   4YYMMN4.    YYMMN4.    date                            
.     aqb_client_age                   86   3$char3.    $char3.    character                       
.     aqb_cntry_resid                  26   3$char3.    $char3.    character                       
.     aqb_conf_acct_ind                81   1$char1.    $char1.    character                       
.     aqb_disc_acct_ind                74   1$char1.    $char1.    character                       
.     aqb_empl_stock_opt_ind           83   1$char1.    $char1.    character                       
.     aqb_frgn_addr_ind                75   1$char1.    $char1.    character                       
.     aqb_gen_restr_ind                78   1$char1.    $char1.    character                       
.     aqb_hypth_agr_ind                76   1$char1.    $char1.    character                       
.     aqb_inv_risk_code                25   1$char1.    $char1.    character                       
.     aqb_invst_obj_ind                24   1$char1.    $char1.    character                       
.     aqb_ivtmho_cd                    84   1$char1.    $char1.    character                       
.     aqb_lqdnd_tmho_cd                85   1$char1.    $char1.    character                       
.     aqb_mf_dvd_trt                   77   1$char1.    $char1.    character                       
.     aqb_missg_na_ind                 79   1$char1.    $char1.    character                       
.     aqb_missing_opt_doc_ind           8   1$char1.    $char1.    character                       
.     aqb_nra_ind                      73   1$char1.    $char1.    character                       
.     aqb_pac_open_dt                  16   8YYMMDDN8.  YYMMDD8.   date                            
.     aqb_poa_trt                      80   1$char1.    $char1.    character                       
.     aqb_prm_sv_ty_cd                  9   1$char1.    $char1.    character                       
.     aqb_seg_id_version                0   8$char8.    $char8.    character                       
.     aqb_sole_ownrsh_agrm_cde         10   2$char2.    $char2.    character                       
.     aqb_total_assets_amt             29  22e22.       e22.       numeric                         
.     aqb_total_liablties_amt          51  22e22.       e22.       numeric                         
.     aqc_bal                          52  22e22.       e22.       currency                        
.     aqc_cash_bal                     74  22e22.       e22.       currency                        
.     aqc_credit_limit                  8  22e22.       e22.       currency                        
.     aqc_delq_days                    96   3$char3.    $char3.    character                       
.     aqc_open_to_buy                  30  22e22.       e22.       currency                        
.     aqc_port_hier_1                  99   4$char4.    $char4.    character                       
.     aqc_port_hier_2                 103   4$char4.    $char4.    character                       
.     aqc_port_ind                    107   1$char1.    $char1.    character                       
.     aqc_seg_id_version                0   8$char8.    $char8.    character                       
.     aqd_acct_relationship           108   1$char1.    $char1.    character                       
.     aqd_avail_bal                     8  22e22.       e22.       currency                        
.     aqd_bal2_amt                     32  22e22.       e22.       currency                        
.     aqd_bal2_type                    30   2$char2.    $char2.    character                       
.     aqd_bal3_amt                     56  22e22.       e22.       currency                        
.     aqd_bal3_type                    54   2$char2.    $char2.    character                       
.     aqd_ovdf_limit                   78  22e22.       e22.       currency                        
.     aqd_port_hier_1                 100   4$char4.    $char4.    character                       
.     aqd_port_hier_2                 104   4$char4.    $char4.    character                       
.     aqd_seg_id_version                0   8$char8.    $char8.    character                       
.     aql_principal_bal                30  22e22.       e22.       currency                        
.     aql_remain_loc                    8  22e22.       e22.       currency                        
.     aql_seg_id_version                0   8$char8.    $char8.    character                       
.     aqo_acct_cntry_code             125   3$char3.    $char3.    character                       
.     aqo_acct_num                      9  34$char34.   $char34.   character                       
.     aqo_acct_post_code              116   9$char9.    $char9.    character                       
.     aqo_acct_rand_dig                43   3Z3.        3.         numeric                         
.     aqo_billing_curr_code            49   3$char3.    $char3.    character                       
.     aqo_branch_id                    74  10$char10.   $char10.   character                       
.     aqo_daily_limit_amt              91  22e22.       e22.       currency                        
.     aqo_daily_limit_cnt             113   3Z3.        3.         numeric                         
.     aqo_daily_limit_sub_type         87   4$char4.    $char4.    character                       
.     aqo_daily_limit_type             84   3$char3.    $char3.    character                       
.     aqo_mod_curr_conv_rate           52  22e22.       e22.       numeric                         
.     aqo_new_acct_flag                 8   1$char1.    $char1.    character                       
.     aqo_sas_acct_rand_dig            46   3Z3.        3.         numeric                         
.     aqo_seg_id_version                0   8$char8.    $char8.    character                       
.     aqr_acct_no_prefix               52   3$char3.    $char3.    character                       
.     aqr_cli_sfpf_cd                 103   1$char1.    $char1.    character                       
.     aqr_client_id                     8  20$char20.   $char20.   character                       
.     aqr_cmp_ac_emp_rel_cd           100   1$char1.    $char1.    character                       
.     aqr_consult_ind                  93   1$char1.    $char1.    character                       
.     aqr_emp_asso_ind                101   1$char1.    $char1.    character                       
.     aqr_emp_in_assoc_bkr_ind         99   1$char1.    $char1.    character                       
.     aqr_fa_related_ind              102   1$char1.    $char1.    character                       
.     aqr_intl_ham_ind                 94   1$char1.    $char1.    character                       
.     aqr_is_asset_power               98   1$char1.    $char1.    character                       
.     aqr_lgl_enty_cd                  28   4$char4.    $char4.    character                       
.     aqr_mail_service_ind             95   3$char3.    $char3.    character                       
.     aqr_mfa_trt                      91   1$char1.    $char1.    character                       
.     aqr_msp_trt                      92   1$char1.    $char1.    character                       
.     aqr_orig_cust_acct_no            55  34$char34.   $char34.   character                       
.     aqr_pia_ind                      90   1$char1.    $char1.    character                       
.     aqr_primry_acct_no               32  20$char20.   $char20.   character                       
.     aqr_rltd_pty_ind                104   1$char1.    $char1.    character                       
.     aqr_seg_id_version                0   8$char8.    $char8.    character                       
.     aqr_spa_ind                      89   1$char1.    $char1.    character                       
.     aqs_principal_bal                 8  22e22.       e22.       currency                        
.     aqs_seg_id_version                0   8$char8.    $char8.    character                       
.     cmx_cf_alert_a_id                58   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_b_id               283   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_c_id                83   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_d_id               308   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_h_id               158   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_m_id               233   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_o_id               108   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_p_id               133   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_r_id               258   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_t_id               208   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_a_nbr       66   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_b_nbr      291   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_c_nbr       91   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_d_nbr      316   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_h_nbr      166   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_m_nbr      241   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_o_nbr      116   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_p_nbr      141   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_r_nbr      266   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_t_nbr      216   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_w_nbr      191   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_version_x_nbr       41   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_w_id               183   8RB8.0      RB8.0      numeric                         
.     cmx_cf_alert_x_id                33   8RB8.0      RB8.0      numeric                         
.     cmx_client_amt                  460   8RB8.0      RB8.0      currency                        
.     cmx_create_timestamp            452   8RB8.0      RB8.0      datetime                        
.     cmx_create_user                 392  60$char60.   $char60.   character                       
.     cmx_lstupdt_timestamp           384   8RB8.0      RB8.0      datetime                        
.     cmx_lstupdt_user                324  60$char60.   $char60.   character                       
.     cmx_mod_amt                     468   8RB8.0      RB8.0      currency                        
.     cmx_seg_id_version                0   8$CHAR8.    $CHAR8.    character                       
.     cmx_timestamp_1                 476   8RB8.0      RB8.0      datetime                        
.     cmx_timestamp_2                 484   8RB8.0      RB8.0      datetime                        
.     cmx_timestamp_3                 492   8RB8.0      RB8.0      datetime                        
.     cmx_timestamp_4                 500   8RB8.0      RB8.0      datetime                        
.     cmx_tran_id                       8  16Z16.       16.        numeric                         
.     cmx_user_fraud_a_ind             49   1$char1.    $char1.    character                       
.     cmx_user_fraud_a_timestamp       50   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_b_ind            274   1$char1.    $char1.    character                       
.     cmx_user_fraud_b_timestamp      275   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_c_ind             74   1$char1.    $char1.    character                       
.     cmx_user_fraud_c_timestamp       75   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_d_ind            299   1$char1.    $char1.    character                       
.     cmx_user_fraud_d_timestamp      300   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_h_ind            149   1$char1.    $char1.    character                       
.     cmx_user_fraud_h_timestamp      150   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_m_ind            224   1$char1.    $char1.    character                       
.     cmx_user_fraud_m_timestamp      225   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_o_ind             99   1$char1.    $char1.    character                       
.     cmx_user_fraud_o_timestamp      100   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_p_ind            124   1$char1.    $char1.    character                       
.     cmx_user_fraud_p_timestamp      125   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_r_ind            249   1$char1.    $char1.    character                       
.     cmx_user_fraud_r_timestamp      250   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_t_ind            199   1$char1.    $char1.    character                       
.     cmx_user_fraud_t_timestamp      200   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_w_ind            174   1$char1.    $char1.    character                       
.     cmx_user_fraud_w_timestamp      175   8RB8.0      RB8.0      datetime                        
.     cmx_user_fraud_x_ind             24   1$char1.    $char1.    character                       
.     cmx_user_fraud_x_timestamp       25   8RB8.0      RB8.0      datetime                        
.     cqv_seg_id_version                0   8$char8.    $char8.    character                       
.     cqv_variable_data_length          8   8Z8.        8.         numeric                         
.     dba_approval_type_req           110   1$char1.    $char1.    character                       
.     dba_approved_by_userid1         111  32$char32.   $char32.   character                       
.     dba_approved_by_userid2         143  32$char32.   $char32.   character                       
.     dba_date_last_approval          175   8YYMMDDN8.  YYMMDD8.   date                            
.     dba_date_last_edit               94   8YYMMDDN8.  YYMMDD8.   date                            
.     dba_entry_method                  8   1$char1.    $char1.    character                       
.     dba_last_edit_by_userid          62  32$char32.   $char32.   character                       
.     dba_seg_id_version                0   8$char8.    $char8.    character                       
.     dba_template_create_date         54   8YYMMDDN8.  YYMMDD8.   date                            
.     dba_template_id                   9  15$char15.   $char15.   character                       
.     dba_template_name                24  30$char30.   $char30.   character                       
.     dba_time_last_approval          183   8time8.     time8.     time                            
.     dba_time_last_edit              102   8time8.     time8.     time                            
.     dcb_age_newest                   73   3Z3.        3.         numeric                         
.     dcb_age_oldest                   70   3Z3.        3.         numeric                         
.     dcb_bal_instl_trd                28   8Z8.        8.         numeric                         
.     dcb_bal_mort                     38   8Z8.        8.         numeric                         
.     dcb_bal_opn_rev_trd              50   8Z8.        8.         numeric                         
.     dcb_bal_opn_trd                  18   8Z8.        8.         numeric                         
.     dcb_cb_score                      8   4Z4.        4.         numeric                         
.     dcb_cl_opn_rev_trd               58   8Z8.        8.         numeric                         
.     dcb_dispute_ind                 102   1$char1.    $char1.    character                       
.     dcb_fraud_flag                  103   1$char1.    $char1.    character                       
.     dcb_inq_12m                      68   2Z2.        2.         numeric                         
.     dcb_inq_6m                       66   2Z2.        2.         numeric                         
.     dcb_joint_held_num               46   2Z2.        2.         numeric                         
.     dcb_lst_updt_dt                  94   8YYMMDDN8.  YYMMDD8.   date                            
.     dcb_new_trds_12_m                78   2Z2.        2.         numeric                         
.     dcb_new_trds_6_m                 76   2Z2.        2.         numeric                         
.     dcb_num_60pd                     80   2Z2.        2.         numeric                         
.     dcb_num_60pd_12m                 84   2Z2.        2.         numeric                         
.     dcb_num_90pd                     82   2Z2.        2.         numeric                         
.     dcb_num_chg_off                  88   2Z2.        2.         numeric                         
.     dcb_num_fcl                      90   2Z2.        2.         numeric                         
.     dcb_num_mort                     36   2Z2.        2.         numeric                         
.     dcb_num_opn_instl_trd            26   2Z2.        2.         numeric                         
.     dcb_num_opn_rev_trd              15   3Z3.        3.         numeric                         
.     dcb_num_opn_trd                  12   3Z3.        3.         numeric                         
.     dcb_num_public_records           86   2Z2.        2.         numeric                         
.     dcb_num_repo                     92   2Z2.        2.         numeric                         
.     dcb_resid_len                    48   2Z2.        2.         numeric                         
.     dcb_seg_id_version                0   8$char8.    $char8.    character                       
.     dcb_user_def_c1_1               130   1$char1.    $char1.    character                       
.     dcb_user_def_c1_2               131   1$char1.    $char1.    character                       
.     dcb_user_def_c3_1               132   3$char3.    $char3.    character                       
.     dcb_user_def_c3_2               135   3$char3.    $char3.    character                       
.     dcb_user_def_n2_1               104   2Z2.        2.         numeric                         
.     dcb_user_def_n2_2               106   2Z2.        2.         numeric                         
.     dcb_user_def_n3_1               108   3Z3.        3.         numeric                         
.     dcb_user_def_n3_2               111   3Z3.        3.         numeric                         
.     dcb_user_def_n8_1               114   8Z8.        8.         numeric                         
.     dcb_user_def_n8_2               122   8Z8.        8.         numeric                         
.     dcc_1cyc_delq_amt               345  22e22.       e22.       currency                        
.     dcc_2cyc_delq_amt               367  22e22.       e22.       currency                        
.     dcc_3cyc_delq_amt               389  22e22.       e22.       currency                        
.     dcc_4p_cyc_delq_amt             411  22e22.       e22.       currency                        
.     dcc_activity_hist               321  12$char12.   $char12.   character                       
.     dcc_bal_tfr_amt                 193  22e22.       e22.       currency                        
.     dcc_bal_tfr_num                 215   2Z2.        2.         numeric                         
.     dcc_bk_amt                      463  22e22.       e22.       currency                        
.     dcc_bk_date                     485   8YYMMDDN8.  YYMMDD8.   date                            
.     dcc_cash_amount                  55  22e22.       e22.       currency                        
.     dcc_cash_fee                    146  22e22.       e22.       currency                        
.     dcc_chg_off_amt                 433  22e22.       e22.       currency                        
.     dcc_chg_off_date                455   8YYMMDDN8.  YYMMDD8.   date                            
.     dcc_conv_check_amt              217  22e22.       e22.       currency                        
.     dcc_conv_check_num              239   2Z2.        2.         numeric                         
.     dcc_cyc_cash_num                 77   3Z3.        3.         numeric                         
.     dcc_cyc_int_amt                  80  22e22.       e22.       currency                        
.     dcc_cyc_late_fee                124  22e22.       e22.       currency                        
.     dcc_cyc_merch_num                52   3Z3.        3.         numeric                         
.     dcc_cyc_overlimit_fee           102  22e22.       e22.       currency                        
.     dcc_delq_hist                   333  12$char12.   $char12.   character                       
.     dcc_filler                      493  29$char29.   $char29.   character                       
.     dcc_merch_amount                 30  22e22.       e22.       currency                        
.     dcc_min_due                     266  22e22.       e22.       currency                        
.     dcc_nsf_num                     190   3Z3.        3.         numeric                         
.     dcc_other_fee                   168  22e22.       e22.       currency                        
.     dcc_prin_bal                      8  22e22.       e22.       currency                        
.     dcc_pymt_amt                    296  22e22.       e22.       currency                        
.     dcc_pymt_due_date               288   8YYMMDDN8.  YYMMDD8.   date                            
.     dcc_pymt_num                    318   3Z3.        3.         numeric                         
.     dcc_return_amt                  241  22e22.       e22.       currency                        
.     dcc_return_num                  263   3Z3.        3.         numeric                         
.     dcc_seg_id_version                0   8$char8.    $char8.    character                       
.     dcq_chk_num                       8   6$char6.    $char6.    character                       
.     dcq_clearance_days              121   3Z3.        3.         numeric                         
.     dcq_deposit_batch_id             66  10$char10.   $char10.   character                       
.     dcq_micr_line                    14  50$char50.   $char50.   character                       
.     dcq_onus_flag                    64   1$char1.    $char1.    character                       
.     dcq_present_bank_num             96  15$char15.   $char15.   character                       
.     dcq_present_channel              65   1$char1.    $char1.    character                       
.     dcq_present_cntry_code           93   3$char3.    $char3.    character                       
.     dcq_present_date                 76   8YYMMDDN8.  YYMMDD8.   date                            
.     dcq_present_post_code            84   9$char9.    $char9.    character                       
.     dcq_present_staff_id            111  10$char10.   $char10.   character                       
.     dcq_seg_id_version                0   8$char8.    $char8.    character                       
.     dcq_special_ind                 124   1$char1.    $char1.    character                       
.     dcq_special_reason1             125   2$char2.    $char2.    character                       
.     dcq_special_reason2             127   2$char2.    $char2.    character                       
.     dcq_special_reason3             129   2$char2.    $char2.    character                       
.     dee_entity_1_rand_dig            38   3Z3.        3.         numeric                         
.     dee_entity_2_rand_dig            94   3Z3.        3.         numeric                         
.     dee_entity_3_rand_dig           150   3Z3.        3.         numeric                         
.     dee_entity_4_rand_dig           226   3Z3.        3.         numeric                         
.     dee_entity_5_rand_dig           302   3Z3.        3.         numeric                         
.     dee_entity_6_rand_dig           398   3Z3.        3.         numeric                         
.     dee_entity_id_1                   8  20$char20.   $char20.   character                       
.     dee_entity_id_1_tag              28  10$char10.   $char10.   character                       
.     dee_entity_id_2                  44  40$char40.   $char40.   character                       
.     dee_entity_id_2_tag              84  10$char10.   $char10.   character                       
.     dee_entity_id_3                 100  40$char40.   $char40.   character                       
.     dee_entity_id_3_tag             140  10$char10.   $char10.   character                       
.     dee_entity_id_4                 156  60$char60.   $char60.   character                       
.     dee_entity_id_4_tag             216  10$char10.   $char10.   character                       
.     dee_entity_id_5                 232  60$char60.   $char60.   character                       
.     dee_entity_id_5_tag             292  10$char10.   $char10.   character                       
.     dee_entity_id_6                 308  80$char80.   $char80.   character                       
.     dee_entity_id_6_tag             388  10$char10.   $char10.   character                       
.     dee_sas_entity_1_rand_dig        41   3Z3.        3.         numeric                         
.     dee_sas_entity_2_rand_dig        97   3Z3.        3.         numeric                         
.     dee_sas_entity_3_rand_dig       153   3Z3.        3.         numeric                         
.     dee_sas_entity_4_rand_dig       229   3Z3.        3.         numeric                         
.     dee_sas_entity_5_rand_dig       305   3Z3.        3.         numeric                         
.     dee_sas_entity_6_rand_dig       401   3Z3.        3.         numeric                         
.     dee_seg_id_version                0   8$char8.    $char8.    character                       
.     dmx_10byte_string_01            246  10$char10.   $char10.   character                       
.     dmx_10byte_string_01_tag        244   2$char2.    $char2.    character                       
.     dmx_10byte_string_02            258  10$char10.   $char10.   character                       
.     dmx_10byte_string_02_tag        256   2$char2.    $char2.    character                       
.     dmx_2byte_string_01             205   2$char2.    $char2.    character                       
.     dmx_2byte_string_01_tag         203   2$char2.    $char2.    character                       
.     dmx_2byte_string_02             209   2$char2.    $char2.    character                       
.     dmx_2byte_string_02_tag         207   2$char2.    $char2.    character                       
.     dmx_2byte_string_03             213   2$char2.    $char2.    character                       
.     dmx_2byte_string_03_tag         211   2$char2.    $char2.    character                       
.     dmx_3byte_string_01             217   3$char3.    $char3.    character                       
.     dmx_3byte_string_01_tag         215   2$char2.    $char2.    character                       
.     dmx_3byte_string_02             222   3$char3.    $char3.    character                       
.     dmx_3byte_string_02_tag         220   2$char2.    $char2.    character                       
.     dmx_3byte_string_03             227   3$char3.    $char3.    character                       
.     dmx_3byte_string_03_tag         225   2$char2.    $char2.    character                       
.     dmx_5byte_string_01             232   5$char5.    $char5.    character                       
.     dmx_5byte_string_01_tag         230   2$char2.    $char2.    character                       
.     dmx_5byte_string_02             239   5$char5.    $char5.    character                       
.     dmx_5byte_string_02_tag         237   2$char2.    $char2.    character                       
.     dmx_date_01                     127   8YYMMDDN8.  YYMMDD8.   date                            
.     dmx_date_02                     148   8YYMMDDN8.  YYMMDD8.   date                            
.     dmx_date_03                     169   8YYMMDDN8.  YYMMDD8.   date                            
.     dmx_datetime_01_tag             125   2$char2.    $char2.    character                       
.     dmx_datetime_02_tag             146   2$char2.    $char2.    character                       
.     dmx_datetime_03_tag             167   2$char2.    $char2.    character                       
.     dmx_ind_01                      190   1$char1.    $char1.    character                       
.     dmx_ind_01_tag                  188   2$char2.    $char2.    character                       
.     dmx_ind_02                      193   1$char1.    $char1.    character                       
.     dmx_ind_02_tag                  191   2$char2.    $char2.    character                       
.     dmx_ind_03                      196   1$char1.    $char1.    character                       
.     dmx_ind_03_tag                  194   2$char2.    $char2.    character                       
.     dmx_ind_04                      199   1$char1.    $char1.    character                       
.     dmx_ind_04_tag                  197   2$char2.    $char2.    character                       
.     dmx_ind_05                      202   1$char1.    $char1.    character                       
.     dmx_ind_05_tag                  200   2$char2.    $char2.    character                       
.     dmx_n22_01                       55  22e22.       e22.       numeric                         
.     dmx_n22_01_tag                   53   2$char2.    $char2.    character                       
.     dmx_n22_02                       79  22e22.       e22.       numeric                         
.     dmx_n22_02_tag                   77   2$char2.    $char2.    character                       
.     dmx_n22_03                      103  22e22.       e22.       numeric                         
.     dmx_n22_03_tag                  101   2$char2.    $char2.    character                       
.     dmx_n3_01                        10   3Z3.        3.         numeric                         
.     dmx_n3_01_tag                     8   2$char2.    $char2.    character                       
.     dmx_n3_02                        15   3Z3.        3.         numeric                         
.     dmx_n3_02_tag                    13   2$char2.    $char2.    character                       
.     dmx_n3_03                        20   3Z3.        3.         numeric                         
.     dmx_n3_03_tag                    18   2$char2.    $char2.    character                       
.     dmx_n8_01                        25   8Z8.        8.         numeric                         
.     dmx_n8_01_tag                    23   2$char2.    $char2.    character                       
.     dmx_n8_02                        35   8Z8.        8.         numeric                         
.     dmx_n8_02_tag                    33   2$char2.    $char2.    character                       
.     dmx_n8_03                        45   8Z8.        8.         numeric                         
.     dmx_n8_03_tag                    43   2$char2.    $char2.    character                       
.     dmx_seg_id_version                0   8$char8.    $char8.    character                       
.     dmx_time_01                     135  11time11.2   time11.2   time                            
.     dmx_time_02                     156  11time11.2   time11.2   time                            
.     dmx_time_03                     177  11time11.2   time11.2   time                            
.     dna_new_city                      8  20$char20.   $char20.   character                       
.     dna_new_cntry                    54   3$char3.    $char3.    character                       
.     dna_new_post_code                60   9$char9.    $char9.    character                       
.     dna_new_state                    48   3$char3.    $char3.    character                       
.     dna_old_city                     28  20$char20.   $char20.   character                       
.     dna_old_cntry                    57   3$char3.    $char3.    character                       
.     dna_old_post_code                69   9$char9.    $char9.    character                       
.     dna_old_state                    51   3$char3.    $char3.    character                       
.     dna_prev_change_src              78   1$char1.    $char1.    character                       
.     dna_seg_id_version                0   8$char8.    $char8.    character                       
.     dnc_new_limit                     8  22e22.       e22.       currency                        
.     dnc_old_limit                    30  22e22.       e22.       currency                        
.     dnc_seg_id_version                0   8$char8.    $char8.    character                       
.     dnc_tmp_chg_exp_dt               53   8YYMMDDN8.  YYMMDD8.   date                            
.     dnc_tmp_chg_ind                  52   1$char1.    $char1.    character                       
.     dno_last_active_date              8   8$char8.    $char8.    character                       
.     dno_new_act_flag                 16   1$char1.    $char1.    character                       
.     dno_old_act_flag                 17   1$char1.    $char1.    character                       
.     dno_seg_id_version                0   8$char8.    $char8.    character                       
.     dnp_new_cntry_code                8   3$char3.    $char3.    character                       
.     dnp_new_ps                       11  13$char13.   $char13.   character                       
.     dnp_old_cntry_code               24   3$char3.    $char3.    character                       
.     dnp_old_ps                       27  13$char13.   $char13.   character                       
.     dnp_seg_id_version                0   8$char8.    $char8.    character                       
.     dnr_card_type                     8   3$char3.    $char3.    character                       
.     dnr_reissue_type                 11   2$char2.    $char2.    character                       
.     dnr_seg_id_version                0   8$char8.    $char8.    character                       
.     dns_seg_id_version                0   8$char8.    $char8.    character                       
.     dns_u_ind1                        8   1$char1.    $char1.    character                       
.     dns_u_ind2                        9   1$char1.    $char1.    character                       
.     dns_u_string1_new                50  40$char40.   $char40.   character                       
.     dns_u_string1_old                10  40$char40.   $char40.   character                       
.     dns_u_string2_new               130  40$char40.   $char40.   character                       
.     dns_u_string2_old                90  40$char40.   $char40.   character                       
.     dnu_seg_id_version                0   8$char8.    $char8.    character                       
.     dnu_u_amt1                      172  22e22.       e22.       currency                        
.     dnu_u_amt2                      194  22e22.       e22.       currency                        
.     dnu_u_amt3                      216  22e22.       e22.       currency                        
.     dnu_u_amt4                      238  22e22.       e22.       currency                        
.     dnu_u_ind1                        8   1$char1.    $char1.    character                       
.     dnu_u_ind2                        9   1$char1.    $char1.    character                       
.     dnu_u_ind3                       10   1$char1.    $char1.    character                       
.     dnu_u_ind4                       11   1$char1.    $char1.    character                       
.     dnu_u_string1                    12  40$char40.   $char40.   character                       
.     dnu_u_string2                    52  40$char40.   $char40.   character                       
.     dnu_u_string3                    92  40$char40.   $char40.   character                       
.     dnu_u_string4                   132  40$char40.   $char40.   character                       
.     dnx_action                        8   1$char1.    $char1.    character                       
.     dnx_entity_id                    10   2$char2.    $char2.    character                       
.     dnx_entity_type                   9   1$char1.    $char1.    character                       
.     dnx_seg_id_version                0   8$char8.    $char8.    character                       
.     dnx_trf_from_entity_key          12 100$char100.  $char100.  character                       
.     dnx_trf_to_entity_key           112 100$char100.  $char100.  character                       
.     dnx_xfer_reason                 212   2$char2.    $char2.    character                       
.     dpd_10byte_string_01            237  10$char10.   $char10.   character                       
.     dpd_10byte_string_01_tag        235   2$char2.    $char2.    character                       
.     dpd_10byte_string_02            249  10$char10.   $char10.   character                       
.     dpd_10byte_string_02_tag        247   2$char2.    $char2.    character                       
.     dpd_3byte_string_01             208   3$char3.    $char3.    character                       
.     dpd_3byte_string_01_tag         206   2$char2.    $char2.    character                       
.     dpd_3byte_string_02             213   3$char3.    $char3.    character                       
.     dpd_3byte_string_02_tag         211   2$char2.    $char2.    character                       
.     dpd_3byte_string_03             218   3$char3.    $char3.    character                       
.     dpd_3byte_string_03_tag         216   2$char2.    $char2.    character                       
.     dpd_5byte_string_01             223   5$char5.    $char5.    character                       
.     dpd_5byte_string_01_tag         221   2$char2.    $char2.    character                       
.     dpd_5byte_string_02             230   5$char5.    $char5.    character                       
.     dpd_5byte_string_02_tag         228   2$char2.    $char2.    character                       
.     dpd_date_01                     145   8YYMMDDN8.  YYMMDD8.   date                            
.     dpd_date_02                     166   8YYMMDDN8.  YYMMDD8.   date                            
.     dpd_date_03                     187   8YYMMDDN8.  YYMMDD8.   date                            
.     dpd_datetime_01_tag             143   2$char2.    $char2.    character                       
.     dpd_datetime_02_tag             164   2$char2.    $char2.    character                       
.     dpd_datetime_03_tag             185   2$char2.    $char2.    character                       
.     dpd_n22_01                       25  22e22.       e22.       numeric                         
.     dpd_n22_01_tag                   23   2$char2.    $char2.    character                       
.     dpd_n22_02                       49  22e22.       e22.       numeric                         
.     dpd_n22_02_tag                   47   2$char2.    $char2.    character                       
.     dpd_n22_03                       73  22e22.       e22.       numeric                         
.     dpd_n22_03_tag                   71   2$char2.    $char2.    character                       
.     dpd_n22_04                       97  22e22.       e22.       numeric                         
.     dpd_n22_04_tag                   95   2$char2.    $char2.    character                       
.     dpd_n22_05                      121  22e22.       e22.       numeric                         
.     dpd_n22_05_tag                  119   2$char2.    $char2.    character                       
.     dpd_n3_01                        10   3Z3.        3.         numeric                         
.     dpd_n3_01_tag                     8   2$char2.    $char2.    character                       
.     dpd_n3_02                        15   3Z3.        3.         numeric                         
.     dpd_n3_02_tag                    13   2$char2.    $char2.    character                       
.     dpd_n3_03                        20   3Z3.        3.         numeric                         
.     dpd_n3_03_tag                    18   2$char2.    $char2.    character                       
.     dpd_seg_id_version                0   8$char8.    $char8.    character                       
.     dpd_time_01                     153  11time11.2   time11.2   time                            
.     dpd_time_02                     174  11time11.2   time11.2   time                            
.     dpd_time_03                     195  11time11.2   time11.2   time                            
.     hbb_branch_cntry_code            48   3$char3.    $char3.    character                       
.     hbb_branch_id                     8   8$char8.    $char8.    character                       
.     hbb_branch_name                  16  20$char20.   $char20.   character                       
.     hbb_branch_post_code             39   9$char9.    $char9.    character                       
.     hbb_branch_state                 36   3$char3.    $char3.    character                       
.     hbb_seg_id_version                0   8$char8.    $char8.    character                       
.     hbb_staff_id                     51  10$char10.   $char10.   character                       
.     hbb_work_station_id              61  10$char10.   $char10.   character                       
.     hbp_application                   9   1$char1.    $char1.    character                       
.     hbp_date                         10   8YYMMDDN8.  YYMMDD8.   date                            
.     hbp_seg_id_version                0   8$char8.    $char8.    character                       
.     hbp_staff_id                     18  10$char10.   $char10.   character                       
.     hbp_type                          8   1$char1.    $char1.    character                       
.     hbp_work_station_id              28  10$char10.   $char10.   character                       
.     hcp_date                          9   8YYMMDDN8.  YYMMDD8.   date                            
.     hcp_seg_id_version                0   8$char8.    $char8.    character                       
.     hcp_type                          8   1$char1.    $char1.    character                       
.     hct_acq_cntry_code              249   3$char3.    $char3.    character                       
.     hct_acq_id                      252  11$char11.   $char11.   character                       
.     hct_asso_dec_code                28   6$char6.    $char6.    character                       
.     hct_card_purpose                 11   1$char1.    $char1.    character                       
.     hct_ch_cntry_code                21   3$char3.    $char3.    character                       
.     hct_ch_post_code                 12   9$char9.    $char9.    character                       
.     hct_client_term_cat              75   4$char4.    $char4.    character                       
.     hct_media                        24   1$char1.    $char1.    character                       
.     hct_mer_mcc                      63   4$char4.    $char4.    character                       
.     hct_onus_flag                    27   1$char1.    $char1.    character                       
.     hct_seg_id_version                0   8$char8.    $char8.    character                       
.     hct_seq_num                       8   3$char3.    $char3.    character                       
.     hct_term_city                   119  15$char15.   $char15.   character                       
.     hct_term_cntry_code             146   3$char3.    $char3.    character                       
.     hct_term_id                      67   8$char8.    $char8.    character                       
.     hct_term_owner_id                48  15$char15.   $char15.   character                       
.     hct_term_owner_name              79  40$char40.   $char40.   character                       
.     hct_term_owner_name_lcl         149 100$utf8X100. $utf8X100. character                       
.     hct_term_post_code              137   9$char9.    $char9.    character                       
.     hct_term_state                  134   3$char3.    $char3.    character                       
.     hct_which_card                   25   2$char2.    $char2.    character                       
.     hct_xmit_datetime                34  14$char14.   $char14.   character                       
.     hdf_bwsr_cookie_enabled         595   1$char1.    $char1.    character                       
.     hdf_bwsr_os                     129   8$char8.    $char8.    character                       
.     hdf_bwsr_type                   137   8$char8.    $char8.    character                       
.     hdf_dev_country_cd               89   3$char3.    $char3.    character                       
.     hdf_dev_cpu                     113   5$char5.    $char5.    character                       
.     hdf_dev_date                     92   8YYMMDDN8.  YYMMDD8.   date                            
.     hdf_dev_dst_act                 112   1$char1.    $char1.    character                       
.     hdf_dev_dst_ind                 111   1$char1.    $char1.    character                       
.     hdf_dev_fp_type                   9   2$char2.    $char2.    character                       
.     hdf_dev_fp_val                   11  50$char50.   $char50.   character                       
.     hdf_dev_ip_address               61  23$char23.   $char23.   character                       
.     hdf_dev_lang_cd                  84   5$char5.    $char5.    character                       
.     hdf_dev_screen_color            126   3Z3.        3.         numeric                         
.     hdf_dev_screen_height           122   4Z4.        4.         numeric                         
.     hdf_dev_screen_width            118   4Z4.        4.         numeric                         
.     hdf_dev_time                    100   8time8.     time8.     time                            
.     hdf_dev_time_offset             108   3Z3.        3.         numeric                         
.     hdf_http_acc                    145 150$char150.  $char150.  character                       
.     hdf_http_acc_encod              295  20$char20.   $char20.   character                       
.     hdf_http_acc_lang               345  30$char30.   $char30.   character                       
.     hdf_http_accept_charset         315  30$char30.   $char30.   character                       
.     hdf_http_referer                575  20$char20.   $char20.   character                       
.     hdf_http_user_agent             375 200$char200.  $char200.  character                       
.     hdf_javascript_enable             8   1$char1.    $char1.    character                       
.     hdf_seg_id_version                0   8$char8.    $char8.    character                       
.     hdf_server_date                 596   8YYMMDDN8.  YYMMDD8.   date                            
.     hdf_server_time                 604   8time8.     time8.     time                            
.     hfc_cntry_cd                     43   3$char3.    $char3.    character                       
.     hfc_fc_psn_no                    17  10$char10.   $char10.   character                       
.     hfc_fc_st_rgr_ind                36   1$char1.    $char1.    character                       
.     hfc_from_date                    46   8YYMMDDN8.  YYMMDD8.   date                            
.     hfc_iso_cntry_cd                 62   3$char3.    $char3.    character                       
.     hfc_mgt_prnt_cd                  37   6$char6.    $char6.    character                       
.     hfc_na_fc_no                     12   5$char5.    $char5.    character                       
.     hfc_na_office_no                  8   4$char4.    $char4.    character                       
.     hfc_orig_fc_no                   69   5$char5.    $char5.    character                       
.     hfc_orig_main_ofc_no             65   4$char4.    $char4.    character                       
.     hfc_rgn_no                       30   6$char6.    $char6.    character                       
.     hfc_seg_id_version                0   8$char8.    $char8.    character                       
.     hfc_to_date                      54   8YYMMDDN8.  YYMMDD8.   date                            
.     hfc_wc_cd                        27   3$char3.    $char3.    character                       
.     hob_device                      137   1$char1.    $char1.    character                       
.     hob_ip_address                    8  23$char23.   $char23.   character                       
.     hob_ip_city                      34  15$char15.   $char15.   character                       
.     hob_ip_cntry_code                31   3$char3.    $char3.    character                       
.     hob_ip_isp                       58  40$char40.   $char40.   character                       
.     hob_ip_post_code                 49   9$char9.    $char9.    character                       
.     hob_logon_date                  118   8YYMMDDN8.  YYMMDD8.   date                            
.     hob_logon_time                  126  11time11.2   time11.2   time                            
.     hob_match_ind                   138   1$char1.    $char1.    character                       
.     hob_seg_id_version                0   8$char8.    $char8.    character                       
.     hob_session_id                   98  20$char20.   $char20.   character                       
.     hob_webpage_code                177   8$char8.    $char8.    character                       
.     hob_website_name                139  38$char38.   $char38.   character                       
.     hot_channel_name                  8  15$char15.   $char15.   character                       
.     hot_description                  23  30$char30.   $char30.   character                       
.     hot_seg_id_version                0   8$char8.    $char8.    character                       
.     hpb_ani_cntry_code               25   3$char3.    $char3.    character                       
.     hpb_ani_hit_ind                  60   1$char1.    $char1.    character                       
.     hpb_ani_num                      28  32$char32.   $char32.   character                       
.     hpb_appl_type                    21   1$char1.    $char1.    character                       
.     hpb_call_dnis                    62  10$char10.   $char10.   character                       
.     hpb_id                            9  12$char12.   $char12.   character                       
.     hpb_language                     22   3$char3.    $char3.    character                       
.     hpb_match_ind                    61   1$char1.    $char1.    character                       
.     hpb_seg_id_version                0   8$char8.    $char8.    character                       
.     hpb_staff_id                     72  10$char10.   $char10.   character                       
.     hpb_type                          8   1$char1.    $char1.    character                       
.     hqo_card_num                      8  20$char20.   $char20.   character                       
.     hqo_card_rand_dig                30   3Z3.        3.         numeric                         
.     hqo_daily_limit_amt             120  22e22.       e22.       currency                        
.     hqo_daily_limit_cnt             142   3Z3.        3.         numeric                         
.     hqo_daily_limit_sub_type        116   4$char4.    $char4.    character                       
.     hqo_daily_limit_type            113   3$char3.    $char3.    character                       
.     hqo_entity_use_card              28   1$char1.    $char1.    character                       
.     hqo_entity_use_ob_userid         68   1$char1.    $char1.    character                       
.     hqo_entity_use_pb_userid        108   1$char1.    $char1.    character                       
.     hqo_new_card_flag                29   1$char1.    $char1.    character                       
.     hqo_new_ob_userid_flag           69   1$char1.    $char1.    character                       
.     hqo_new_pb_userid_flag          109   1$char1.    $char1.    character                       
.     hqo_ob_userid                    36  32$char32.   $char32.   character                       
.     hqo_ob_userid_rand_dig           70   3Z3.        3.         numeric                         
.     hqo_pb_userid                    76  32$char32.   $char32.   character                       
.     hqo_sas_card_rand_dig            33   3Z3.        3.         numeric                         
.     hqo_sas_ob_userid_rand_dig       73   3Z3.        3.         numeric                         
.     hqo_sas_pb_userid_rand_dig      110   3Z3.        3.         numeric                         
.     hqo_seg_id_version                0   8$char8.    $char8.    character                       
.     l00_content_id_version          116  12$char12.   $char12.   character                       
.     l00_lookup_key                    8 100$char100.  $char100.  character                       
.     l00_seg_id_version                0   8$char8.    $char8.    character                       
.     l00_variable_data_length        108   8Z8.        8.         numeric                         
.     l01_content_id_version          116  12$char12.   $char12.   character                       
.     l01_lookup_key                    8 100$char100.  $char100.  character                       
.     l01_seg_id_version                0   8$char8.    $char8.    character                       
.     l01_variable_data_length        108   8Z8.        8.         numeric                         
.     l02_content_id_version          116  12$char12.   $char12.   character                       
.     l02_lookup_key                    8 100$char100.  $char100.  character                       
.     l02_seg_id_version                0   8$char8.    $char8.    character                       
.     l02_variable_data_length        108   8Z8.        8.         numeric                         
.     l03_content_id_version          116  12$char12.   $char12.   character                       
.     l03_lookup_key                    8 100$char100.  $char100.  character                       
.     l03_seg_id_version                0   8$char8.    $char8.    character                       
.     l03_variable_data_length        108   8Z8.        8.         numeric                         
.     l04_content_id_version          116  12$char12.   $char12.   character                       
.     l04_lookup_key                    8 100$char100.  $char100.  character                       
.     l04_seg_id_version                0   8$char8.    $char8.    character                       
.     l04_variable_data_length        108   8Z8.        8.         numeric                         
.     l05_content_id_version          116  12$char12.   $char12.   character                       
.     l05_lookup_key                    8 100$char100.  $char100.  character                       
.     l05_seg_id_version                0   8$char8.    $char8.    character                       
.     l05_variable_data_length        108   8Z8.        8.         numeric                         
.     l06_content_id_version          116  12$char12.   $char12.   character                       
.     l06_lookup_key                    8 100$char100.  $char100.  character                       
.     l06_seg_id_version                0   8$char8.    $char8.    character                       
.     l06_variable_data_length        108   8Z8.        8.         numeric                         
.     l07_content_id_version          116  12$char12.   $char12.   character                       
.     l07_lookup_key                    8 100$char100.  $char100.  character                       
.     l07_seg_id_version                0   8$char8.    $char8.    character                       
.     l07_variable_data_length        108   8Z8.        8.         numeric                         
.     rob_action_code                  93   1$char1.    $char1.    character                       
.     rob_action_info                  53   4$char4.    $char4.    character                       
.     rob_action_until_date            73   8YYMMDDN8.  YYMMDD8.   date                            
.     rob_action_until_time            81   8time8.     time8.     time                            
.     rob_count                        89   4$char4.    $char4.    character                       
.     rob_cust_ind                     94   1$char1.    $char1.    character                       
.     rob_date                         44   8YYMMDDN8.  YYMMDD8.   date                            
.     rob_dec_code                     32   1$char1.    $char1.    character                       
.     rob_dnd_date                     57   8YYMMDDN8.  YYMMDD8.   date                            
.     rob_dnd_time                     65   8time8.     time8.     time                            
.     rob_prelim_dec_code              52   1$char1.    $char1.    character                       
.     rob_prelim_dec_info             111   4$char4.    $char4.    character                       
.     rob_prelim_dec_until_date        95   8YYMMDDN8.  YYMMDD8.   date                            
.     rob_prelim_dec_until_time       103   8time8.     time8.     time                            
.     rob_score_1                       8   3Z3.        3.         numeric                         
.     rob_score_2                      14   3Z3.        3.         numeric                         
.     rob_score_3                      20   3Z3.        3.         numeric                         
.     rob_score_4                      26   3Z3.        3.         numeric                         
.     rob_seg_id_version                0   8$char8.    $char8.    character                       
.     rob_sup_score_1                  11   3Z3.        3.         numeric                         
.     rob_sup_score_2                  17   3Z3.        3.         numeric                         
.     rob_sup_score_3                  23   3Z3.        3.         numeric                         
.     rob_sup_score_4                  29   3Z3.        3.         numeric                         
.     rob_time                         33  11TIME11.2   TIME11.2   time                            
.     rqo_proc_utc_datetime            28  13Z13.2      13.2       datetime                        
.     rqo_seg_id_version                0   8$char8.    $char8.    character                       
.     rqo_tran_date                     8   8YYMMDDN8.  YYMMDD8.   date                            
.     rqo_tran_date_alt                41   8YYMMDDN8.  YYMMDD8.   date                            
.     rqo_tran_time                    16  11time11.2   time11.2   time                            
.     rqo_tran_time_alt                49  11time11.2   time11.2   time                            
.     rqo_tran_utc_flag                27   1$char1.    $char1.    character                       
.     rrf_build_num                  1508   8Z8.        8.         numeric                         
.     rrf_close_alert_a_ind          1536   1$char1.    $char1.    character                       
.     rrf_close_alert_b_ind          1537   1$char1.    $char1.    character                       
.     rrf_close_alert_c_ind          1538   1$char1.    $char1.    character                       
.     rrf_close_alert_d_ind          1539   1$char1.    $char1.    character                       
.     rrf_close_alert_h_ind          1540   1$char1.    $char1.    character                       
.     rrf_close_alert_m_ind          1541   1$char1.    $char1.    character                       
.     rrf_close_alert_o_ind          1542   1$char1.    $char1.    character                       
.     rrf_close_alert_p_ind          1543   1$char1.    $char1.    character                       
.     rrf_close_alert_r_ind          1544   1$char1.    $char1.    character                       
.     rrf_close_alert_t_ind          1545   1$char1.    $char1.    character                       
.     rrf_close_alert_w_ind          1547   1$char1.    $char1.    character                       
.     rrf_close_alert_x_ind          1546   1$char1.    $char1.    character                       
.     rrf_exit_queue_rules_slot_id   1532   4Z4.        4.         numeric                         
.     rrf_exit_rules_slot_id         1527   4Z4.        4.         numeric                         
.     rrf_ignore_recommendation      1531   1$char1.    $char1.    character                       
.     rrf_rule_data                     81500$char1500. $char1500. character                       
.     rrf_rule_id                    1516   7Z7.        7.         numeric                         
.     rrf_rule_version               1523   4Z4.        4.         numeric                         
.     rrf_seg_id_version                0   8$char8.    $char8.    character                       
.     rrr_action_code                 211   1$char1.    $char1.    character                       
.     rrr_action_info                 173   4$char4.    $char4.    character                       
.     rrr_action_until_date           193   8YYMMDDN8.  YYMMDD8.   date                            
.     rrr_action_until_time           201   8time8.     time8.     time                            
.     rrr_count                       209   2$char2.    $char2.    character                       
.     rrr_create_alert_ind            228   1$char1.    $char1.    character                       
.     rrr_dnd_date                    177   8YYMMDDN8.  YYMMDD8.   date                            
.     rrr_dnd_time                    185   8time8.     time8.     time                            
.     rrr_mod_err_code                249   4$char4.    $char4.    character                       
.     rrr_mod_err_info1               253   4$char4.    $char4.    character                       
.     rrr_mod_err_info2               257   4$char4.    $char4.    character                       
.     rrr_mod_rtn_code                245   4$char4.    $char4.    character                       
.     rrr_model_id_1                   24   8$char8.    $char8.    character                       
.     rrr_model_id_2                   70   8$char8.    $char8.    character                       
.     rrr_model_id_3                  104   8$char8.    $char8.    character                       
.     rrr_model_id_4                  138   8$char8.    $char8.    character                       
.     rrr_model_package_id             12   8$char8.    $char8.    character                       
.     rrr_model_trace_1                42   4$char4.    $char4.    character                       
.     rrr_model_trace_2                88   4$char4.    $char4.    character                       
.     rrr_model_trace_3               122   4$char4.    $char4.    character                       
.     rrr_model_trace_4               156   4$char4.    $char4.    character                       
.     rrr_model_version_1              32   4$char4.    $char4.    character                       
.     rrr_model_version_2              78   4$char4.    $char4.    character                       
.     rrr_model_version_3             112   4$char4.    $char4.    character                       
.     rrr_model_version_4             146   4$char4.    $char4.    character                       
.     rrr_oper_reason1_1               58   4Z4.        4.         numeric                         
.     rrr_oper_reason2_1               62   4Z4.        4.         numeric                         
.     rrr_oper_reason3_1               66   4Z4.        4.         numeric                         
.     rrr_prelim_dec_code             172   1$char1.    $char1.    character                       
.     rrr_prelim_dec_info             278   4$char4.    $char4.    character                       
.     rrr_prelim_dec_until_date       262   8YYMMDDN8.  YYMMDD8.   date                            
.     rrr_prelim_dec_until_time       270   8time8.     time8.     time                            
.     rrr_process_ind                 261   1$char1.    $char1.    character                       
.     rrr_release_version              20   4$char4.    $char4.    character                       
.     rrr_risk_reason1_1               46   4Z4.        4.         numeric                         
.     rrr_risk_reason1_2               92   4Z4.        4.         numeric                         
.     rrr_risk_reason1_3              126   4Z4.        4.         numeric                         
.     rrr_risk_reason1_4              160   4Z4.        4.         numeric                         
.     rrr_risk_reason2_1               50   4Z4.        4.         numeric                         
.     rrr_risk_reason2_2               96   4Z4.        4.         numeric                         
.     rrr_risk_reason2_3              130   4Z4.        4.         numeric                         
.     rrr_risk_reason2_4              164   4Z4.        4.         numeric                         
.     rrr_risk_reason3_1               54   4Z4.        4.         numeric                         
.     rrr_risk_reason3_2              100   4Z4.        4.         numeric                         
.     rrr_risk_reason3_3              134   4Z4.        4.         numeric                         
.     rrr_risk_reason3_4              168   4Z4.        4.         numeric                         
.     rrr_score_1                      36   3Z3.        3.         numeric                         
.     rrr_score_2                      82   3Z3.        3.         numeric                         
.     rrr_score_3                     116   3Z3.        3.         numeric                         
.     rrr_score_4                     150   3Z3.        3.         numeric                         
.     rrr_script_1                    212   4$char4.    $char4.    character                       
.     rrr_script_2                    216   4$char4.    $char4.    character                       
.     rrr_script_3                    220   4$char4.    $char4.    character                       
.     rrr_script_4                    224   4$char4.    $char4.    character                       
.     rrr_seg_id_version                0   8$char8.    $char8.    character                       
.     rrr_service                       8   4$char4.    $char4.    character                       
.     rrr_sup_score_1                  39   3Z3.        3.         numeric                         
.     rrr_sup_score_2                  85   3Z3.        3.         numeric                         
.     rrr_sup_score_3                 119   3Z3.        3.         numeric                         
.     rrr_sup_score_4                 153   3Z3.        3.         numeric                         
.     rrr_sys_err_code                233   4$char4.    $char4.    character                       
.     rrr_sys_err_info1               237   4$char4.    $char4.    character                       
.     rrr_sys_err_info2               241   4$char4.    $char4.    character                       
.     rrr_sys_rtn_code                229   4$char4.    $char4.    character                       
.     rua_10byte_string_001           648  10$char10.   $char10.   character                       
.     rua_10byte_string_002           658  10$char10.   $char10.   character                       
.     rua_10byte_string_003           668  10$char10.   $char10.   character                       
.     rua_10byte_string_004           678  10$char10.   $char10.   character                       
.     rua_10byte_string_005           688  10$char10.   $char10.   character                       
.     rua_10byte_string_006           698  10$char10.   $char10.   character                       
.     rua_10byte_string_007           708  10$char10.   $char10.   character                       
.     rua_10byte_string_008           718  10$char10.   $char10.   character                       
.     rua_20byte_string_001           728  20$char20.   $char20.   character                       
.     rua_20byte_string_002           748  20$char20.   $char20.   character                       
.     rua_20byte_string_003           768  20$char20.   $char20.   character                       
.     rua_20byte_string_004           788  20$char20.   $char20.   character                       
.     rua_20byte_string_005           808  20$char20.   $char20.   character                       
.     rua_2byte_string_001            568   2$char2.    $char2.    character                       
.     rua_2byte_string_002            570   2$char2.    $char2.    character                       
.     rua_2byte_string_003            572   2$char2.    $char2.    character                       
.     rua_2byte_string_004            574   2$char2.    $char2.    character                       
.     rua_2byte_string_005            576   2$char2.    $char2.    character                       
.     rua_2byte_string_006            578   2$char2.    $char2.    character                       
.     rua_2byte_string_007            580   2$char2.    $char2.    character                       
.     rua_2byte_string_008            582   2$char2.    $char2.    character                       
.     rua_30byte_string_001           828  30$char30.   $char30.   character                       
.     rua_30byte_string_002           858  30$char30.   $char30.   character                       
.     rua_3byte_string_001            584   3$char3.    $char3.    character                       
.     rua_3byte_string_002            587   3$char3.    $char3.    character                       
.     rua_3byte_string_003            590   3$char3.    $char3.    character                       
.     rua_3byte_string_004            593   3$char3.    $char3.    character                       
.     rua_3byte_string_005            596   3$char3.    $char3.    character                       
.     rua_3byte_string_006            599   3$char3.    $char3.    character                       
.     rua_3byte_string_007            602   3$char3.    $char3.    character                       
.     rua_3byte_string_008            605   3$char3.    $char3.    character                       
.     rua_4byte_string_001            608   4$char4.    $char4.    character                       
.     rua_4byte_string_002            612   4$char4.    $char4.    character                       
.     rua_4byte_string_003            616   4$char4.    $char4.    character                       
.     rua_4byte_string_004            620   4$char4.    $char4.    character                       
.     rua_80byte_nls_string_001       888  80$utf8x80.  $utf8x80.  character                       
.     rua_80byte_nls_string_002       968  80$utf8x80.  $utf8x80.  character                       
.     rua_80byte_nls_string_003      1048  80$utf8x80.  $utf8x80.  character                       
.     rua_8byte_string_001            624   8$char8.    $char8.    character                       
.     rua_8byte_string_002            632   8$char8.    $char8.    character                       
.     rua_8byte_string_003            640   8$char8.    $char8.    character                       
.     rua_ind_001                     536   1$char1.    $char1.    character                       
.     rua_ind_002                     537   1$char1.    $char1.    character                       
.     rua_ind_003                     538   1$char1.    $char1.    character                       
.     rua_ind_004                     539   1$char1.    $char1.    character                       
.     rua_ind_005                     540   1$char1.    $char1.    character                       
.     rua_ind_006                     541   1$char1.    $char1.    character                       
.     rua_ind_007                     542   1$char1.    $char1.    character                       
.     rua_ind_008                     543   1$char1.    $char1.    character                       
.     rua_ind_009                     544   1$char1.    $char1.    character                       
.     rua_ind_010                     545   1$char1.    $char1.    character                       
.     rua_ind_011                     546   1$char1.    $char1.    character                       
.     rua_ind_012                     547   1$char1.    $char1.    character                       
.     rua_ind_013                     548   1$char1.    $char1.    character                       
.     rua_ind_014                     549   1$char1.    $char1.    character                       
.     rua_ind_015                     550   1$char1.    $char1.    character                       
.     rua_ind_016                     551   1$char1.    $char1.    character                       
.     rua_ind_017                     552   1$char1.    $char1.    character                       
.     rua_ind_018                     553   1$char1.    $char1.    character                       
.     rua_ind_019                     554   1$char1.    $char1.    character                       
.     rua_ind_020                     555   1$char1.    $char1.    character                       
.     rua_ind_021                     556   1$char1.    $char1.    character                       
.     rua_ind_022                     557   1$char1.    $char1.    character                       
.     rua_ind_023                     558   1$char1.    $char1.    character                       
.     rua_ind_024                     559   1$char1.    $char1.    character                       
.     rua_ind_025                     560   1$char1.    $char1.    character                       
.     rua_ind_026                     561   1$char1.    $char1.    character                       
.     rua_ind_027                     562   1$char1.    $char1.    character                       
.     rua_ind_028                     563   1$char1.    $char1.    character                       
.     rua_ind_029                     564   1$char1.    $char1.    character                       
.     rua_ind_030                     565   1$char1.    $char1.    character                       
.     rua_ind_031                     566   1$char1.    $char1.    character                       
.     rua_ind_032                     567   1$char1.    $char1.    character                       
.     rua_numeric_001                   8   8RB8.0      RB8.0      numeric                         
.     rua_numeric_002                  16   8RB8.0      RB8.0      numeric                         
.     rua_numeric_003                  24   8RB8.0      RB8.0      numeric                         
.     rua_numeric_004                  32   8RB8.0      RB8.0      numeric                         
.     rua_numeric_005                  40   8RB8.0      RB8.0      numeric                         
.     rua_numeric_006                  48   8RB8.0      RB8.0      numeric                         
.     rua_numeric_007                  56   8RB8.0      RB8.0      numeric                         
.     rua_numeric_008                  64   8RB8.0      RB8.0      numeric                         
.     rua_numeric_009                  72   8RB8.0      RB8.0      numeric                         
.     rua_numeric_010                  80   8RB8.0      RB8.0      numeric                         
.     rua_numeric_011                  88   8RB8.0      RB8.0      numeric                         
.     rua_numeric_012                  96   8RB8.0      RB8.0      numeric                         
.     rua_numeric_013                 104   8RB8.0      RB8.0      numeric                         
.     rua_numeric_014                 112   8RB8.0      RB8.0      numeric                         
.     rua_numeric_015                 120   8RB8.0      RB8.0      numeric                         
.     rua_numeric_016                 128   8RB8.0      RB8.0      numeric                         
.     rua_numeric_017                 136   8RB8.0      RB8.0      numeric                         
.     rua_numeric_018                 144   8RB8.0      RB8.0      numeric                         
.     rua_numeric_019                 152   8RB8.0      RB8.0      numeric                         
.     rua_numeric_020                 160   8RB8.0      RB8.0      numeric                         
.     rua_numeric_021                 168   8RB8.0      RB8.0      numeric                         
.     rua_numeric_022                 176   8RB8.0      RB8.0      numeric                         
.     rua_numeric_023                 184   8RB8.0      RB8.0      numeric                         
.     rua_numeric_024                 192   8RB8.0      RB8.0      numeric                         
.     rua_numeric_025                 200   8RB8.0      RB8.0      numeric                         
.     rua_numeric_026                 208   8RB8.0      RB8.0      numeric                         
.     rua_numeric_027                 216   8RB8.0      RB8.0      numeric                         
.     rua_numeric_028                 224   8RB8.0      RB8.0      numeric                         
.     rua_numeric_029                 232   8RB8.0      RB8.0      numeric                         
.     rua_numeric_030                 240   8RB8.0      RB8.0      numeric                         
.     rua_numeric_031                 248   8RB8.0      RB8.0      numeric                         
.     rua_numeric_032                 256   8RB8.0      RB8.0      numeric                         
.     rua_numeric_033                 264   8RB8.0      RB8.0      numeric                         
.     rua_numeric_034                 272   8RB8.0      RB8.0      numeric                         
.     rua_numeric_035                 280   8RB8.0      RB8.0      numeric                         
.     rua_numeric_036                 288   8RB8.0      RB8.0      numeric                         
.     rua_numeric_037                 296   8RB8.0      RB8.0      numeric                         
.     rua_numeric_038                 304   8RB8.0      RB8.0      numeric                         
.     rua_numeric_039                 312   8RB8.0      RB8.0      numeric                         
.     rua_numeric_040                 320   8RB8.0      RB8.0      numeric                         
.     rua_numeric_041                 328   8RB8.0      RB8.0      numeric                         
.     rua_numeric_042                 336   8RB8.0      RB8.0      numeric                         
.     rua_numeric_043                 344   8RB8.0      RB8.0      numeric                         
.     rua_numeric_044                 352   8RB8.0      RB8.0      numeric                         
.     rua_numeric_045                 360   8RB8.0      RB8.0      numeric                         
.     rua_numeric_046                 368   8RB8.0      RB8.0      numeric                         
.     rua_numeric_047                 376   8RB8.0      RB8.0      numeric                         
.     rua_numeric_048                 384   8RB8.0      RB8.0      numeric                         
.     rua_numeric_049                 392   8RB8.0      RB8.0      numeric                         
.     rua_numeric_050                 400   8RB8.0      RB8.0      numeric                         
.     rua_numeric_051                 408   8RB8.0      RB8.0      numeric                         
.     rua_numeric_052                 416   8RB8.0      RB8.0      numeric                         
.     rua_numeric_053                 424   8RB8.0      RB8.0      numeric                         
.     rua_numeric_054                 432   8RB8.0      RB8.0      numeric                         
.     rua_numeric_055                 440   8RB8.0      RB8.0      numeric                         
.     rua_numeric_056                 448   8RB8.0      RB8.0      numeric                         
.     rua_numeric_057                 456   8RB8.0      RB8.0      numeric                         
.     rua_numeric_058                 464   8RB8.0      RB8.0      numeric                         
.     rua_numeric_059                 472   8RB8.0      RB8.0      numeric                         
.     rua_numeric_060                 480   8RB8.0      RB8.0      numeric                         
.     rua_numeric_061                 488   8RB8.0      RB8.0      numeric                         
.     rua_numeric_062                 496   8RB8.0      RB8.0      numeric                         
.     rua_numeric_063                 504   8RB8.0      RB8.0      numeric                         
.     rua_numeric_064                 512   8RB8.0      RB8.0      numeric                         
.     rua_numeric_065                 520   8RB8.0      RB8.0      numeric                         
.     rua_numeric_066                 528   8RB8.0      RB8.0      numeric                         
.     rua_seg_id_version                0   8$char8.    $char8.    character                       
.     rur_30byte_string_001           170  30$char30.   $char30.   character                       
.     rur_30byte_string_002           200  30$char30.   $char30.   character                       
.     rur_30byte_string_003           230  30$char30.   $char30.   character                       
.     rur_30byte_string_004           260  30$char30.   $char30.   character                       
.     rur_4byte_string_001             98   4$char4.    $char4.    character                       
.     rur_4byte_string_002            102   4$char4.    $char4.    character                       
.     rur_4byte_string_003            106   4$char4.    $char4.    character                       
.     rur_4byte_string_004            110   4$char4.    $char4.    character                       
.     rur_4byte_string_005            114   4$char4.    $char4.    character                       
.     rur_4byte_string_006            118   4$char4.    $char4.    character                       
.     rur_4byte_string_007            122   4$char4.    $char4.    character                       
.     rur_4byte_string_008            126   4$char4.    $char4.    character                       
.     rur_4byte_string_009            130   4$char4.    $char4.    character                       
.     rur_4byte_string_010            134   4$char4.    $char4.    character                       
.     rur_8byte_string_001            138   8$char8.    $char8.    character                       
.     rur_8byte_string_002            146   8$char8.    $char8.    character                       
.     rur_8byte_string_003            154   8$char8.    $char8.    character                       
.     rur_8byte_string_004            162   8$char8.    $char8.    character                       
.     rur_ind_001                      88   1$char1.    $char1.    character                       
.     rur_ind_002                      89   1$char1.    $char1.    character                       
.     rur_ind_003                      90   1$char1.    $char1.    character                       
.     rur_ind_004                      91   1$char1.    $char1.    character                       
.     rur_ind_005                      92   1$char1.    $char1.    character                       
.     rur_ind_006                      93   1$char1.    $char1.    character                       
.     rur_ind_007                      94   1$char1.    $char1.    character                       
.     rur_ind_008                      95   1$char1.    $char1.    character                       
.     rur_ind_009                      96   1$char1.    $char1.    character                       
.     rur_ind_010                      97   1$char1.    $char1.    character                       
.     rur_numeric_001                   8   8RB8.0      RB8.0      numeric                         
.     rur_numeric_002                  16   8RB8.0      RB8.0      numeric                         
.     rur_numeric_003                  24   8RB8.0      RB8.0      numeric                         
.     rur_numeric_004                  32   8RB8.0      RB8.0      numeric                         
.     rur_numeric_005                  40   8RB8.0      RB8.0      numeric                         
.     rur_numeric_006                  48   8RB8.0      RB8.0      numeric                         
.     rur_numeric_007                  56   8RB8.0      RB8.0      numeric                         
.     rur_numeric_008                  64   8RB8.0      RB8.0      numeric                         
.     rur_numeric_009                  72   8RB8.0      RB8.0      numeric                         
.     rur_numeric_010                  80   8RB8.0      RB8.0      numeric                         
.     rur_seg_id_version                0   8$char8.    $char8.    character                       
.     scc_cmd_code                      8   4Z4.        4.         numeric                         
.     scc_cmd_info                     12 125$char125.  $char125.  character                       
.     scc_seg_id_version                0   8$char8.    $char8.    character                       
.     smc_ind2                         35   1$char1.    $char1.    character                       
.     smc_ind3                         36   1$char1.    $char1.    character                       
.     smc_ind4                         37   1$char1.    $char1.    character                       
.     smc_msg_cnt                      18   8Z8.        8.         numeric                         
.     smc_msg_cnt2                     26   8Z8.        8.         numeric                         
.     smc_seg_id_version                0   8$char8.    $char8.    character                       
.     smc_sendcnt_ind                  34   1$char1.    $char1.    character                       
.     smc_usc_inst_id                   8  10Z10.       10.        numeric                         
.     smh_acct_type                    20   2$char2.    $char2.    character                       
.     smh_activity_detail1             27   3$char3.    $char3.    character                       
.     smh_activity_detail2             30   3$char3.    $char3.    character                       
.     smh_activity_detail3             33   3$char3.    $char3.    character                       
.     smh_activity_type                25   2$char2.    $char2.    character                       
.     smh_authenticate_mtd             22   2$char2.    $char2.    character                       
.     smh_build_num                   110   8Z8.        8.         numeric                         
.     smh_channel_type                 24   1$char1.    $char1.    character                       
.     smh_client_tran_type             36  10$char10.   $char10.   character                       
.     smh_cust_type                    19   1$char1.    $char1.    character                       
.     smh_dest                         58   8$char8.    $char8.    character                       
.     smh_info1_code                   72   4$char4.    $char4.    character                       
.     smh_info2_code                   76   4$char4.    $char4.    character                       
.     smh_msg_type                     47   1$char1.    $char1.    character                       
.     smh_msg_version                   8   8$char8.    $char8.    character                       
.     smh_multi_org_id                102   4Z4.        4.         numeric                         
.     smh_multi_org_name               80  16$char16.   $char16.   character                       
.     smh_multi_org_node_key           96   6$char6.    $char6.    character                       
.     smh_multi_org_version           106   4$char4.    $char4.    character                       
.     smh_priority                     46   1$char1.    $char1.    character                       
.     smh_reason_code                  68   4$char4.    $char4.    character                       
.     smh_resp_req                     48   1$char1.    $char1.    character                       
.     smh_rtn_code                     66   2$char2.    $char2.    character                       
.     smh_sdd_ind                      49   1$char1.    $char1.    character                       
.     smh_seg_id_version                0   8$char8.    $char8.    character                       
.     smh_source                       50   8$char8.    $char8.    character                       
.     smh_tran_type                    16   3$char3.    $char3.    character                       
.     srp_hop1_dest                    18   8$char8.    $char8.    character                       
.     srp_hop1_etime                   34   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hop1_src                     10   8$char8.    $char8.    character                       
.     srp_hop1_stime                   26   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hop2_dest                    50   8$char8.    $char8.    character                       
.     srp_hop2_etime                   66   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hop2_src                     42   8$char8.    $char8.    character                       
.     srp_hop2_stime                   58   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hop3_dest                    82   8$char8.    $char8.    character                       
.     srp_hop3_etime                   98   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hop3_src                     74   8$char8.    $char8.    character                       
.     srp_hop3_stime                   90   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_hops                          8   2S370FIB2.0 S370FIB2.0 numeric                         
.     srp_seg_id_version                0   8$char8.    $char8.    character                       
.     srp_timestamp_1                 106   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_10                178   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_11                186   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_12                194   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_13                202   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_14                210   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_15                218   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_16                226   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_17                234   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_18                242   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_19                250   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_2                 114   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_20                258   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_21                266   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_22                274   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_23                282   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_24                290   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_3                 122   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_4                 130   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_5                 138   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_6                 146   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_7                 154   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_8                 162   8S370FIB8.0 S370FIB8.0 datetime                        
.     srp_timestamp_9                 170   8S370FIB8.0 S370FIB8.0 datetime                        
.     sus_driver_adr_1                 24   4$char4.    $char4.    character                       
.     sus_driver_adr_2                 44   4$char4.    $char4.    character                       
.     sus_mqe_adr_1                     8   4$char4.    $char4.    character                       
.     sus_mqe_adr_2                    28   4$char4.    $char4.    character                       
.     sus_oiva_adr_1                   20   4$char4.    $char4.    character                       
.     sus_oiva_adr_2                   40   4$char4.    $char4.    character                       
.     sus_seg_id_version                0   8$char8.    $char8.    character                       
.     sus_wait_reqid_1                 12   8$char8.    $char8.    character                       
.     sus_wait_reqid_2                 32   8$char8.    $char8.    character                       
.     tab_app_req_ind                 195   1$char1.    $char1.    character                       
.     tab_batch_number                103   7Z7.        7.         numeric                         
.     tab_create_date                 170   8YYMMDDN8.  YYMMDD8.   date                            
.     tab_create_time                 178   8time8.     time8.     time                            
.     tab_creator_userid              197  32$char32.   $char32.   character                       
.     tab_desc_date                    58   8YYMMDDN8.  YYMMDD8.   date                            
.     tab_eff_date                     66   8YYMMDDN8.  YYMMDD8.   date                            
.     tab_entry_count                 110   6Z6.        6.         numeric                         
.     tab_enty_desc                    48  10$char10.   $char10.   character                       
.     tab_file_id_mod                 186   1$char1.    $char1.    character                       
.     tab_file_ref                    187   8$char8.    $char8.    character                       
.     tab_immedidate_origin           160  10$char10.   $char10.   character                       
.     tab_odfi                         94   9$char9.    $char9.    character                       
.     tab_originator_id                32  10$char10.   $char10.   character                       
.     tab_originator_name               9  23$char23.   $char23.   character                       
.     tab_rec_type                      8   1$char1.    $char1.    character                       
.     tab_sec                          45   3$char3.    $char3.    character                       
.     tab_seg_id_version                0   8$char8.    $char8.    character                       
.     tab_status                      196   1$char1.    $char1.    character                       
.     tab_svc_class_code               42   3$char3.    $char3.    character                       
.     tab_text                         74  20$char20.   $char20.   character                       
.     tab_total_credit                138  22e22.       e22.       currency                        
.     tab_total_debit                 116  22e22.       e22.       currency                        
.     tae_addenda1                     83  80$char80.   $char80.   character                       
.     tae_addenda1_type                81   2$char2.    $char2.    character                       
.     tae_addenda2                    165  80$char80.   $char80.   character                       
.     tae_addenda2_type               163   2$char2.    $char2.    character                       
.     tae_addenda_ind                  80   1$char1.    $char1.    character                       
.     tae_client_amt                    8  22e22.       e22.       currency                        
.     tae_client_curr_code             30   3$char3.    $char3.    character                       
.     tae_mod_amt                      33  22e22.       e22.       currency                        
.     tae_sec                          57   3$char3.    $char3.    character                       
.     tae_seg_id_version                0   8$char8.    $char8.    character                       
.     tae_trace_number                 60  20$char20.   $char20.   character                       
.     tae_tran_code                    55   2$char2.    $char2.    character                       
.     taq_batch_category               80  10$char10.   $char10.   character                       
.     taq_batch_id                      8  34$char34.   $char34.   character                       
.     taq_batch_type                   76   4$char4.    $char4.    character                       
.     taq_file_id                      42  34$char34.   $char34.   character                       
.     taq_seg_id_version                0   8$char8.    $char8.    character                       
.     tbt_bill_cat                    148   2$char2.    $char2.    character                       
.     tbt_bill_psnt_ind               154   1$char1.    $char1.    character                       
.     tbt_bill_sub_cat                150   4$char4.    $char4.    character                       
.     tbt_billing_amt                  46  22e22.       e22.       currency                        
.     tbt_billing_ref_num             155  20$char20.   $char20.   character                       
.     tbt_client_amt                   68  22e22.       e22.       currency                        
.     tbt_client_curr_code             90   3$char3.    $char3.    character                       
.     tbt_direct_debt_ind             146   1$char1.    $char1.    character                       
.     tbt_mod_amt                      93  22e22.       e22.       currency                        
.     tbt_ref_num                       9  30$char30.   $char30.   character                       
.     tbt_revision_code                45   1$char1.    $char1.    character                       
.     tbt_sch_flag                    115   1$char1.    $char1.    character                       
.     tbt_sch_ref_num                 116  30$char30.   $char30.   character                       
.     tbt_seg_id_version                0   8$char8.    $char8.    character                       
.     tbt_self_acct_ind               147   1$char1.    $char1.    character                       
.     tbt_status_reason                40   5$char5.    $char5.    character                       
.     tbt_tran_status                  39   1$char1.    $char1.    character                       
.     tbt_tran_type                     8   1$char1.    $char1.    character                       
.     tca_auth_sys_dec                 83   1$char1.    $char1.    character                       
.     tca_auth_sys_info                84   4$char4.    $char4.    character                       
.     tca_cash_back_amt                91  22e22.       e22.       currency                        
.     tca_client_amt                   33  22e22.       e22.       currency                        
.     tca_client_curr_code             55   3$char3.    $char3.    character                       
.     tca_client_tran_type             81   2$char2.    $char2.    character                       
.     tca_inst_credit_ind              90   1$char1.    $char1.    character                       
.     tca_merch_amt                     8  22e22.       e22.       currency                        
.     tca_merch_curr_code              30   3$char3.    $char3.    character                       
.     tca_mod_amt                      58  22e22.       e22.       currency                        
.     tca_ref_num                     113  30$char30.   $char30.   character                       
.     tca_reversal_ind                 88   1$char1.    $char1.    character                       
.     tca_seg_id_version                0   8$char8.    $char8.    character                       
.     tca_stand_in_ind                 89   1$char1.    $char1.    character                       
.     tca_tran_type                    80   1$char1.    $char1.    character                       
.     tck_billing_amt                  50  22e22.       e22.       currency                        
.     tck_chk_num                      14   6$char6.    $char6.    character                       
.     tck_client_amt                   72  22e22.       e22.       currency                        
.     tck_client_curr_code             94   3$char3.    $char3.    character                       
.     tck_mod_amt                      97  22e22.       e22.       currency                        
.     tck_onus_flag                   119   1$char1.    $char1.    character                       
.     tck_present_cntry_code          137   3$char3.    $char3.    character                       
.     tck_present_date                120   8YYMMDDN8.  YYMMDD8.   date                            
.     tck_present_post_code           128   9$char9.    $char9.    character                       
.     tck_ref_num                      20  30$char30.   $char30.   character                       
.     tck_seg_id_version                0   8$char8.    $char8.    character                       
.     tck_special_ind                 140   1$char1.    $char1.    character                       
.     tck_special_reason1             141   2$char2.    $char2.    character                       
.     tck_special_reason2             143   2$char2.    $char2.    character                       
.     tck_status_reason                 9   5$char5.    $char5.    character                       
.     tck_tran_status                   8   1$char1.    $char1.    character                       
.     tcp_auth_ind                    105   1$char1.    $char1.    character                       
.     tcp_auth_ref_number             151  30$char30.   $char30.   character                       
.     tcp_billing_amt                   8  22e22.       e22.       currency                        
.     tcp_cash_back_amt               126  22e22.       e22.       currency                        
.     tcp_client_amt                   55  22e22.       e22.       currency                        
.     tcp_client_curr_code             77   3$char3.    $char3.    character                       
.     tcp_client_tran_type            103   2$char2.    $char2.    character                       
.     tcp_inst_credit_ind             150   1$char1.    $char1.    character                       
.     tcp_merch_amt                    30  22e22.       e22.       currency                        
.     tcp_merch_curr_code              52   3$char3.    $char3.    character                       
.     tcp_mod_amt                      80  22e22.       e22.       currency                        
.     tcp_post_ref_number             181  30$char30.   $char30.   character                       
.     tcp_purchase_date               106   8YYMMDDN8.  YYMMDD8.   date                            
.     tcp_purchase_time               114  11time11.2   time11.2   time                            
.     tcp_purchase_utc_flag           125   1$char1.    $char1.    character                       
.     tcp_reversal_ind                148   1$char1.    $char1.    character                       
.     tcp_seg_id_version                0   8$char8.    $char8.    character                       
.     tcp_stand_in_ind                149   1$char1.    $char1.    character                       
.     tcp_tran_type                   102   1$char1.    $char1.    character                       
.     tcw_billing_amt                   8  22e22.       e22.       currency                        
.     tcw_cash_form                   102   1$char1.    $char1.    character                       
.     tcw_chk_num                     103   6$char6.    $char6.    character                       
.     tcw_client_amt                   30  22e22.       e22.       currency                        
.     tcw_client_curr_code             52   3$char3.    $char3.    character                       
.     tcw_curr_code                    99   3$char3.    $char3.    character                       
.     tcw_mod_amt                      55  22e22.       e22.       currency                        
.     tcw_ref_num                     112  30$char30.   $char30.   character                       
.     tcw_reversal_ind                109   1$char1.    $char1.    character                       
.     tcw_reversal_reason             110   2$char2.    $char2.    character                       
.     tcw_seg_id_version                0   8$char8.    $char8.    character                       
.     tcw_tran_amt                     77  22e22.       e22.       currency                        
.     tdp_batch_cnt                   214   3Z3.        3.         numeric                         
.     tdp_batch_id                    217  10$char10.   $char10.   character                       
.     tdp_batch_ind                   213   1$char1.    $char1.    character                       
.     tdp_billing_amt                   8  22e22.       e22.       currency                        
.     tdp_client_amt                   30  22e22.       e22.       currency                        
.     tdp_client_cash_amt              77  22e22.       e22.       currency                        
.     tdp_client_curr_code             52   3$char3.    $char3.    character                       
.     tdp_client_type                 122   4$char4.    $char4.    character                       
.     tdp_min_due                     158  22e22.       e22.       currency                        
.     tdp_mod_amt                      55  22e22.       e22.       currency                        
.     tdp_mod_cash_amt                 99  22e22.       e22.       currency                        
.     tdp_ref_num                     180  30$char30.   $char30.   character                       
.     tdp_rev_ind                     210   1$char1.    $char1.    character                       
.     tdp_rev_reason                  211   2$char2.    $char2.    character                       
.     tdp_sch_ind                     126   1$char1.    $char1.    character                       
.     tdp_sch_ref_num                 127  30$char30.   $char30.   character                       
.     tdp_seg_id_version                0   8$char8.    $char8.    character                       
.     tdp_self_acct_ind               157   1$char1.    $char1.    character                       
.     tdp_type                        121   1$char1.    $char1.    character                       
.     tma_client_type                   8  40$char40.   $char40.   character                       
.     tma_seg_id_version                0   8$char8.    $char8.    character                       
.     tmb_business_open_yr              8   4$char4.    $char4.    character                       
.     tmb_business_size                13   1$char1.    $char1.    character                       
.     tmb_business_type                12   1$char1.    $char1.    character                       
.     tmb_cust_city                    26  15$char15.   $char15.   character                       
.     tmb_cust_cntry_code              23   3$char3.    $char3.    character                       
.     tmb_cust_post_code               41   9$char9.    $char9.    character                       
.     tmb_cust_since_date              15   8YYMMDDN8.  YYMMDD8.   date                            
.     tmb_cust_status                  50   1$char1.    $char1.    character                       
.     tmb_customer_status              14   1$char1.    $char1.    character                       
.     tmb_init_flag                    59   1$char1.    $char1.    character                       
.     tmb_seg_id_version                0   8$char8.    $char8.    character                       
.     tmb_status_date                  51   8YYMMDDN8.  YYMMDD8.   date                            
.     tmb_xfr_cust                     68  34$char34.   $char34.   character                       
.     tmb_xfr_cust_date                60   8YYMMDDN8.  YYMMDD8.   date                            
.     tmc_appl_src                     22   1$char1.    $char1.    character                       
.     tmc_card_status                  52   1$char1.    $char1.    character                       
.     tmc_card_type                    51   1$char1.    $char1.    character                       
.     tmc_card_use                     50   1$char1.    $char1.    character                       
.     tmc_ch_cntry_code                 8   3$char3.    $char3.    character                       
.     tmc_ch_post_code                 11   9$char9.    $char9.    character                       
.     tmc_exp_date                     31   8YYMMDDN8.  YYMMDD8.   date                            
.     tmc_init_flag                    61   1$char1.    $char1.    character                       
.     tmc_iss_date                     23   8YYMMDDN8.  YYMMDD8.   date                            
.     tmc_iss_type                     47   2$char2.    $char2.    character                       
.     tmc_lst_exp_date                 39   8YYMMDDN8.  YYMMDD8.   date                            
.     tmc_media                        49   1$char1.    $char1.    character                       
.     tmc_seg_id_version                0   8$char8.    $char8.    character                       
.     tmc_status_date                  53   8YYMMDDN8.  YYMMDD8.   date                            
.     tmc_which_card                   20   2$char2.    $char2.    character                       
.     tmc_xfr_card                     62  20$char20.   $char20.   character                       
.     tmc_xfr_card_date                82   8YYMMDDN8.  YYMMDD8.   date                            
.     tmd_acct_status                  23   1$char1.    $char1.    character                       
.     tmd_allow_ovdf_flag             132   1$char1.    $char1.    character                       
.     tmd_amt_debit_lmth               88  22e22.       e22.       currency                        
.     tmd_amt_dpst_lmth                66  22e22.       e22.       currency                        
.     tmd_card_debit_lmth             110  22e22.       e22.       currency                        
.     tmd_client_acct_type             20   3$char3.    $char3.    character                       
.     tmd_direct_dpst_flag            133   1$char1.    $char1.    character                       
.     tmd_init_flag                    32   1$char1.    $char1.    character                       
.     tmd_num_card                     17   3$char3.    $char3.    character                       
.     tmd_open_date                     9   8YYMMDDN8.  YYMMDD8.   date                            
.     tmd_owner_type                   37   1$char1.    $char1.    character                       
.     tmd_prom_incent_pgm              33   4$char4.    $char4.    character                       
.     tmd_seg_id_version                0   8$char8.    $char8.    character                       
.     tmd_status_date                  24   8YYMMDDN8.  YYMMDD8.   date                            
.     tmd_type                          8   1$char1.    $char1.    character                       
.     tmd_xfr_acct                     46  20$char20.   $char20.   character                       
.     tmd_xfr_acct_date                38   8YYMMDDN8.  YYMMDD8.   date                            
.     tme_branch_cntry_code           171   3$char3.    $char3.    character                       
.     tme_branch_id                   131   8$char8.    $char8.    character                       
.     tme_branch_name                 139  20$char20.   $char20.   character                       
.     tme_branch_post_code            162   9$char9.    $char9.    character                       
.     tme_branch_state                159   3$char3.    $char3.    character                       
.     tme_client_ind                  184   1$char1.    $char1.    character                       
.     tme_client_job_title             23   8$char8.    $char8.    character                       
.     tme_department                   31   2$char2.    $char2.    character                       
.     tme_init_flag                    95   1$char1.    $char1.    character                       
.     tme_prev_staff_id                44  10$char10.   $char10.   character                       
.     tme_privilege_level              33   1$char1.    $char1.    character                       
.     tme_seg_id_version                0   8$char8.    $char8.    character                       
.     tme_staff_acct_num_1            219  34$char34.   $char34.   character                       
.     tme_staff_acct_num_2            253  34$char34.   $char34.   character                       
.     tme_staff_city                  107  15$char15.   $char15.   character                       
.     tme_staff_cntry_code            104   3$char3.    $char3.    character                       
.     tme_staff_cust_num              185  34$char34.   $char34.   character                       
.     tme_staff_dob                    18   4$char4.    $char4.    character                       
.     tme_staff_emp_type               22   1$char1.    $char1.    character                       
.     tme_staff_id                      8  10$char10.   $char10.   character                       
.     tme_staff_post_code             122   9$char9.    $char9.    character                       
.     tme_staff_since_date             96   8YYMMDDN8.  YYMMDD8.   date                            
.     tme_staff_status                 86   1$char1.    $char1.    character                       
.     tme_staff_status_date            87   8YYMMDDN8.  YYMMDD8.   date                            
.     tme_staff_user_id                54  32$char32.   $char32.   character                       
.     tme_super_staff_id               34  10$char10.   $char10.   character                       
.     tme_work_station_id             174  10$char10.   $char10.   character                       
.     tmi_cust_city                    56  15$char15.   $char15.   character                       
.     tmi_cust_cntry_code              53   3$char3.    $char3.    character                       
.     tmi_cust_income                  13  22e22.       e22.       currency                        
.     tmi_cust_post_code               71   9$char9.    $char9.    character                       
.     tmi_cust_since_date              45   8YYMMDDN8.  YYMMDD8.   date                            
.     tmi_cust_status                  35   1$char1.    $char1.    character                       
.     tmi_dob                           8   4$char4.    $char4.    character                       
.     tmi_emp_type                     12   1$char1.    $char1.    character                       
.     tmi_init_flag                    44   1$char1.    $char1.    character                       
.     tmi_orig_ani                     83  32$char32.   $char32.   character                       
.     tmi_orig_ani_cntry_code          80   3$char3.    $char3.    character                       
.     tmi_seg_id_version                0   8$char8.    $char8.    character                       
.     tmi_staff_ind                   158   1$char1.    $char1.    character                       
.     tmi_status_date                  36   8YYMMDDN8.  YYMMDD8.   date                            
.     tmi_vip_flag                    157   1$char1.    $char1.    character                       
.     tmi_xfr_cust                    123  34$char34.   $char34.   character                       
.     tmi_xfr_cust_date               115   8YYMMDDN8.  YYMMDD8.   date                            
.     tml_client_acct_type             46   3$char3.    $char3.    character                       
.     tml_exp_date                     38   8YYMMDDN8.  YYMMDD8.   date                            
.     tml_init_flag                    61   1$char1.    $char1.    character                       
.     tml_loc_amt                      16  22e22.       e22.       currency                        
.     tml_open_date                     8   8YYMMDDN8.  YYMMDD8.   date                            
.     tml_pmt_hist                    104  12$char12.   $char12.   character                       
.     tml_seg_id_version                0   8$char8.    $char8.    character                       
.     tml_status                       49   1$char1.    $char1.    character                       
.     tml_status_date                  50   8YYMMDDN8.  YYMMDD8.   date                            
.     tml_util_pct                     58   3Z3.        3.         numeric                         
.     tml_xfr_acct                     70  34$char34.   $char34.   character                       
.     tml_xfr_acct_date                62   8YYMMDDN8.  YYMMDD8.   date                            
.     tmm_agrmt_mcc                    24   4$char4.    $char4.    character                       
.     tmm_client_type                  28  40$char40.   $char40.   character                       
.     tmm_seg_id_version                0   8$char8.    $char8.    character                       
.     tmm_term_owner_agrmt_date        16   8YYMMDDN8.  YYMMDD8.   date                            
.     tmm_term_owner_open_date          8   8YYMMDDN8.  YYMMDD8.   date                            
.     tmo_init_flag                    57   1$char1.    $char1.    character                       
.     tmo_ip_address_num               98   2Z2.        2.         numeric                         
.     tmo_reg_date                     40   8YYMMDDN8.  YYMMDD8.   date                            
.     tmo_seg_id_version                0   8$char8.    $char8.    character                       
.     tmo_status_date                  49   8YYMMDDN8.  YYMMDD8.   date                            
.     tmo_user_config1                105  10$char10.   $char10.   character                       
.     tmo_user_config2                115  10$char10.   $char10.   character                       
.     tmo_user_config3                125  10$char10.   $char10.   character                       
.     tmo_user_id                       8  32$char32.   $char32.   character                       
.     tmo_user_status                  48   1$char1.    $char1.    character                       
.     tmo_user_type                   100   5$char5.    $char5.    character                       
.     tmo_xfr_user                     66  32$char32.   $char32.   character                       
.     tmo_xfr_user_date                58   8YYMMDDN8.  YYMMDD8.   date                            
.     tmp_init_flag                    25   1$char1.    $char1.    character                       
.     tmp_phone_cnt                    66   2Z2.        2.         numeric                         
.     tmp_reg_date                      8   8YYMMDDN8.  YYMMDD8.   date                            
.     tmp_seg_id_version                0   8$char8.    $char8.    character                       
.     tmp_status_date                  17   8YYMMDDN8.  YYMMDD8.   date                            
.     tmp_user_status                  16   1$char1.    $char1.    character                       
.     tmp_xfr_user                     34  32$char32.   $char32.   character                       
.     tmp_xfr_user_date                26   8YYMMDDN8.  YYMMDD8.   date                            
.     tmr_acct_status                  22   1$char1.    $char1.    character                       
.     tmr_cl_change_date               65   8YYMMDDN8.  YYMMDD8.   date                            
.     tmr_client_acct_type             19   3$char3.    $char3.    character                       
.     tmr_cum_cyc_delq                 80   3Z3.        3.         numeric                         
.     tmr_cyc_delq                     73   3$char3.    $char3.    character                       
.     tmr_ever_delq                    76   1$char1.    $char1.    character                       
.     tmr_init_flag                    31   1$char1.    $char1.    character                       
.     tmr_nsf                          77   3Z3.        3.         numeric                         
.     tmr_num_card                     16   3$char3.    $char3.    character                       
.     tmr_open_date                     8   8YYMMDDN8.  YYMMDD8.   date                            
.     tmr_owner_type                   36   1$char1.    $char1.    character                       
.     tmr_prom_incent_pgm              32   4$char4.    $char4.    character                       
.     tmr_pymt_due                     83  22e22.       e22.       currency                        
.     tmr_seg_id_version                0   8$char8.    $char8.    character                       
.     tmr_status_date                  23   8YYMMDDN8.  YYMMDD8.   date                            
.     tmr_xfr_acct                     45  20$char20.   $char20.   character                       
.     tmr_xfr_acct_date                37   8YYMMDDN8.  YYMMDD8.   date                            
.     tms_client_acct_type             17   3$char3.    $char3.    character                       
.     tms_init_flag                    88   1$char1.    $char1.    character                       
.     tms_mat_date                     32   8YYMMDDN8.  YYMMDD8.   date                            
.     tms_org_amt                      63  22e22.       e22.       currency                        
.     tms_org_ltv                      85   3Z3.        3.         numeric                         
.     tms_orig_date                     8   8YYMMDDN8.  YYMMDD8.   date                            
.     tms_pmt_amt                      41  22e22.       e22.       currency                        
.     tms_pmt_hist                    131  12$char12.   $char12.   character                       
.     tms_pmt_sch                      40   1$char1.    $char1.    character                       
.     tms_seg_id_version                0   8$char8.    $char8.    character                       
.     tms_status                       20   1$char1.    $char1.    character                       
.     tms_status_date                  21   8YYMMDDN8.  YYMMDD8.   date                            
.     tms_term                         29   3Z3.        3.         numeric                         
.     tms_type                         16   1$char1.    $char1.    character                       
.     tms_xfr_acct                     97  34$char34.   $char34.   character                       
.     tms_xfr_acct_date                89   8YYMMDDN8.  YYMMDD8.   date                            
.     tmt_client_type                  38  40$char40.   $char40.   character                       
.     tmt_seg_id_version                0   8$char8.    $char8.    character                       
.     tmt_term_install_date            30   8YYMMDDN8.  YYMMDD8.   date                            
.     tmt_term_pan_entry_cap           28   1$char1.    $char1.    character                       
.     tmt_term_pin_entry_cap           29   1$char1.    $char1.    character                       
.     tmt_term_type                     8  20$char20.   $char20.   character                       
.     tng_category                     12   1$char1.    $char1.    character                       
.     tng_details_ind                  11   1$char1.    $char1.    character                       
.     tng_eff_date                     23   8YYMMDDN8.  YYMMDD8.   date                            
.     tng_entity                       10   1$char1.    $char1.    character                       
.     tng_exp_date                     31   8YYMMDDN8.  YYMMDD8.   date                            
.     tng_seg_id_version                0   8$char8.    $char8.    character                       
.     tng_status_reason                14   5$char5.    $char5.    character                       
.     tng_sub_tran_type                19   4$char4.    $char4.    character                       
.     tng_tran_status                  13   1$char1.    $char1.    character                       
.     tng_tran_type                     8   2$char2.    $char2.    character                       
.     tpp_acct_num                    227  34$char34.   $char34.   character                       
.     tpp_acct_sub_type               108   1$char1.    $char1.    character                       
.     tpp_acct_type                   106   2$char2.    $char2.    character                       
.     tpp_bal                         286  22e22.       e22.       currency                        
.     tpp_bank_cntry_code             109   3$char3.    $char3.    character                       
.     tpp_bank_name                   127  90$utf8x90.  $utf8x90.  character                       
.     tpp_bank_num                    112  15$char15.   $char15.   character                       
.     tpp_bank_type                   105   1$char1.    $char1.    character                       
.     tpp_branch_id                   217  10$char10.   $char10.   character                       
.     tpp_city                         78  15$char15.   $char15.   character                       
.     tpp_cntry_code                   75   3$char3.    $char3.    character                       
.     tpp_curr_code                   261   3$char3.    $char3.    character                       
.     tpp_entity_type                   9   1$char1.    $char1.    character                       
.     tpp_name                         35  40$char40.   $char40.   character                       
.     tpp_num                          10  25$char25.   $char25.   character                       
.     tpp_payee_payer_ind               8   1$char1.    $char1.    character                       
.     tpp_post_code                    96   9$char9.    $char9.    character                       
.     tpp_seg_id_version                0   8$char8.    $char8.    character                       
.     tpp_state                        93   3$char3.    $char3.    character                       
.     tpp_tran_amt                    264  22e22.       e22.       currency                        
.     tsh_amount_type                  46   1$char1.    $char1.    character                       
.     tsh_bill_cat                    134   2$char2.    $char2.    character                       
.     tsh_bill_psnt_ind               140   1$char1.    $char1.    character                       
.     tsh_bill_sub_cat                136   4$char4.    $char4.    character                       
.     tsh_billing_amt                  47  22e22.       e22.       currency                        
.     tsh_billing_ref_num             141  20$char20.   $char20.   character                       
.     tsh_client_amt                   69  22e22.       e22.       currency                        
.     tsh_client_curr_code             91   3$char3.    $char3.    character                       
.     tsh_mod_amt                      94  22e22.       e22.       currency                        
.     tsh_recurr_freq                 132   1$char1.    $char1.    character                       
.     tsh_ref_num                       9  30$char30.   $char30.   character                       
.     tsh_revision_code                45   1$char1.    $char1.    character                       
.     tsh_sch_end_date                124   8YYMMDDN8.  YYMMDD8.   date                            
.     tsh_sch_start_date              116   8YYMMDDN8.  YYMMDD8.   date                            
.     tsh_seg_id_version                0   8$char8.    $char8.    character                       
.     tsh_self_acct_ind               133   1$char1.    $char1.    character                       
.     tsh_status_reason                40   5$char5.    $char5.    character                       
.     tsh_tran_status                  39   1$char1.    $char1.    character                       
.     tsh_tran_type                     8   1$char1.    $char1.    character                       
.     tsr_90_dy_ext_rvw_ind            36   1$char1.    $char1.    character                       
.     tsr_altr_invst_ind               39   1$char1.    $char1.    character                       
.     tsr_asset_lvl1_cd                29   1$char1.    $char1.    character                       
.     tsr_asset_lvl2_cd                30   2$char2.    $char2.    character                       
.     tsr_bkr_mkt_mkr_ind              37   1$char1.    $char1.    character                       
.     tsr_bkri_xclsn_ind               38   1$char1.    $char1.    character                       
.     tsr_capc_ind                     60   1$char1.    $char1.    character                       
.     tsr_category_cd                  28   1$char1.    $char1.    character                       
.     tsr_comm_penalty_ind              8   1$char1.    $char1.    character                       
.     tsr_dsp_lmf_ind                  40   1$char1.    $char1.    character                       
.     tsr_handle_fee_cd                 9   1$char1.    $char1.    character                       
.     tsr_neg_rate                     15  10Z10.4      10.        numeric                         
.     tsr_neg_rate_ind                 25   1$char1.    $char1.    character                       
.     tsr_orig_exch_cd                 13   2$char2.    $char2.    character                       
.     tsr_orig_trade_id                44  16Z16.       16.        numeric                         
.     tsr_pool_code                    27   1$char1.    $char1.    character                       
.     tsr_prod_cd                      32   4$char4.    $char4.    character                       
.     tsr_seg_id_version                0   8$char8.    $char8.    character                       
.     tsr_split_code                   26   1$char1.    $char1.    character                       
.     tsr_tdc_ty_cd                    10   3$char3.    $char3.    character                       
.     tsr_und_undrv_sol_aprv_ind       42   1$char1.    $char1.    character                       
.     tsr_undrly_cef_sol_apr_ind       43   1$char1.    $char1.    character                       
.     tsr_undrly_review_cd             41   1$char1.    $char1.    character                       
.     tst_base_or_buy_curr            552   3$char3.    $char3.    character                       
.     tst_bluesky_ind                 104   1$char1.    $char1.    character                       
.     tst_buy_sell_ind                 91   1$char1.    $char1.    character                       
.     tst_cefnd_hl_ind                398   1$char1.    $char1.    character                       
.     tst_client_entered_cd            95   1$char1.    $char1.    character                       
.     tst_close_price_amt             494  22e22.       e22.       numeric                         
.     tst_cntry_of_rgtrn_cd           369   2$char2.    $char2.    character                       
.     tst_cover_uncover_ind            97   1$char1.    $char1.    character                       
.     tst_ctry_of_origin              371   3$char3.    $char3.    character                       
.     tst_disc_exercised_ind          103   1$char1.    $char1.    character                       
.     tst_emer_mkt_sec_ind            396   1$char1.    $char1.    character                       
.     tst_exch_loc_cde                374   4$char4.    $char4.    character                       
.     tst_exch_rt_buy_curr_usd        599  22e22.       e22.       numeric                         
.     tst_exch_rt_sell_curr_usd       621  22e22.       e22.       numeric                         
.     tst_expiration_date             516   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_fc_executed_ind              94   1$char1.    $char1.    character                       
.     tst_fcy_to_dol_ex_rt            439  22e22.       e22.       numeric                         
.     tst_fgn_curr_cd                 106   3$char3.    $char3.    character                       
.     tst_fgn_curr_prefix_ind         105   1$char1.    $char1.    character                       
.     tst_gtc_ind                     551   1$char1.    $char1.    character                       
.     tst_high_yield_ind              397   1$char1.    $char1.    character                       
.     tst_inception_dt                399   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_iss_id                      351  16$char16.   $char16.   character                       
.     tst_maturity_dt                 643   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_mdy_rtg_cd                  483   6$char6.    $char6.    character                       
.     tst_mdy_sdbt_rtg_cd             524   6$char6.    $char6.    character                       
.     tst_mf_reason_sale              140  15$char15.   $char15.   character                       
.     tst_mrst_byslhl_rcm_cd          378   5$char5.    $char5.    character                       
.     tst_nkd_cash_cl_ind             100   1$char1.    $char1.    character                       
.     tst_offshore_ind                392   1$char1.    $char1.    character                       
.     tst_open_close_ind               98   1$char1.    $char1.    character                       
.     tst_opt_1st_index_trade         101   1$char1.    $char1.    character                       
.     tst_opt_asgn_exer_ind            99   1$char1.    $char1.    character                       
.     tst_opt_ooc_vltn_ind            102   1$char1.    $char1.    character                       
.     tst_ord_exe_ts                  109  11time11.2   time11.2   time                            
.     tst_ord_mf_dop                  131   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_ord_mf_lth_ind              139   1$char1.    $char1.    character                       
.     tst_ord_ort_ts                  120  11time11.2   time11.2   time                            
.     tst_order_type_cd               679   1$char1.    $char1.    character                       
.     tst_osys_id                     675   4$char4.    $char4.    character                       
.     tst_pds_code                    388   3$char3.    $char3.    character                       
.     tst_prfrd_sec_ind               393   1$char1.    $char1.    character                       
.     tst_prncpl_buy_amt              577  22e22.       e22.       numeric                         
.     tst_prncpl_sell_amt             555  22e22.       e22.       numeric                         
.     tst_prv_buy_trd_dt               83   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_put_call_ind                 96   1$char1.    $char1.    character                       
.     tst_review_cd                   391   1$char1.    $char1.    character                       
.     tst_ric_code                    651  24$char24.   $char24.   character                       
.     tst_rst_catg_cd                 530  20$char20.   $char20.   character                       
.     tst_sec_no                       54   5$char5.    $char5.    character                       
.     tst_sec_subtype                 368   1$char1.    $char1.    character                       
.     tst_sec_type                    367   1$char1.    $char1.    character                       
.     tst_seg_id_version                0   8$char8.    $char8.    character                       
.     tst_settlement_dt                67   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_short_ind                    92   1$char1.    $char1.    character                       
.     tst_sol_unsol_ind                93   1$char1.    $char1.    character                       
.     tst_sp_byslhl_rcm_cd            383   5$char5.    $char5.    character                       
.     tst_sp_rtg_cd                   489   5$char5.    $char5.    character                       
.     tst_strcd_by_pdcd_ind           395   1$char1.    $char1.    character                       
.     tst_strcd_by_sec_ind            394   1$char1.    $char1.    character                       
.     tst_strike_price                309  22e22.       e22.       numeric                         
.     tst_ticker_symbol               331  20$char20.   $char20.   character                       
.     tst_tot_cost_proceed            221  22e22.       e22.       numeric                         
.     tst_trade_asof_dt                75   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_trade_cash_margin_ind       550   1$char1.    $char1.    character                       
.     tst_trade_commission            243  22e22.       e22.       numeric                         
.     tst_trade_dt                     59   8YYMMDDN8.  YYMMDD8.   date                            
.     tst_trade_fc_credit             265  22e22.       e22.       numeric                         
.     tst_trade_principal             199  22e22.       e22.       numeric                         
.     tst_trade_qty                   155  22e22.       e22.       numeric                         
.     tst_trade_seq_no                 45   9$char9.    $char9.    character                       
.     tst_trade_status                 44   1$char1.    $char1.    character                       
.     tst_trade_std_commission        287  22e22.       e22.       numeric                         
.     tst_trade_unit_price            177  22e22.       e22.       numeric                         
.     tst_trds_acct_no                  8  20$char20.   $char20.   character                       
.     tst_undrly_cls_px               416  22e22.       e22.       numeric                         
.     tst_undrly_pds_cl_cd            413   3$char3.    $char3.    character                       
.     tst_undrly_sec                  407   5$char5.    $char5.    character                       
.     tst_undrly_sec_in_strcd_ind     438   1$char1.    $char1.    character                       
.     tst_undrly_sec_type             412   1$char1.    $char1.    character                       
.     tst_unq_trade_id                 28  16Z16.       16.        numeric                         
.     tst_us_cy_to_fx_rt              461  22e22.       e22.       numeric                         
.     ubt_apv_mgr_nm_ind               28   1$char1.    $char1.    character                       
.     ubt_mgr_init                     29   5$char5.    $char5.    character                       
.     ubt_order_enter_by                8  20$char20.   $char20.   character                       
.     ubt_seg_id_version                0   8$char8.    $char8.    character                       
.     ucc_aip                         113   8$char8.    $char8.    character                       
.     ucc_arqc_valid                   10   1$char1.    $char1.    character                       
.     ucc_atc_card                     11   4$char4.    $char4.    character                       
.     ucc_atc_host                     15   4$char4.    $char4.    character                       
.     ucc_chip_cond_code              145   1$char1.    $char1.    character                       
.     ucc_chip_data_scheme              9   1$char1.    $char1.    character                       
.     ucc_chip_data_status              8   1$char1.    $char1.    character                       
.     ucc_cvr                          65  48$char48.   $char48.   character                       
.     ucc_lo_atc                       19   4$char4.    $char4.    character                       
.     ucc_ol_limit_host                23   2$char2.    $char2.    character                       
.     ucc_seg_id_version                0   8$char8.    $char8.    character                       
.     ucc_tcp                         121  24$char24.   $char24.   character                       
.     ucc_tvr                          25  40$char40.   $char40.   character                       
.     ucm_acs_refer_code               41   2$char2.    $char2.    character                       
.     ucm_avs_resp                     18   1$char1.    $char1.    character                       
.     ucm_bio_verify                   43   1$char1.    $char1.    character                       
.     ucm_card_exp_date                28   8YYMMDDN8.  YYMMDD8.   date                            
.     ucm_card_present                  8   1$char1.    $char1.    character                       
.     ucm_cat                           9   1$char1.    $char1.    character                       
.     ucm_ch_evrfy                     40   1$char1.    $char1.    character                       
.     ucm_cust_present                 14   1$char1.    $char1.    character                       
.     ucm_cvv2_psnt                    16   1$char1.    $char1.    character                       
.     ucm_cvv2_resp                    17   1$char1.    $char1.    character                       
.     ucm_cvv_cvc                      15   1$char1.    $char1.    character                       
.     ucm_msg_exp_date                 20   8YYMMDDN8.  YYMMDD8.   date                            
.     ucm_pin_vrfy                     19   1$char1.    $char1.    character                       
.     ucm_pos                          12   2$char2.    $char2.    character                       
.     ucm_scheme                       36   1$char1.    $char1.    character                       
.     ucm_seg_id_version                0   8$char8.    $char8.    character                       
.     ucm_source                       37   1$char1.    $char1.    character                       
.     ucm_term_pan_entry_cap           10   1$char1.    $char1.    character                       
.     ucm_term_pin_entry_cap           11   1$char1.    $char1.    character                       
.     ucm_track1_present               38   1$char1.    $char1.    character                       
.     ucm_track2_present               39   1$char1.    $char1.    character                       
.     unm_auth_mtd1                     8   1$char1.    $char1.    character                       
.     unm_auth_mtd2                    10   1$char1.    $char1.    character                       
.     unm_auth_mtd3                    12   1$char1.    $char1.    character                       
.     unm_auth_result1                  9   1$char1.    $char1.    character                       
.     unm_auth_result2                 11   1$char1.    $char1.    character                       
.     unm_auth_result3                 13   1$char1.    $char1.    character                       
.     unm_highest_sec_lvl              14   1$char1.    $char1.    character                       
.     unm_num_fail                     15   1$char1.    $char1.    character                       
.     unm_seg_id_version                0   8$char8.    $char8.    character                       
.     xqo_cust_cntry_code              94   3$char3.    $char3.    character                       
.     xqo_cust_num                      9  34$char34.   $char34.   character                       
.     xqo_cust_post_code               85   9$char9.    $char9.    character                       
.     xqo_cust_rand_dig                43   3Z3.        3.         numeric                         
.     xqo_cust_type                    52   1$char1.    $char1.    character                       
.     xqo_daily_limit_amt              60  22e22.       e22.       currency                        
.     xqo_daily_limit_cnt              82   3Z3.        3.         numeric                         
.     xqo_daily_limit_sub_type         56   4$char4.    $char4.    character                       
.     xqo_daily_limit_type             53   3$char3.    $char3.    character                       
.     xqo_language                     49   3$char3.    $char3.    character                       
.     xqo_new_cust_flag                 8   1$char1.    $char1.    character                       
.     xqo_sas_cust_rand_dig            46   3Z3.        3.         numeric                         
.     xqo_seg_id_version                0   8$char8.    $char8.    character                       
.     z00_content_id_version          125  12$char12.   $char12.   character                       
.     z00_content_length              117   8Z8.        8.         numeric                         
.     z00_lookup_key                    8 100$char100.  $char100.  character                       
.     z00_persist_ind                 108   1$char1.    $char1.    character                       
.     z00_seg_id_version                0   8$char8.    $char8.    character                       
.     z00_variable_data_length        109   8Z8.        8.         numeric                         
.     z00_xref_01                     137  40$char40.   $char40.   character                       
.     z00_xref_02                     177  40$char40.   $char40.   character                       
.     z01_content_id_version          125  12$char12.   $char12.   character                       
.     z01_content_length              117   8Z8.        8.         numeric                         
.     z01_lookup_key                    8 100$char100.  $char100.  character                       
.     z01_persist_ind                 108   1$char1.    $char1.    character                       
.     z01_seg_id_version                0   8$char8.    $char8.    character                       
.     z01_variable_data_length        109   8Z8.        8.         numeric                         
.     z01_xref_01                     137  40$char40.   $char40.   character                       
.     z01_xref_02                     177  40$char40.   $char40.   character                       
.     z02_content_id_version          125  12$char12.   $char12.   character                       
.     z02_content_length              117   8Z8.        8.         numeric                         
.     z02_lookup_key                    8 100$char100.  $char100.  character                       
.     z02_persist_ind                 108   1$char1.    $char1.    character                       
.     z02_seg_id_version                0   8$char8.    $char8.    character                       
.     z02_variable_data_length        109   8Z8.        8.         numeric                         
.     z02_xref_01                     137  40$char40.   $char40.   character                       
.     z02_xref_02                     177  40$char40.   $char40.   character                       
.     z03_content_id_version          125  12$char12.   $char12.   character                       
.     z03_content_length              117   8Z8.        8.         numeric                         
.     z03_lookup_key                    8 100$char100.  $char100.  character                       
.     z03_persist_ind                 108   1$char1.    $char1.    character                       
.     z03_seg_id_version                0   8$char8.    $char8.    character                       
.     z03_variable_data_length        109   8Z8.        8.         numeric                         
.     z03_xref_01                     137  40$char40.   $char40.   character                       
.     z03_xref_02                     177  40$char40.   $char40.   character                       
.     z04_content_id_version          125  12$char12.   $char12.   character                       
.     z04_content_length              117   8Z8.        8.         numeric                         
.     z04_lookup_key                    8 100$char100.  $char100.  character                       
.     z04_persist_ind                 108   1$char1.    $char1.    character                       
.     z04_seg_id_version                0   8$char8.    $char8.    character                       
.     z04_variable_data_length        109   8Z8.        8.         numeric                         
.     z04_xref_01                     137  40$char40.   $char40.   character                       
.     z04_xref_02                     177  40$char40.   $char40.   character                       
.     z05_content_id_version          125  12$char12.   $char12.   character                       
.     z05_content_length              117   8Z8.        8.         numeric                         
.     z05_lookup_key                    8 100$char100.  $char100.  character                       
.     z05_persist_ind                 108   1$char1.    $char1.    character                       
.     z05_seg_id_version                0   8$char8.    $char8.    character                       
.     z05_variable_data_length        109   8Z8.        8.         numeric                         
.     z05_xref_01                     137  40$char40.   $char40.   character                       
.     z05_xref_02                     177  40$char40.   $char40.   character                       
.     z06_content_id_version          125  12$char12.   $char12.   character                       
.     z06_content_length              117   8Z8.        8.         numeric                         
.     z06_lookup_key                    8 100$char100.  $char100.  character                       
.     z06_persist_ind                 108   1$char1.    $char1.    character                       
.     z06_seg_id_version                0   8$char8.    $char8.    character                       
.     z06_variable_data_length        109   8Z8.        8.         numeric                         
.     z06_xref_01                     137  40$char40.   $char40.   character                       
.     z06_xref_02                     177  40$char40.   $char40.   character                       
.     z07_content_id_version          125  12$char12.   $char12.   character                       
.     z07_content_length              117   8Z8.        8.         numeric                         
.     z07_lookup_key                    8 100$char100.  $char100.  character                       
.     z07_persist_ind                 108   1$char1.    $char1.    character                       
.     z07_seg_id_version                0   8$char8.    $char8.    character                       
.     z07_variable_data_length        109   8Z8.        8.         numeric                         
.     z07_xref_01                     137  40$char40.   $char40.   character                       
.     z07_xref_02                     177  40$char40.   $char40.   character                       
.     zmd_sector01                      8 150$char150.  $char150.  character                       
.     zmd_sector02                    158 150$char150.  $char150.  character                       
.     zmd_sector03                    308 150$char150.  $char150.  character                       
.     zmd_sector04                    458 150$char150.  $char150.  character                       
.     zmd_seg_id_version                0   8$char8.    $char8.    character                       
.     zmd_selected_pckg_1             608  12$char12.   $char12.   character                       
A     v00_build_num                   117   8Z8.        8.         numeric                         
A     v00_lookup_key                    8 100$char100.  $char100.  character                       
A     v00_persist_ind                 108   1$char1.    $char1.    character                       
A     v00_seg_id_version                0   8$char8.    $char8.    character                       
A     v00_variable_data_length        109   8Z8.        8.         numeric                         
A     v01_build_num                   117   8Z8.        8.         numeric                         
A     v01_lookup_key                    8 100$char100.  $char100.  character                       
A     v01_persist_ind                 108   1$char1.    $char1.    character                       
A     v01_seg_id_version                0   8$char8.    $char8.    character                       
A     v01_variable_data_length        109   8Z8.        8.         numeric                         
A     v02_build_num                   117   8Z8.        8.         numeric                         
A     v02_lookup_key                    8 100$char100.  $char100.  character                       
A     v02_persist_ind                 108   1$char1.    $char1.    character                       
A     v02_seg_id_version                0   8$char8.    $char8.    character                       
A     v02_variable_data_length        109   8Z8.        8.         numeric                         
A     v03_build_num                   117   8Z8.        8.         numeric                         
A     v03_lookup_key                    8 100$char100.  $char100.  character                       
A     v03_persist_ind                 108   1$char1.    $char1.    character                       
A     v03_seg_id_version                0   8$char8.    $char8.    character                       
A     v03_variable_data_length        109   8Z8.        8.         numeric                         
A     v04_build_num                   117   8Z8.        8.         numeric                         
A     v04_lookup_key                    8 100$char100.  $char100.  character                       
A     v04_persist_ind                 108   1$char1.    $char1.    character                       
A     v04_seg_id_version                0   8$char8.    $char8.    character                       
A     v04_variable_data_length        109   8Z8.        8.         numeric                         
A     v05_build_num                   117   8Z8.        8.         numeric                         
A     v05_lookup_key                    8 100$char100.  $char100.  character                       
A     v05_persist_ind                 108   1$char1.    $char1.    character                       
A     v05_seg_id_version                0   8$char8.    $char8.    character                       
A     v05_variable_data_length        109   8Z8.        8.         numeric                         
A     v06_build_num                   117   8Z8.        8.         numeric                         
A     v06_lookup_key                    8 100$char100.  $char100.  character                       
A     v06_persist_ind                 108   1$char1.    $char1.    character                       
A     v06_seg_id_version                0   8$char8.    $char8.    character                       
A     v06_variable_data_length        109   8Z8.        8.         numeric                         
A     v07_build_num                   117   8Z8.        8.         numeric                         
A     v07_lookup_key                    8 100$char100.  $char100.  character                       
A     v07_persist_ind                 108   1$char1.    $char1.    character                       
A     v07_seg_id_version                0   8$char8.    $char8.    character                       
A     v07_variable_data_length        109   8Z8.        8.         numeric                         
;;;;
;;;;
run;


/*-------------------------------------------------------------------*/
/* Create entries that define segment metadata                       */
/*                                                                   */
%RUL_Capture_Code(WORK.MSG_API_DICTIONARY.SEGMENTS.SOURCE,
                  cont=Y, /* S0729314 */
                  mod=mod);
CARDS4;
.      SMH . 00000004    118 R R   1
.      SCC . 00000500    137 U .   2
.      SRP . 00000201    298 S R   3
.      SDA . 00000400    106 . .   4
.      SUS . 00000300     48 S .   5
.      SMC . 00000600     38 S R   6
.      RRR . 01000003    282 U U   7
.      RQO . 01001003     60 R R   8
.      XQO . 01101002     97 R R   9
.      AQO . 01200002    128 R R  10
.      AQC . 01201001    108 R R  11
.      AQD . 01202001    109 R R  12
.      AQS . 01203001     30 R R  13
.      AQL . 01204001     52 R R  14
.      AQB . 01205000     90 R R  15
.      AQR . 01206000    105 R R  16
.      UCM . 01301001     44 R R  17
.      UCC . 01302001    146 R R  18
.      UNM . 01303001     16 R R  19
.      UBT . 01304000     34 R R  20
.      HQO . 01401001    145 R R  21
.      HCT . 01402001    263 R R  22
.      HOB . 01403002    185 R R  23
.      HDF . 01403101    612 R R  24
.      HPB . 01404002     82 R R  25
.      HBB . 01405001     71 R R  26
.      HCP . 01406001     17 R R  27
.      HBP . 01407001     38 R R  28
.      HOT . 01408001     53 R R  29
.      HFC . 01409000     74 R R  30
.      TCA . 01501001    143 R R  31
.      TCP . 01501101    211 R R  32
.      TSH . 01502001    161 R R  33
.      TBT . 01502101    175 R R  34
.      TCK . 01502201    145 R R  35
.      TDP . 01502302    227 R R  36
.      TCW . 01502402    142 R R  37
.      TAQ . 01503001     90 R R  38
.      TAB . 01503101    229 R R  39
.      TAE . 01503201    245 R R  40
.      TPP . 01504002    308 R R  41
.      TNG . 01505001     39 R R  42
.      TMI . 01508002    159 R R  43
.      TMB . 01508102    102 R R  44
.      TMR . 01508201    105 R R  45
.      TMD . 01508301    134 R R  46
.      TMS . 01508402    143 R R  47
.      TML . 01508502    116 R R  48
.      TMC . 01508601     90 R R  49
.      TMO . 01508703    135 R R  50
.      TMP . 01508801     68 R R  51
.      TME . 01508901    287 R R  52
.      TST . 01509000    680 R R  53
.      TSR . 01509100     61 R R  54
.      TMM . 01509200     68 R R  55
.      TMA . 01509300     48 R R  56
.      TMT . 01509400     78 R R  57
.      DNA . 01600101     79 R R  58
.      DNP . 01600201     40 R R  59
.      DNC . 01600301     61 R R  60
.      DNU . 01600401    260 R R  61
.      DNR . 01600501     13 R R  62
.      DNS . 01600601    170 R R  63
.      DNO . 01600701     18 R R  64
.      DNX . 01600802    214 R R  65
.      DCB . 01600901    138 R R  66
.      DCC . 01605001    522 R R  67
.      DCQ . 01606001    131 R R  68
.      DBA . 01606501    191 R R  69
.      DMX . 01609901    268 R R  70
.      DEE . 01610001    404 R R  71
.      DPD . 01611001    259 R R  72
.      RUA . 01071002   1128 R R  73
.      ROB . 01072001    115 R R  74
.      RUR . 01073001    290 U U  75
.      RRF . 01074002   1548 U U  76
.      CMX . 01077003    508 U U  77
.      CQV . 01078000   3072 W U  78   16
.      ZMD . 01075001    620 U R  79
.      Z00 . 11010001    217 U .  80 217
.      Z01 . 11010101    217 U .  81 217
.      Z02 . 11010201    217 U .  82 217
.      Z03 . 11010301    217 U .  83 217
.      Z04 . 11010401    217 U .  84 217
.      Z05 . 11010501    217 U .  85 217
.      Z06 . 11010601    217 U .  86 217
.      Z07 . 11010701    217 U .  87 217
.      L00 . 12010000    128 R .  88 128
.      L01 . 12010100    128 R .  89 128
.      L02 . 12010200    128 R .  90 128
.      L03 . 12010300    128 R .  91 128
.      L04 . 12010400    128 R .  92 128
.      L05 . 12010500    128 R .  93 128
.      L06 . 12010600    128 R .  94 128
.      L07 . 12010700    128 R .  95 128
A      V00 . 10070000    125 U U  96  125
A      V01 . 10070100    125 U U  97  125
A      V02 . 10070200    125 U U  98  125
A      V03 . 10070300    125 U U  99  125
A      V04 . 10070400    125 U U 100  125
A      V05 . 10070500    125 U U 101  125
A      V06 . 10070600    125 U U 102  125
A      V07 . 10070700    125 U U 103  125
.      CQF . 01076001   1592 . . 104
.      RHX . 13010003    112 . . 105
.      RUX . 13020001    149 . . 106

;;;;
;;;;
run;


/*-------------------------------------------------------------------*/
/* Declare perishable variable info in arrays                        */
/*                                                                   */
/* These statements declare arrays of perishable variable            */
/* information.  See %OSE_Init_Expire_Perishable_Vars for details.   */
/*                                                                   */
%RUL_Capture_Code(WORK.PVARDCL.DECLARE_PERISHABLE_VAR_ARRAYS.SOURCE,
                  mod=mod);
CARDS4;
 


 


 

 
;;;;
;;;;
run;


/*-------------------------------------------------------------------*/
/* Map user-specified names of user variables to uservar colnames    */
/*                                                                   */
/* These statements construct SAS format $UVARNAM that maps          */
/* user-specified ("friendly" or "meaningful") names for uservar     */
/* variables to column names and vice versa.  The code is %include'd */
/* later in macro %CMN_Environment_Initialization to create the      */
/* format definition.  The format is used to substitute the actual   */
/* column name for the user name in %GET/%SET macros in rule code.   */
/*                                                                   */
%RUL_Capture_Code(WORK.UVARMAP.USER_VARIABLE_NAMES_MAPPING.SOURCE,
                  mod=mod);

CARDS4;
 
;;;;
;;;;
run;





/*-------------------------------------------------------------------*/
/* Map multiorg + segment position number to key variable names      */
/*                                                                   */
%RUL_Capture_Code(WORK.USEGMAP.USER_SEGMENT_KEYS_MAPPING.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Map multiorg + segment position number to segment lengths         */
/*                                                                   */
%RUL_Capture_Code(WORK.USEGMAP.USER_SEGMENT_LENS_MAPPING.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Map multiorg + segment position number to key variable formats    */
/*                                                                   */
%RUL_Capture_Code(WORK.USEGMAP.USER_SEGMENT_KEY_FMTS_MAPPING.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Map multiorg + segment position number to lists of defined vars   */
/*                                                                   */
%RUL_Capture_Code(WORK.USEGMAP.USER_SEGMENT_VARS_MAPPING.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Map multiorg + segment position number to lists of var formats    */
/*                                                                   */
%RUL_Capture_Code(WORK.USEGMAP.USER_SEGMENT_VAR_FMTS_MAPPING.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;


/*-------------------------------------------------------------------*/
/* Collect OSE lookup list info in catalog entry                     */
/*                                                                   */
/* "CARDS4" input cannot be included in a macro so these statements  */
/* are captured here to define the lookup lists but are processed    */
/* later by %CMN_SETUP_LOOKUP_LISTS which is invoked by macro        */
/* %OSE_ENVIRONMENT_INITIALIZATION.  The actual hash objects are     */
/* loaded during the DATA step in %CMN_LOAD_LOOKUP_LISTS which is    */
/* invoked by %OSE_RULE_INITIALIZATION.                              */
/*                                                                   */
%RUL_Capture_Code(WORK.OSELIST.OSE_LOOKUP_LISTS.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;

/*-------------------------------------------------------------------*/
/* Collect AGE lookup list info in catalog entry                     */
/*                                                                   */
/* "CARDS4" input cannot be included in a macro so these statements  */
/* are captured here to define the lookup lists but are processed    */
/* later by %CMN_SETUP_LOOKUP_LISTS which is invoked by macro        */
/* %AGE_ENVIRONMENT_INITIALIZATION.  The actual hash objects are     */
/* loaded during the DATA step in %CMN_LOAD_LOOKUP_LISTS which is    */
/* invoked by %AGE_RULE_INITIALIZATION.                              */
/*                                                                   */
%RUL_Capture_Code(WORK.AGELIST.AGE_LOOKUP_LISTS.SOURCE,
                  mod=mod);
CARDS4;

;;;;
;;;;
run;



/*-------------------------------------------------------------------*/
/* Collect all rule source code in catalog entries                   */
/*                                                                   */
/* "CARDS4" input cannot be included in a macro so these statements  */
/* are captured here to pass rule code to the OSE.  The statements   */
/* are %INCLUDEd with SOURCE2 so any messages have correct line      */
/* numbers.                                                          */
/*                                                                   */
%RUL_Capture_Code(WORK.ARULCAT.OSE_User_Rule_Execution_A.SOURCE);
CARDS4;
   * Rules may use landlord multiorg, so we filter to tenant multiorg here;
   if (SMH_Multi_Org_Node_Key EQ: "A") then
   do;
      RRF_build_num = &RPT_OSE_A_Build_Num;

      %let RPT_SOR_ROOT = _A;
      %let RPT_PACKAGE_ROOT = _A;
      %CMN_Set_Lookup_List_Var_Names(OSE);
      
   end;
;;;;
;;;;
run;
%RUL_Capture_Code(WORK.ARULCAT.OSE_Auth_Rule_Execution_A.SOURCE);
CARDS4;
   * Rules may use landlord multiorg, so we filter to tenant multiorg here;
   if (SMH_Multi_Org_Node_Key EQ: "A") then
   do;
      %let RPT_SOR_ROOT = _A;
      %let RPT_PACKAGE_ROOT = _A;
      %CMN_Set_Lookup_List_Var_Names(OSE);
      
   end;
;;;;
;;;;
run;

%RUL_Capture_Code(WORK.QRULCAT.AGE_Queue_Rule_Execution.SOURCE);
CARDS4;
   %let RPT_SOR_ROOT = _A;
   %let RPT_PACKAGE_ROOT = _A;
   %CMN_Set_Lookup_List_Var_Names(AGE);
   
;;;;
;;;;
run;




/*-------------------------------------------------------------------*/
/* Global macro var definitions moved to here from batch process     */
/* section to be available for hasanyrulefired checking              */
/*                                                                   */
%global rul_var_rule_id_list;
%let    rul_var_rule_id_list = %qcmpres();
%global rul_auth_rule_id_list;
%let    rul_auth_rule_id_list = %qcmpres();
%global rul_queue_rule_id_list;
%let    rul_queue_rule_id_list = %qcmpres();

/* TripWire         */
%global rpt_ose_rule_cnt;
%let rpt_ose_rule_cnt= %eval(&rpt_ose_rule_cnt
                           + 0
                           + 0
                             );

/*-------------------------------------------------------------------*/
/* Now define macros that %include rule code from catalog entries    */
/*                                                                   */
filename ARULCAT catalog "WORK.ARULCAT";

%macro OSE_User_Rule_Execution_A;
%include ARULCAT(OSE_User_Rule_Execution_A.SOURCE) / source2;
%mend;

%macro OSE_Auth_Rule_Execution_A;
%include ARULCAT(OSE_Auth_Rule_Execution_A.SOURCE) / source2;
%mend;

filename QRULCAT catalog "WORK.QRULCAT";

%macro AGE_Queue_Rule_Execution;
   %include QRULCAT(AGE_Queue_Rule_Execution.SOURCE) / source2;
%mend;





/*-------------------------------------------------------------------*/
/* One time initialization done before entering the transaction      */
/* processing loop                                                   */
%macro AGE_RuleFired_Definitions;
   %global RUL_Rule_IDs_Var_TEST_A;
   %global RUL_Rule_IDs_Var_PROD_A;
   %global RUL_Rule_IDs_Auth_TEST_A;
   %global RUL_Rule_IDs_Auth_PROD_A;
   %global RUL_Rule_IDs_Queue_TEST_A;
   %global RUL_Rule_IDs_Queue_PROD_A;
   %let RPT_SOR_ROOT = _A;
   %let RPT_PACKAGE_ROOT = _A;
   
   
   
%mend;


%macro OSE_RuleFired_Definitions_A;
   %global RUL_Rule_IDs_Var_TEST_A;
   %global RUL_Rule_IDs_Var_PROD_A;
   %global RUL_Rule_IDs_Auth_TEST_A;
   %global RUL_Rule_IDs_Auth_PROD_A;
   %let RPT_SOR_ROOT = _A;
   %let RPT_PACKAGE_ROOT = _A;
   
   
%mend;

/* TripWire */
%macro OSE_Create_RuleInfo_A;
   %let RPT_SOR_ROOT = _A;
   %let RPT_PACKAGE_ROOT = _A;
   
   
%mend;

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
/* Begin batch process information (ignored by online engines)       */
/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/

/*-------------------------------------------------------------------*/
/* Specify which rules to process for estimation/rule testing        */
/*                                                                   */
%global rul_interesting_rule_id_list;
%let    rul_interesting_rule_id_list = %qcmpres();
%global rul_interesting_rule_ver_list;
%let    rul_interesting_rule_ver_list = %qcmpres();



%global rul_var_rule_version_list;
%let    rul_var_rule_version_list = %qcmpres();
%global rul_auth_rule_version_list;
%let    rul_auth_rule_version_list = %qcmpres();
%global rul_queue_rule_version_list;
%let    rul_queue_rule_version_list = %qcmpres();



/*-------------------------------------------------------------------*/
/* Specify which tables to read for estimation/rule testing          */
/*                                                                   */
%global rul_using_archive_data;
%let    rul_using_archive_data = %qcmpres(1);
%global rul_table_names;
%let    rul_table_names = %qcmpres();
%global rul_date_range_table;
%let    rul_date_range_table = %qcmpres(FRH_CCCA);



/*-------------------------------------------------------------------*/
/* Specify which rows to read for estimation/rule testing            */
/*                                                                   */
%global rul_obs_count;
%let    rul_obs_count = ;
%global rul_early_date;
%let    rul_early_date = ;
%global rul_late_date;
%let    rul_late_date = ;
%global rul_account_prefix;
%let    rul_account_prefix = '';
%global rul_where_clause;
%let    rul_where_clause = ;
%global rul_multi_org_node_keys;
%let    rul_multi_org_node_keys = %qcmpres();
%global rul_combined_component_fields ;
%let    rul_combined_component_fields = ;




/*-------------------------------------------------------------------*/
/* Specify which columns to process for estimation/rule testing      */
/*                                                                   */
%global rul_vars_to_read_from_input;
%let    rul_vars_to_read_from_input = %qcmpres();

%global rul_additional_vars_to_pass;
%let    rul_additional_vars_to_pass = %qcmpres();

%global rul_additional_vars_to_archive;
%let    rul_additional_vars_to_archive = %qcmpres();

%global rul_robs rul_rob_key;
%let    rul_robs    = %qcmpres();
%let    rul_rob_key = hqo_card_num;



/*-------------------------------------------------------------------*/
/* Specify performance-related values for estimation/rule testing    */
/*                                                                   */
%global RUL_Use_Views;
%let    RUL_Use_Views = ;
%global RUL_Pipe_Results_To_Summary; %* S0838078;
%let    RUL_Pipe_Results_To_Summary = ;
%global RUL_MEH_In_Memory;
%let    RUL_MEH_In_Memory = ;
%global EST_Sort_In_SAS;
%let    EST_Sort_In_SAS = ;
%global RUL_Estimation_Sample;
%let    RUL_Estimation_Sample = '';
%global EST_Max_Thread_Count;
%let    EST_Max_Thread_Count = 3;
%global RUL_Max_Alert_Entity_Length;
%let    RUL_Max_Alert_Entity_Length = 100;
%global EST_Thread_Work_Areas;
%UTL_Set_Macro_Variable(EST_Thread_Work_Areas);
CARDS4;


;;;;
;;;;
run;



/*-------------------------------------------------------------------*/
/* Control nature of estimation/rule testing results                 */
/*                                                                   */
%RUL_Capture_Code(WORK.JOBCAT.JOB_Header.SOURCE);
CARDS4;


;;;;
;;;;
run;
%RUL_Capture_Code(WORK.JOBCAT.JOB_Trailer.SOURCE);
CARDS4;


;;;;
;;;;
run;
%global rul_user_id;
%let    rul_user_id     = SASxInstitutexIncx_53415320496E7374697475746520496E632E;
%global est_estimate_id;
%let    est_estimate_id = ;
%global est_estimate_table;
%let    est_estimate_table = ;
%global EST_Max_Fired_Transactions;
%let    EST_Max_Fired_Transactions = 60000;
%global EST_Tran_Status_Report_Seconds;
%let    EST_Tran_Status_Report_Seconds = 60;
%global EST_Max_Estimation_Log_Lines;
%let    EST_Max_Estimation_Log_Lines = 32760;
%global EST_No_Recontact_Days;
%let    EST_No_Recontact_Days = ;
%global EST_Dampen_Firings_Ind;
%let    EST_Dampen_Firings_Ind = ;
%global EST_Report_Per_Rule_Ind;
%let    EST_Report_Per_Rule_Ind = ;
%global EST_Report_Per_Fraud_Type_Ind;
%let    EST_Report_Per_Fraud_Type_Ind = ;
%global EST_Report_Total_Counts_Ind;
%let    EST_Report_Total_Counts_Ind = ;
%global EST_Report_Redist_Alerts_Ind;
%let    EST_Report_Redist_Alerts_Ind = ;
%global EST_Requested_Per_Key_Types;
%let    EST_Requested_Per_Key_Types = ;

%global RUL_Max_Notes_Per_Rule;
%let    RUL_Max_Notes_Per_Rule = 100;
%global RUL_Max_Note_Text_Length;
%let    RUL_Max_Note_Text_Length = 200;
%global RUL_Max_Highlights_From_Exprs;
%let    RUL_Max_Highlights_From_Exprs = 250000;

%global RUL_Highlight_Results_Columns; %* S0870853;
%let    RUL_Highlight_Results_Columns = %cmpres(
        rqo_tran_date_alt rqo_tran_time_alt aqr_orig_cust_acct_no 
        tsr_orig_trade_id tst_trade_unit_price tst_trade_qty 
        very_wrong_column hfc_rgn_no hfc_na_fc_no hfc_na_office_no 
        tsr_split_code tsr_pool_code );

%global RUL_Debug_Flag;
%let    RUL_Debug_Flag = %sysfunc(max(0&rul_debug_flag,0));


/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
/* End batch process information                                     */
/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/





