---------------------------------------------------------------------------------
--
-- Remove "Deploy Rules" privilege from the Console Admin role
--
---------------------------------------------------------------------------------

delete from fcm_role_privilege where
role_id in (select role_id from fcm_role where role_name ='Console Administrator')
and privilege_id in (select privilege_id from fcm_privilege where system_privilege_name='DEPLRULE');
commit;

---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.1 (3.3 M1 HF1)
--
---------------------------------------------------------------------------------
insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.1.1', current_date, '3.3 M1 HF1 DDL', 'DDL') ;
commit;